;==============================================================================================
;
; CARRIED BY MAMAHAHA MOVES & ATTACKS
;
;==============================================================================================

; Flying
;-------

[Statedef 7000]
Type = A
MoveType= I
Physics = N
ctrl = 1

[State 7000, animation]
type = ChangeAnim
trigger1 = anim != 7000 && anim != 7122
trigger2 = anim = 7122 && AnimTime = 0
value = 7000

[State 7000, sprpriority]
type = sprpriority
trigger1 = 1
value = 0 + 1*(command = "holdup" || command = "holddown" || command = "holdfwd" || command = "holdback")

[State 7000, fly horyzontal]
type = VelSet
trigger1 = command = "holdfwd" || command = "holdback"
x = ifelse(command = "holdfwd", 3, -3)

[State 7000, stop fly horyzontal]
type = VelSet
trigger1 = vel x != 0
trigger1 = command != "holdfwd" && command != "holdback"
x = 0

[State 7000, fly vertical]
type = VelSet
trigger1 = command = "holdup" || command = "holddown"
y = ifelse(command = "holdup", -2.5, 3)

[State 7000, stop fly vertical]
type = VelSet
trigger1 = vel y != 0
trigger1 = command != "holdup" && command != "holddown"
y = 0

[State 7000, gravity]
type = PosAdd
trigger1 = 1
y = 0.5

[State 7000, turn]
type = Turn
trigger1 = P2Dist x < 0

[State 7000, end state]
type = ChangeState
trigger1 = pos y != [-316,-16]	; near ground
trigger2 = var(10) >= 150		; counting finished
trigger3 = command = "a" || command = "b" || command = "c"	; leaving command
trigger4 = RoundState != 2		; end match
value = 85



; Light Slash
;------------

[Statedef 7200]
Type = A
MoveType = A
Physics = N
anim = 7200
sprpriority = 2
ctrl = 0
velset = 0,0
juggle = 10

[state 7200, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 7200, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 7200, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
ground.type = high
air.animtype = back
priority = 7, hit
damage = 20 + 4*var(20),0
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-45
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -2.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 7200, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9011
postype = p1
pos = 7,19
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7200, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9012
postype = p1
pos = 7,18
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7200, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7000



; Fierce Slash
;-------------

[Statedef 7220]
Type = A
MoveType = A
Physics = N
anim = 7220
sprpriority = 2
ctrl = 0
velset = 0,0
juggle = 10

[state 7220, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 7220, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 1

[State 7220, hit def 1]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !movecontact
trigger1 = AnimElem = 4, >= 0
trigger1 = AnimElem = 4, < 2
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, hit
damage = 80 + 16*var(20),0
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-60
hitsound = s170, var(16)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 17
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3,-1.5
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 7220, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 2
anim = 9091
postype = p1
pos = 13,39
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 2
trigger1 = Animelem = 4, < 0
anim = 9092
postype = p1
pos = 1,37
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9093
postype = p1
pos = 11,38
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 4, < 4
anim = 9094
postype = p1
pos = 11,37
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7000



; Evade Attack
;-------------

[Statedef 7230]
Type = A
MoveType = A
Physics = N
anim = 7230
sprpriority = 2
poweradd = -1000
ctrl = 0
velset = 0,0
juggle = 10

[State 7230, pause]
type = Pause
trigger1 = Time = 0 && (prevstateno = 150 || prevstateno = 152)
time = 10
movetime = 10

[State 7230, envcolor]
type = EnvColor
trigger1 = Time = 0 && (prevstateno = 150 || prevstateno = 152)
time = 4
value = 255,255,255
under = 1

[state 7230, punch sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 7230, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 7230, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
priority = 5, Hit
animtype = diagup
air.animtype = diagup
damage = 100 + 20*var(20),0
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-42
hitsound = s180, var(16)
guardsound = s150, var(15)
pausetime = 11,13
ground.velocity = -4,-8
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 22
guard.hittime = 44
guard.ctrtime = 44
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -4,-7
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
fall = 1
fall.recover = 1
fall.recovertime = 65
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 7230, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7000