;==============================================================================================
;
; CARRIED BY MAMAHAHA MOVES & ATTACKS
;
;==============================================================================================

; Flying
;-------

[Statedef 7000]
Type = A
MoveType= I
Physics = N
ctrl = 1

[State 7000, animation]
type = ChangeAnim
trigger1 = anim != 7000 && anim != 7122
trigger2 = anim = 7122 && AnimTime = 0
value = 7000

[State 7000, sprpriority]
type = sprpriority
trigger1 = 1
value = 0 + 1*(command = "holdup" || command = "holddown" || command = "holdfwd" || command = "holdback")

[State 7000, fly horyzontal]
type = VelSet
trigger1 = command = "holdfwd" || command = "holdback"
x = ifelse(command = "holdfwd", 3, -3)

[State 7000, stop fly horyzontal]
type = VelSet
trigger1 = vel x != 0
trigger1 = command != "holdfwd" && command != "holdback"
x = 0

[State 7000, fly vertical]
type = VelSet
trigger1 = command = "holdup" || command = "holddown"
y = ifelse(command = "holdup", -2.5, 3)

[State 7000, stop fly vertical]
type = VelSet
trigger1 = vel y != 0
trigger1 = command != "holdup" && command != "holddown"
y = 0

[State 7000, gravity]
type = PosAdd
trigger1 = 1
y = 0.5

[State 7000, turn]
type = Turn
trigger1 = P2Dist x < 0

[State 7000, end state]
type = ChangeState
trigger1 = pos y != [-316,-16]	; near ground
trigger2 = var(10) >= 150		; counting finished
trigger3 = Command = "a"		; leaving command
trigger4 = RoundState != 2		; end match
value = 85



; Horyzontal Slash
;-----------------

[Statedef 7200]
Type = A
MoveType = A
Physics = N
anim = 7200
sprpriority = 2
ctrl = 0
velset = 0,0

[state 7200, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 7200, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 7200, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MA
guardflag = HA
animtype = light
air.animtype = back
ground.type = high
priority = 4, Hit
damage = 16 + 4*var(20),0
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-45
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.slidetime = 5
ground.hittime = 6
guard.slidetime = 6
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -4.5
air.velocity = -4, -5
ground.cornerpush.veloff = -4
guard.cornerpush.veloff = -5.5
getpower = 0, 0

[State 7200, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9011
postype = p1
pos = 7,19
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7200, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9012
postype = p1
pos = 7,18
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7200, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 7200, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7000



; Vertical Slash
;---------------

[Statedef 7220]
Type = A
MoveType = A
Physics = N
anim = 7220
sprpriority = 2
ctrl = 0
velset = 0,0

[state 7220, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 7220, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 1

[State 7220, hit def 1]
type = HitDef
triggerall = !movecontact
trigger1 = AnimElem = 3, >= 2
trigger1 = AnimElem = 4, < 2
attr = A, NA
hitflag = MA
guardflag = HA
animtype = hard
air.animtype = up
priority = 4, Hit
damage = 16 + 4*var(20),0
pausetime = 22, 22
guard.pausetime = 6, 6
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-30 -30*(AnimElem = 4)
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 4
ground.hittime = 5
guard.slidetime = 6
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -15.5
guard.velocity = -6.5
air.velocity = -4, -5
ground.cornerpush.veloff = -12.75
guard.cornerpush.veloff = -7
getpower = 0, 0

[State 7220, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 2
anim = 9101
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 2
trigger1 = Animelem = 4, < 0
anim = 9102
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9103
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 4, < 4
anim = 9104
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 7220, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 7220, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7000
