;==============================================================================================
;
; NAKORURU'S SUPER/HYPER ATTACKS
;
;==============================================================================================

; Ererushi Kamui Rimuse
;----------------------

; (Prepare)
;----------
[Statedef 3101]
Type = S
MoveType = I
Physics = S
anim = 3100
sprpriority = 2
velset = 0,0
ctrl = 0

[State 3101, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 3101, background]
type = BgPalFx
trigger1 = time = 1
time = 80
add = -256,-44,-72
mul = 0,205,256
ignorehitpause = 1

[State 3101, super pause]
type = Superpause
trigger1 = AnimElem = 3, = 2
time = 11
anim = s4300
pos = 15, -35
sound = s190, 1
darken = 0

[state 3101, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 50, 3
channel = 0

[State 3101, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3110

; (Jump Back)
;------------
[Statedef 3110]
Type = S
MoveType = A
Physics = N
anim = 3110
sprpriority = 2

[state 3110, state type set]
type = StateTypeSet
trigger1 = AnimElem = 2, = 1
StateType = A
Physics = A

[state 3110, horyzontal velocity]
type = VelSet
trigger1 = AnimElem = 2
x = -2.4

[state 3110, vertical velocity 1]
type = VelSet
trigger1 = time = [4,7]
y = -8.5

[state 3110, vertical velocity 2]
type = VelSet
trigger1 = time = [8,11]
y = -7.5

[state 3110, vertical velocity 3]
type = VelSet
trigger1 = time = [11,14]
y = -7

[state 3110, stop velocity]
type = VelSet
trigger1 = time > 15
x = 0
y = 0

[State 3110, 1st blue spark]
type = Explod
trigger1 = AnimElem = 3
anim = 1003
pos = -3,-3
sprpriority = 3
ownpal = 1

[State 3110, 2nd blue spark]
type = Explod
trigger1 = AnimElem = 5
anim = 1003
pos = 23,-23
sprpriority = 3
ownpal = 1

[State 3110, jump, sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 100, 1
channel = 1

[state 3110, sparks sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 160, 1
channel = 2

[State 3110, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3111

; (Dive)
;-------
[Statedef 3111]
Type = A
MoveType = A
Physics = A
anim = 1600
sprpriority = 2

[State 3111, var set]
type = VarSet
trigger1 = time = 0
v = 0
value = 0

[State 3111, position]
type = PosAdd
trigger1 = time = 0
y = -34

[State 3111, vel set]
type = VelSet
trigger1 = time = 0
x = 12
y = 5

[State 3111, vel add]
type = VelAdd
trigger1 = 1
y = -0.32

[state 3111, slash sound]
type = PlaySnd
trigger1 = time = 0
value = 160, 2
channel = 1

[State 3111, hit def]
type = HitDef
trigger1 = !MoveContact
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = hard
priority = 4, Hit
damage = 35, 4
pausetime = 0, 60
guard.pausetime = 0, 6
sparkno = s4018
guard.sparkno = s4200
sparkxy = 0, 10
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.hittime = 14
guard.slidetime = 5
guard.hittime = 14
guard.ctrltime = 14
ground.velocity = 0
guard.velocity = -5.88
P2facing = 1
getpower = 0,0

[State 3111, slash]
type = Explod
trigger1 = AnimElem = 1
ID = 3100
anim = 8321
pos = -20,5
sprpriority = 3
ownpal = 1
bindtime = 19
removetime = 19
removeongethit = 1

[State 3111, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3111, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 3114

[State 3111, move hit state]
type = ChangeState
trigger1 = MoveHit
value = 3113

[State 3111, move miss state]
type = ChangeState
trigger1 = vel y >= 0
trigger1 = pos y >= -ceil(vel y)
value = 3112

; (Move Miss)
;------------
[Statedef 3112]
Type = S
MoveType = I
Physics = S
anim = 1025
sprpriority = 2

[State 3112, velocity]
type = VelSet
trigger1 = time = 0
x = 8
y = 0

[State 3112, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3112, end state]
type = ChangeState
trigger1 = AnimElem = 5, = 5
value = 0
ctrl = 1

; (Move Hit)
;-----------
[Statedef 3113]
Type = A
MoveType = I
Physics = A
sprpriority = 2

[State 3113, end rage mode]
type = VarSet
trigger1 = time = 0
v = 20
value = 0

[State 3113, close rage gauge]
type = VarSet
trigger1 = time = 0
v = 21
value = 0

[State 3113, background 1]
type = BgPalFx
trigger1 = time%2 = 0
time = 1
add = -255,-255,-255

[State 3113, background 2]
type = BgPalFx
trigger1 = time%2 != 0
time = 30
add = 255,255,255

[State 3113, animation]
type = ChangeAnim
trigger1 = time = 0
value = 42
elem = 4

[State 3113, stop velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3113, jump back velocity]
type = VelSet
trigger1 = time = 1
x = -1
y = -7.5

[State 3113, remove slash]
type = RemoveExplod
trigger1 = time = 0
value = 3100

[State 3113, target state]
type = TargetState
triggerall = time = 1
trigger1 = (NumTarget > 0) && (target, IsHelper = 0)
trigger1 = target, statetype = A
value = 3116

[State 3113, end state]
type = ChangeState
trigger1 = vel y >= 0
trigger1 = pos y >= -ceil(vel y)
value = 3120

; (Move Guarded)
;---------------
[Statedef 3114]
Type = A
MoveType = I
Physics = A
anim = 3114
sprpriority = 1

[State 3114, bg palfx]
type = BgPalfx
trigger1 = time = 0
time = 80
add = -256,-44,-72
mul = 0,205,256

[State 3114, stop velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3114, jump back velocity]
type = VelSet
trigger1 = time = 1
x = -3
y = -9.5

[State 3114, remove slash]
type = RemoveExplod
trigger1 = time = 0
value = 3100

[State 3114, land state]
type = ChangeState
trigger1 = vel y >= 0
trigger1 = pos y >= -ceil(vel y)
value = 3115

; (Land)
;-------
[Statedef 3115]
Type = S
MoveType = I
Physics = S
anim = 3115
sprpriority = 1

[State 3115, velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3115, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3115, land state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; (Put Enemy On Ground)
;----------------------
[StateDef 3116]
type = S
movetype = H
physics = S

[State 3116, pos]
type = PosSet
trigger1 = time = 0
y = 0

[State 3116, self state]
type = SelfState
trigger1 = pos y = 0 && statetype = S
value = 5000

; (1st Cape Hit)
;---------------
[Statedef 3120]
Type = S
MoveType = A
Physics = N
anim = 3120
sprpriority = 2

[State 3120, turn]
type = Turn
trigger1 = P2Dist x < 0

[State 3120, bg palfx]
type = BgPalfx
trigger1 = time = 0
time = 136
color = 0

[State 3120, land velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3120, horyzontal velocity]
type = VelSet
trigger1 = time = 4
x = 1

[State 3120, position]
type = PosSet
trigger1 = time = 0
y = 0

[state 3140, voice]
type = PlaySnd
trigger1 = time = 0
value = 50, 0
channel = 0

[state 3120, cape sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 160, 0
channel = 1

[state 3120, sparks sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 160, 1
channel = 2

[State 3120, hit def]
type = HitDef
trigger1 = AnimElem = 6
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = hard
priority = 4, Hit
damage = 35, 4
pausetime = 0, 6
guard.pausetime = 0, 6
sparkno = s4130
guard.sparkno = s4220
sparkxy = 0,-55
hitsound = s180, var(16)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 5
ground.hittime = 32
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
air.hittime = 32
ground.velocity = -1.18
guard.velocity = -1.18
air.velocity = -4, -5
palfx.time = 24
palfx.sinadd = 255,255,0,3
getpower = 0,0

[State 3120, cape]
type = Helper
trigger1 = AnimElem = 6
name = "cape"
ID = 1260
stateno = 1260
ownpal = 1
ignorehitpause = 1

[State 3120, spark 1-1]
type = Explod
trigger1 = AnimElem = 3
ID = 3120
anim = 4130
pos = -48,-50
sprpriority = 3
ownpal = 1

[State 3120, spark 1-2]
type = Explod
trigger1 = AnimElem = 3
ID = 3120
anim = 4130
pos = -54,-46
sprpriority = 3
ownpal = 1

[State 3120, spark 1-3]
type = Explod
trigger1 = AnimElem = 6
ID = 3120
anim = 4130
pos = 33,-99
sprpriority = 3
ownpal = 1

[State 3120, enemy sparks]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = 155 + 48*(var(1)>=3)
removetime = 155 + 48*(var(1)>=3)
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3120, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3120, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3121

; (2nd Cape Hit)
;---------------
[Statedef 3121]
Type = S
MoveType = A
Physics = N
anim = 3120
sprpriority = 2

[state 3121, cape sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 160, 0
channel = 1

[State 3121, hit def]
type = HitDef
trigger1 = AnimElem = 6
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = hard
priority = 4, Hit
damage = 35, 4
pausetime = 0, 6
guard.pausetime = 0, 6
sparkno = s4130
guard.sparkno = s4220
sparkxy = 0,-55
hitsound = s180, var(16)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 5
ground.hittime = 32
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
air.hittime = 32
ground.velocity = -1.18
guard.velocity = -1.18
air.velocity = -4, -5
palfx.time = 24
palfx.sinadd = 255,255,0,3
getpower = 0,0

[State 3121, cape]
type = Helper
trigger1 = AnimElem = 6
name = "cape"
ID = 1260
stateno = 1260
ownpal = 1
ignorehitpause = 1

[State 3121, spark 2-1]
type = Explod
trigger1 = AnimElem = 3
ID = 3120
anim = 4130
pos = -41,-80
sprpriority = 3
ownpal = 1

[State 3121, spark 2-2]
type = Explod
trigger1 = AnimElem = 5
ID = 3120
anim = 4130
pos = -7,-115
sprpriority = 3
ownpal = 1

[State 3121, spark 2-3]
type = Explod
trigger1 = AnimElem = 7
ID = 3120
anim = 4130
pos = 69,-57
sprpriority = 3
ownpal = 1

[State 3121, enemy sparks]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = 155 + 48*(var(1)>=3)
removetime = 155 + 48*(var(1)>=3)
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3121, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3121, land state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3122

; (3rd Cape Hit)
;---------------
[Statedef 3122]
Type = S
MoveType = A
Physics = N
anim = 3120
sprpriority = 2

[state 3122, cape sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 160, 0
channel = 1

[State 3122, hit def]
type = HitDef
trigger1 = AnimElem = 6
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = hard
priority = 4, Hit
damage = 35, 4
pausetime = 0, 6
guard.pausetime = 0, 6
sparkno = s4130
guard.sparkno = s4220
sparkxy = 0,-55
hitsound = s180, var(16)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 5
ground.hittime = 32
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
air.hittime = 32
ground.velocity = -1.18
guard.velocity = -1.18
air.velocity = -4, -5
palfx.time = 24
palfx.sinadd = 255,255,0,3
getpower = 0,0

[State 3122, cape]
type = Helper
trigger1 = AnimElem = 6
name = "cape"
ID = 1260
stateno = 1260
ownpal = 1
ignorehitpause = 1

[State 3122, spark 3-1]
type = Explod
trigger1 = AnimElem = 1
ID = 3120
anim = 4130
pos = -32,-11
ontop = 1
ownpal = 1

[State 3122, spark 3-2]
type = Explod
trigger1 = AnimElem = 5
ID = 3120
anim = 4130
pos = -25,-113
ontop = 1
ownpal = 1

[State 3122, spark 3-3]
type = Explod
trigger1 = AnimElem = 7
ID = 3120
anim = 4130
pos = 68,-33
ontop = 1
ownpal = 1

[State 3122, enemy sparks]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = 155 + 48*(var(1)>=3)
removetime = 155 + 48*(var(1)>=3)
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3122, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3122, land state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3130

; (Last cape hit)
;----------------
[Statedef 3130]
Type = A
MoveType = A
Physics = S
anim = 3130
sprpriority = 2
velset = 0,0

[state 3120, cape sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 160, 0
channel = 1

[state 3130, sparks sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 160, 1
channel = 2

[State 3130, hit def]
type = HitDef
trigger1 = AnimElem = 7
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = diagup
priority = 4, Hit
damage = 35, 4
pausetime = 0, 0
guard.pausetime = 0, 6
sparkno = s4130
guard.sparkno = s4220
sparkxy = 0,-76
hitsound = s180, var(16)
guardsound = s150, var(15)
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
ground.velocity = -1.5,-9
guard.velocity = -4
air.velocity = -4, -9
fall = 1
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
palfx.time = 105
palfx.sinadd = 255,255,0,3
getpower = 0,0

[State 3130, cape]
type = Helper
trigger1 = AnimElem = 5
name = "cape"
ID = 1260
stateno = 1260
ownpal = 1
ignorehitpause = 1

[State 3130, spark 1]
type = Explod
trigger1 = AnimElem = 1
ID = 3120
anim = 4130
pos = -40,2
sprpriority = 3
ownpal = 1

[State 3130, spark 2]
type = Explod
trigger1 = AnimElem = 3
ID = 3120
anim = 4130
pos = -75,-88
sprpriority = 3
ownpal = 1

[State 3130, spark 3]
type = Explod
trigger1 = AnimElem = 5
ID = 3120
anim = 4130
pos = 26,-16
sprpriority = 3
ownpal = 1

[State 3130, spark 4]
type = Explod
trigger1 = AnimElem = 7
ID = 3120
anim = 4130
pos = 79,-53
sprpriority = 3
ownpal = 1

[State 3130, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3130, land state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3140

; (Send Mamahaha)
;----------------
[Statedef 3140]
Type = A
MoveType = A
Physics = S
sprpriority = 2
velset = 0,0

[state 3140, 1st animation]
type = ChangeAnim
trigger1 = time = 0
value = 1500
elem = 3

[state 3140, animation]
type = ChangeAnim
trigger1 = time = 32
value = 1501

[state 3140, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 50, 1
channel = 0

[State 3140, Mamahaha charging var] ; for Mamahaha's 7700 state (charge)
type = VarSet
trigger1 = time = 0
v = 3
value = 4

[State 3140, level set]
type = varset
trigger1 = AnimTime = 0
v = 1
value = 0

[State 3140, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1




; Nubeki Kamui Shikite - Prepare
;-------------------------------

[Statedef 3201]
Type = S
MoveType = I
Physics = S
ctrl = 0

[State 3201, level set]
type = varset
trigger1 = time = 0
v = 1
value = 1

[State 3201, end state]
type = ChangeState
trigger1 = time = 0
value = 90



; Nubeki Kamui Shikite - Upward Slash
;------------------------------------

; (1st Hit)
;----------
[Statedef 3210]
Type = A
MoveType = A
Physics = N
anim = 3210
sprpriority = 2
velset = 0,0
ctrl = 0

[State 3210, background 1]
type = BgPalFx
trigger1 = time%2 = 0
time = 1
add = -255,-255,-255
ignorehitpause = 1

[State 3210, background 2]
type = BgPalFx
trigger1 = time%2 != 0
time = 30
add = 255,255,255
ignorehitpause = 1

[State 3210, target bind]
type = TargetBind
trigger1 = time = 0
trigger1 = NumTarget > 0
trigger1 = target, IsHelper = 0
pos = 91, -13

[State 3210, nako state var]		; Nako is no more riding Sikuruu
type = varset
trigger1 = time = 0
v = 0
value = 0

[State 3210, end rage mode]
type = VarSet
trigger1 = time = 0
v = 20
value = 0

[State 3210, close rage gauge]
type = VarSet
trigger1 = time = 0
v = 21
value = 0

[State 3210, remove explod]
type = RemoveExplod
trigger1 = time = 0
ID = 8300

[State 3210, pos add]
type = PosAdd
trigger1 = time = 3
x = 40

[State 3210, pos add]
type = PosAdd
trigger1 = AnimElem = 2, >= 0
trigger1 = AnimElem = 3, < 0
y = -1

[State 3210, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 1
channel = 0

[state 3210, spark sound enemy]
type = PlaySnd
trigger1 = time = 0
value = 160, 1
channel = 2

[State 3210, hit def 1]
type = HitDef
trigger1 = AnimElem = 2
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-50
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3210, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9091
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3210, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3210, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3210, end state]
type = ChangeState
trigger1 = AnimElem = 3
value = 3211



; (2nd Hit)
;----------
[Statedef 3211]
Type = A
MoveType = A
Physics = N
sprpriority = 2
velset = 0,0
ctrl = 0

[State 3211, background 1]
type = BgPalFx
trigger1 = time%2 = 0
time = 1
add = -255,-255,-255
ignorehitpause = 1

[State 3211, background 2]
type = BgPalFx
trigger1 = time%2 != 0
time = 30
add = 255,255,255
ignorehitpause = 1

[State 3211, velocity 1]
type = VelSet
trigger1 = AnimElem = 3
x = 2
y = -12

[State 3211, hit def 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3211, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9092
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3211, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3211, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3211, end state]
type = ChangeState
trigger1 = AnimElem = 4
value = 3212



; (3rd Hit)
;----------
[Statedef 3212]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3212, background 1]
type = BgPalFx
trigger1 = time%2 = 0
time = 1
add = -255,-255,-255
ignorehitpause = 1

[State 3212, background 2]
type = BgPalFx
trigger1 = time%2 != 0
time = 30
add = 255,255,255
ignorehitpause = 1

[State 3212, hit def 3]
type = HitDef
trigger1 = AnimElem = 4
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3212, slash 3]
type = Explod
trigger1 = 1
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3212, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3212, after images]
type = AfterImage
trigger1 = AnimElem = 4
time = 16
lenght = 1
palbright = 0,0,0
palcontrast = 256, 256, 256
palpostbright = 0,0,0
paladd = 0,0,0
palmul = 1,1,1
timegap = 1
framegap = 2
trans = add1

[State 3212, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3212, end state]
type = ChangeState
trigger1 = AnimElem = 5
value = 3213



; (4th Hit)
;----------
[Statedef 3213]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3213, background 1]
type = BgPalFx
trigger1 = time%2 = 0
time = 1
add = -255,-255,-255
ignorehitpause = 1

[State 3213, background 2]
type = BgPalFx
trigger1 = time%2 != 0
time = 30
add = 255,255,255
ignorehitpause = 1

[State 3213, hit def 4]
type = HitDef
trigger1 = AnimElem = 6
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3213, slash 3]
type = Explod
trigger1 = 1
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3213, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3213, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3213, end state]
type = ChangeState
trigger1 = AnimElem = 7
value = 3214



; (5th Hit)
;----------
[Statedef 3214]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3214, palfx]
type = BgPalfx
trigger1 = Time = 0
time = 52
color = 0

[State 3214, velocity 2]
type = VelSet
trigger1 = AnimElem = 7
x = 0
y = -11

[State 3214, hit def 5]
type = HitDef
trigger1 = AnimElem = 7
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3214, slash 3]
type = Explod
trigger1 = 1
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3214, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3214, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3214, end state]
type = ChangeState
trigger1 = AnimElem = 8
value = 3215



; (6th Hit)
;----------
[Statedef 3215]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3215, hit def 6]
type = HitDef
trigger1 = AnimElem = 8
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s170, var(16)
guardsound = s130, var(16)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-7
guard.velocity = -5
air.velocity = 0, -7
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3215, slash 3]
type = Explod
trigger1 = 1
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3215, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3215, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3215, end state]
type = ChangeState
trigger1 = AnimElem = 9
value = 3216



; (7th Hit)
;----------
[Statedef 3216]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3210, velocity 3]
type = VelSet
trigger1 = AnimElem = 10
y = -10

[State 3210, velocity 4]
type = VelSet
trigger1 = AnimElem = 14
y = -9

[State 3210, velocity 5]
type = VelAdd
trigger1 = AnimElem = 9
trigger2 = AnimElem = 11
trigger3 = AnimElem = 13
trigger4 = AnimElem = 14, = 2
x = -1

[State 3210, velocity 6]
type = VelSet
trigger1 = AnimElem = 15
x = 0
y = 0

[State 3216, hit def 7]
type = HitDef
trigger1 = AnimElem = 9
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 5, Hit
damage = 28, 4
pausetime = 4, 2
guard.pausetime = 6, 6
sparkno = s4034
guard.sparkno = s4220
sparkxy = 0,-85
hitsound = s180, var(16)
guardsound = s150, var(15)
guard.slidetime = 6
guard.hittime = 5
guard.ctrltime = 5
ground.velocity = 0,-10
guard.velocity = -5
air.velocity = 0, -10
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
kill = 0
getpower = 0,0

[State 3216, slash 3]
type = Explod
trigger1 = Animelem = 13, < 0
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3216, slash 4]
type = Explod
trigger1 = Animelem = 13, >= 0
trigger1 = Animelem = 14, < 0
anim = 9094
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3216, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = MoveHit && !NumExplod(3080)
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3216, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3216, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3220



; Nubeki Kamui Shikite - Cape Twirl
;----------------------------------

[Statedef 3220]
Type = A
MoveType = A
Physics = A
anim = 3220
sprpriority = 2
ctrl = 0

[State 3220, palfx]
type = BgPalfx
trigger1 = Time = 0
time = 32
color = 0

[State 3220, velocity]
type = VelSet
trigger1 = 1
y = 0

[State 3220, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 0, 3
channel = 0

[state 3220, cape sound]
type = PlaySnd
trigger1 = AnimElem = 6
value = 160, 0
channel = 1

[state 3220, spark sound enemy]
type = PlaySnd
trigger1 = AnimElem = 6
value = 160, 1
channel = 2

[State 3220, finish hit]
type = HitDef
trigger1 = AnimElem = 6
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = back
priority = 5, Hit
damage = 28, 4
pausetime = 4, 4
guard.pausetime = 6, 6
sparkno = s4130
guard.sparkno = s4220
sparkxy = 0,-55
hitsound = s180, var(16)
guardsound = s150, var(15)
ground.slidetime = 5
ground.hittime = 32
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
ground.velocity = -4,0
guard.velocity = -5
air.velocity = 0, 21
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -8
palfx.time = 40
palfx.sinadd = 255,255,0,3
getpower = 0,0

[State 3220, spark 1]
type = Explod
trigger1 = AnimElem = 3
ID = 3120
anim = 4130
pos = -48,-50
sprpriority = 3
ownpal = 1

[State 3220, spark 2]
type = Explod
trigger1 = AnimElem = 6
ID = 3120
anim = 4130
pos = 33,-99
sprpriority = 3
ownpal = 1

[State 3220, enemy spark]
type = Explod
trigger1 = NumTarget > 0
trigger1 = AnimElem = 6
id = 3080
anim = 3080
pos = 0,(target,const(size.mid.pos.y))
postype = p2
removetime = 40
bindtime = -1
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3220, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3220, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3230



; Nubeki Kamui Shikite - Jump Back
;---------------------------------

[Statedef 3230]
Type = A
MoveType = I
Physics = A
anim = 1404
sprpriority = 1
velset = -3,-8.75
ctrl = 0

[State 3230, nako state var]
type = VarSet
trigger1 = time = 0
v = 1
value = 0

[State 3230, voice]
type = PlaySnd
trigger1 = time = 1
value = 50,2
channel = 0

[State 3230, end state]
type = ChangeState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 3240



; Nubeki Kamui Shikite - Land
;----------------------------

[Statedef 3240]
Type = S
MoveType = I
Physics = S
anim = 3240
sprpriority = 1
ctrl = 0

[State 3240, velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3240, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3240, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



;==============================================================================================
;
; NAKORURU'S RAGE MODE
;
;==============================================================================================

; Rage Explosion Mode
;--------------------

[Statedef 3500]
Type = S
MoveType = A
Physics = S
anim = 3500
sprpriority = 2
velset = 0,0
ctrl = 0

[state 3500, rage mode init]
type = VarSet
trigger1 = time = 0
v = 20
value = 1

[state 3500, rage gauge init]
type = VarSet
trigger1 = 1
v = 21
value = 125 + ceil(0.90 * (const(data.life)-life))

[state 3500, rage gauge init]
type = VarSet
trigger1 = var(21) > 1000
v = 21
value = 1000

[state 3500, rage mode explosion set]
type = VarSet
trigger1 = time = 0
v = 22
value = 1

[State 3500, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 3500, cape]
type = Helper
trigger1 = AnimElem = 7
name = "cape"
ID = 1260
stateno = 1260
ownpal = 1
ignorehitpause = 1

[State 3500, background]
type = BgPalFx
trigger1 = AnimElem = 3
time = 45
add = -256,-44,-72
mul = 0,205,256
ignorehitpause = 1

[State 3500, super pause]
type = Superpause
trigger1 = AnimElem = 3
time = 44
anim = s4340
pos = -36, -45
sound = s190, 2
darken = 0

[state 3500, Nakoruru voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 60, 0
channel = 0

[state 3500, cape sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 160, 0
channel = 1

[state 3500, player spark sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 160, 1
channel = 2

[State 3500, hit def]
type = HitDef
triggerall = !movecontact
trigger1 = AnimElem = 7
trigger2 = AnimElem = 8
trigger3 = AnimElem = 9
attr = S, HA
hitflag = MAF
animtype = hard
air.animtype = hard
priority = 5, Hit
damage = 0, 0
pausetime = 8, 8
sparkno = s4130
sparkxy = 0,-75
hitsound = s180, var(16)
ground.type = low
air.type = high
ground.velocity = -11,0
ground.hittime = 10
ground.slidetime = 10
air.velocity = -4, -5
air.hittime = 10
ground.cornerpush.veloff = -19.4
palfx.time = 10
palfx.sinadd = 255,255,0,3

[State 3500, enemy spark]
type = Explod
trigger1 = MoveHit
trigger1 = !NumExplod(4140)
id = 4140
anim = 4140
pos = 0,const(size.mid.pos.y)
postype = p2
bindtime = 10
removetime = 10
ignorehitpause = 1
sprpriority = 3
ownpal = 1

[State 3500, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3500, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Super Slash
;------------

; (Dash)
;-------
[Statedef 3600]
Type = S
MoveType = A
Physics = N
anim = 3600
sprpriority = 2
velset = 7.75,0
ctrl = 0

[State 3600, end rage mode]
type = VarSet
trigger1 = time = 0
v = 21
value = 0

[State 3600, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 3600, background]
type = envcolor
trigger1 = time = 0
value = 255,255,255
time = 64
under = 1

[State 3600, dust]
type = Explod
trigger1 = time = 0
ID = 3600
anim = 3601
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
bindtime = 64
removetime = 64
ignorehitpause = 1
removeongethit = 1

[state 3600, voice]
type = PlaySnd
trigger1 = time = 0
value = 40, 3
channel = 0

[State 3600, hit def]
type = HitDef
trigger1 = 1
attr = S, HA
hitflag = MAF
guardflag = MA
priority = 5, Hit
damage = 0, 0
pausetime = 0, 0
guard.pausetime = 6,6
sparkno = -1
guard.sparkno = -1
hitsound = s170, 0
guardsound = s130, var(16)
guard.slidetime = 0
guard.hittime = 35
guard.ctrltime = 35
guard.velocity = 0
P1StateNo = 3610
P2StateNo = 3615

[State 3600, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 3605

[State 3600, end state]
type = ChangeState
trigger1 = time = 64
value = 0
ctrl = 1

; (Move Guarded)
;---------------
[Statedef 3605]
Type = A
MoveType = I
Physics = A
anim = 3605
sprpriority = 1
velset = -9,-5
ctrl = 0

[State 3605, vel add]
type = VelAdd
trigger1 = 1
y = 0.2

[State 3605, black background]
type = envcolor
trigger1 = time = 0
value = 0,0,0
time = 24
under = 1

[State 3605, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3606

; (Land)
;-------
[Statedef 3606]
Type = A
MoveType = I
Physics = A
anim = 47
sprpriority = 1
ctrl = 0

[State 3606, velocity]
type = VelSet
trigger1 = time = 0
y = 0

[State 3606, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3606, end state]
type = ChangeState
trigger1 = time = 6
value = 0
ctrl = 1

; (Slash)
;--------
[Statedef 3610]
Type = S
MoveType = A
Physics = N
sprpriority = 2
velset = 0,0
ctrl = 0

[State 3610, animation]
type = ChangeAnim
trigger1 = time = 5
value = 3610

[State 3610, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 3610, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 3610, start velocity]
type = VelSet
trigger1 = time = 3
x = 6.5

[State 3610, reduce velocity]
type = VelAdd
trigger1 = time = 7
trigger2 = time = 11
trigger3 = time = 15
x = -0.5

[State 3610, stop velocity]
type = VelSet
trigger1 = time = 22
x = 0

[State 3610, slash 1]
type = Explod
trigger1 = Animelem = 1, >= 0
trigger1 = Animelem = 2, < 0
anim = 9035
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3610, slash 2]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9036
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3610, slash 3]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 3
anim = 9037
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3610, slash 4]
type = Explod
trigger1 = Animelem = 3, >= 3
trigger1 = Animelem = 4, < 0
anim = 9038
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3610, slash 5]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 3
anim = 9039
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3610, hit slash]
type = Explod
trigger1 = NumTarget > 0
trigger1 = time = 0
anim = 3611
postype = p2
pos = 0,target, const(size.head.pos.y) + 5
sprpriority = 4
ownpal = 1
removeongethit = 1

[State 3610, ray]
type = Explod
trigger1 = NumTarget > 0
trigger1 = time = 5
anim = 3612
postype = p2
pos = 0,target, const(size.head.pos.y) + 5
sprpriority = 3
ownpal = 1
facing = -1
removeongethit = 1

[State 3610, head blood]
type = Explod
trigger1 = NumTarget > 0
trigger1 = time = 65
anim = 4050
postype = p2
pos = 0,target, const(size.head.pos.y) + 5
sprpriority = 3
ownpal = 1
facing = -1
removeongethit = 1

[State 3610, chest blood]
type = Explod
trigger1 = NumTarget > 0
trigger1 = time = 82
anim = 4052
postype = p2
pos = 0,target, const(size.mid.pos.y) - 5
sprpriority = 3
ownpal = 1
facing = -1
removeongethit = 1

[State 3610, red background]
type = Explod
trigger1 = time = 18
anim = 3613
postype = p1
pos = 0,-96
sprpriority = -5
ownpal = 1
removeongethit = 1

[State 3610, white background start]
type = envcolor
trigger1 = time = 0
value = 255,255,255
time = 18
under = 1

[State 3610, black background]
type = envcolor
trigger1 = time = 18
value = 0,0,0
time = 50
under = 1

[State 3610, white background end]
type = envcolor
trigger1 = time = 68
value = 255,255,255
time = 92
under = 1

[state 3610, voice]
type = PlaySnd
trigger1 = time = 22
value = 61, 0
channel = 0

[state 3610, slash sound]
type = PlaySnd
trigger1 = time = 5
value = 110, 2
channel = 1

[state 3610, blood sound]
type = PlaySnd
trigger1 = time = 65
value = 195, 2
channel = 2

[State 3610, target life]
type = TargetLifeAdd
trigger1 = NumTarget > 0
trigger1 = time = 82
value = -406 - ceil(0.20 * (const(data.life)-life))
absolute = 1

[State 3610, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; (Enemy Hit)
;------------
[Statedef 3615]
Type = S
MoveType = H
Physics = S
sprpriority = -1
velset = 0,0
ctrl = 0

[State 3615, animation]
type = ChangeAnim2
trigger1 = time = 0
value = 3615

[State 3615, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3615, end state]
type = ChangeState
trigger1 = time = 90
value = 3616

; (Fall)
;-------
[Statedef 3616]
Type = S
MoveType = H
Physics = N
sprpriority = -1
ctrl = 0

[State 3616, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 3616, collapsing animation]
type = ChangeAnim
trigger1 = SelfAnimExist(5330)
trigger1 = time = 0
value = 5330

[state 3616, knock ground sound]
type = PlaySnd
trigger1 = anim = 3615 && animelem = 7
value = F7, 2
channel = 1

[State 3616, ground shockwave]
type = Explod
trigger1 = anim = 3615 && animelem = 7
anim = 4110
pos = 0, 0
ontop = 1
ownpal = 1

[State 3616, lie down state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3617

; (Lie Down)
;-----------
[Statedef 3617]
Type = L
MoveType = H
sprpriority = -1
ctrl = 0

[State 3617, lying down animation]
type = ChangeAnim
trigger1 = time = 0
value = 5110 + 2*(SelfAnimExist(5330))

[State 3617, dead state]
type = SelfState
trigger1 = !alive
value = 5150

[State 3617, get up state]
type = SelfState
trigger1 = time = 70
value = 5120



; Super Combo
;------------

; (Dash - 1)
;-----------
[Statedef 3700]
Type = S
MoveType = A
Physics = N
anim = 3700
sprpriority = 2
velset = 6,0
ctrl = 0

[State 3700, end rage mode]
type = VarAdd
trigger1 = time = 0
v = 21
value = -360

[State 3700, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
ground.type = low
priority = 5, Hit
damage = 4, 4
pausetime = 4, 4
guard.pausetime = 6,6
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-22
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3700, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[state 3700, dash sound]
type = PlaySnd
trigger1 = time = 0
value = 195, 3
channel = 1

[State 3700, end state]
type = ChangeState
trigger1 = AnimElem = 2
value = 3701

; (Dash - 2)
;-----------
[Statedef 3701]
Type = S
MoveType = A
Physics = N
ctrl = 0

[State 3701, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
ground.type = low
priority = 5, Hit
damage = 4, 4
pausetime = 4, 4
guard.pausetime = 6,6
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-22
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3701, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3701, end state]
type = ChangeState
trigger1 = AnimElem = 3
value = 3702

; (Dash - 3)
;-----------
[Statedef 3702]
Type = S
MoveType = A
Physics = N
anim = 3700
ctrl = 0

[State 3702, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
ground.type = low
priority = 5, Hit
damage = 4, 4
pausetime = 4, 4
guard.pausetime = 6,6
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-22
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3702, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3702, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 3710

; (1st Set Of Slashes - 1)
;-------------------------
[Statedef 3710]
Type = S
MoveType = A
Physics = N
anim = 3710
sprpriority = 2
ctrl = 0

[state 3710, velocity]
type = VelSet
trigger1 = AnimElem = 2
x = 1

[state 3710, stop velocity]
type = VelSet
trigger1 = AnimElem = 4
x = 0

[state 3710, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[state 3710, voice]
type = PlaySnd
trigger1 = AnimElem = 1
value = 50, 3
channel = 0

[State 3710, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4000
guard.sparkno = s4220
sparkxy = 0,-60
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3710, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3710, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9012
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3710, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3710, end state]
type = ChangeState
trigger1 = AnimElem = 5
value = 3711

; (1st Set Of Slashes - 2)
;-------------------------
[Statedef 3711]
Type = S
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[state 3711, velocity]
type = VelSet
trigger1 = AnimElem = 7
x = 1

[state 3711, stop velocity]
type = VelSet
trigger1 = AnimElem = 9, = 2
x = 0

[state 3711, slash sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 110, var(17)
channel = 1

[State 3711, hit def]
type = HitDef
trigger1 = AnimElem = 9
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4010
guard.sparkno = s4220
sparkxy = 0,-65
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3711, slash 3]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9021
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3711, slash 4]
type = Explod
trigger1 = Animelem = 8, >= 2
trigger1 = Animelem = 9, < 0
anim = 9022
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3711, slash 5]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 9, < 2
anim = 9023
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3711, slash 6]
type = Explod
trigger1 = Animelem = 9, >= 2
trigger1 = Animelem = 10, < 0
anim = 9024
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3711, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3711, end state]
type = ChangeState
trigger1 = AnimElem = 12
value = 3712

; (1st Set Of Slashes - 3)
;-------------------------
[Statedef 3712]
Type = S
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[state 3712, velocity]
type = VelSet
trigger1 = AnimElem = 14
x = 1

[state 3712, stop velocity]
type = VelSet
trigger1 = AnimElem = 16, = 2
x = 0

[state 3712, slash sound]
type = PlaySnd
trigger1 = AnimElem = 13
value = 110, var(17)
channel = 1

[State 3712, hit def]
type = HitDef
trigger1 = AnimElem = 16
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4010
guard.sparkno = s4220
sparkxy = 0,-65
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3712, slash 7]
type = Explod
trigger1 = Animelem = 12, >= 0
trigger1 = Animelem = 13, < 0
anim = 9041
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, slash 8]
type = Explod
trigger1 = Animelem = 13, >= 0
trigger1 = Animelem = 14, < 0
anim = 9042
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, slash 9]
type = Explod
trigger1 = Animelem = 14, >= 0
trigger1 = Animelem = 15, < 0
anim = 9043
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, slash 10]
type = Explod
trigger1 = Animelem = 15, >= 0
trigger1 = Animelem = 16, < 0
anim = 9044
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, slash 11]
type = Explod
trigger1 = Animelem = 16, >= 0
trigger1 = Animelem = 16, < 2
anim = 9045
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, slash 12]
type = Explod
trigger1 = Animelem = 16, >= 2
trigger1 = Animelem = 17, < 0
anim = 9046
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3712, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3712, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; (2nd Set Of Slashes - 1)
;-------------------------
[Statedef 3720]
Type = S
MoveType = A
Physics = N
anim = 3720
sprpriority = 2
ctrl = 0

[state 3720, velocity]
type = VelSet
trigger1 = AnimElem = 1
x = 1

[state 3720, stop velocity]
type = VelSet
trigger1 = AnimElem = 4, = 4
x = 0

[state 3720, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 3720, hit def]
type = HitDef
trigger1 = AnimElem = 4
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-50
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3720, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9001
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3720, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9002
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3720, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 3
anim = 9003
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3720, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 3
trigger1 = Animelem = 5, < 0
anim = 9004
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3720, slash 5]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9005
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3720, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3720, end state]
type = ChangeState
trigger1 = AnimElem = 7
value = 3721

; (2nd Set Of Slashes - 2)
;-------------------------
[Statedef 3721]
Type = S
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[state 3721, velocity]
type = VelSet
trigger1 = AnimElem = 7
x = 1

[state 3721, stop velocity]
type = VelSet
trigger1 = AnimElem = 9, = 13
x = 0

[state 3721, slash sound]
type = PlaySnd
trigger1 = AnimElem = 9
value = 110, var(17)
channel = 1

[State 3721, hit def]
type = HitDef
trigger1 = AnimElem = 10
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4020
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3721, slash 2]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9032
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, slash 3]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 9, < 0
anim = 9033
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, slash 4]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 10, < 0
anim = 9034
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, slash 7]
type = Explod
trigger1 = Animelem = 10, >= 0
trigger1 = Animelem = 10, < 1
anim = 9037
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, slash 8]
type = Explod
trigger1 = Animelem = 10, >= 1
trigger1 = Animelem = 11, < 0
anim = 9038
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, slash 9]
type = Explod
trigger1 = Animelem = 11, >= 0
trigger1 = Animelem = 12, < 0
anim = 9039
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3721, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3721, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; (3rd Set Of Slashes)
;---------------------
[Statedef 3730]
Type = S
MoveType = A
Physics = N
anim = 3730
sprpriority = 2
ctrl = 0

[state 3730, velocity]
type = VelSet
trigger1 = AnimElem = 1
x = 1

[state 3730, stop velocity]
type = VelSet
trigger1 = AnimElem = 5
x = 0

[state 3730, randomize hit sound]
type = VarRandom
trigger1 = AnimElem = 2
v = 15
range = 0,4

[state 3730, slash guarded randomizer]
type = VarRandom
trigger1 = AnimElem = 2
v = 16
range = 0,2

[state 3730, randomize slash sound]
type = VarRandom
trigger1 = AnimElem = 2
v = 17
range = 0,1

[state 3730, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 3730, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, HA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 5, Hit
damage = 12, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 3
ground.hittime = 22
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
air.hittime = 32
ground.velocity = -1
guard.velocity = -5
air.velocity = -4, -5
getpower = 0, 0

[State 3730, slash 7]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9047
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3730, slash 8]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9048
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3730, slash 9]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9049
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3730, slash 10]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 1
anim = 9050
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3730, slash 11]
type = Explod
trigger1 = Animelem = 5, >= 2
trigger1 = Animelem = 5, < 1
anim = 9051
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 3730, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3730, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; (Finish Hit - 1)
;-----------------
[Statedef 3740]
Type = S
MoveType = A
Physics = N
anim = 3740
sprpriority = 2
ctrl = 0

[State 3740, state type]
type = StateTypeSet
trigger1 = AnimElem = 4
StateType = A

[State 3740, velocity]
type = VelSet
trigger1 = AnimElem = 4
x = 8
y = -5

[state 3740, slash sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 160, 2
channel = 1

[state 3740, spark sound enemy]
type = PlaySnd
trigger1 = MoveHit
value = 160, 1
channel = 2

[State 3740, hit def]
type = HitDef
trigger1 = AnimElem = 4
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 4, Hit
damage = 16, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4032
guard.sparkno = s4220
sparkxy = 0, -37
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
ground.velocity = 0, -8
guard.velocity = -5
air.velocity = -4, -5
fall = 1
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
palfx.time = 65
palfx.sinadd = 255,255,0,3

[State 3740, slash]
type = Explod
trigger1 = AnimElem = 4
ID = 2100
anim = 2101
pos = 0,0
sprpriority = 3
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1

[State 3740, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3740, end state]
type = ChangeState
trigger1 = AnimElem = 5
value = 3741

; (Finish Hit - 2)
;-----------------
[Statedef 3741]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[state 3741, spark sound enemy]
type = PlaySnd
trigger1 = MoveHit
value = 160, 1
channel = 2

[State 3741, hit def]
type = HitDef
trigger1 = AnimElem = 5
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 4, Hit
damage = 16, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4032
guard.sparkno = s4220
sparkxy = 0, -37
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
ground.velocity = 0, -8
guard.velocity = -5
air.velocity = -4, -5
fall = 1
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
palfx.time = 65
palfx.sinadd = 255,255,0,3

[State 3741, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3741, end state]
type = ChangeState
trigger1 = AnimElem = 6
value = 3742

; (Finish Hit - 3)
;-----------------
[Statedef 3742]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[state 3742, spark sound enemy]
type = PlaySnd
trigger1 = MoveHit
value = 160, 1
channel = 2

[State 3742, hit def]
type = HitDef
trigger1 = AnimElem = 6
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 4, Hit
damage = 16, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4032
guard.sparkno = s4220
sparkxy = 0, -37
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
ground.velocity = 0, -8
guard.velocity = -5
air.velocity = -4, -5
fall = 1
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
palfx.time = 65
palfx.sinadd = 255,255,0,3

[State 3742, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3742, end state]
type = ChangeState
trigger1 = AnimElem = 7
value = 3743

; (Finish Hit - 4)
;-----------------
[Statedef 3743]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 3743, stop velocity]
type = VelSet
trigger1 = AnimElem = 8
x = 3
y = 0

[State 3743, gravity]
type = VelAdd
trigger1 = time >= 3
y = 0.5

[state 3743, spark sound enemy]
type = PlaySnd
trigger1 = MoveHit
value = 160, 1
channel = 2

[State 3743, hit def]
type = HitDef
trigger1 = AnimElem = 7
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = up
priority = 4, Hit
damage = 16, 4
pausetime = 5, 5
guard.pausetime = 6, 6
sparkno = s4032
guard.sparkno = s4220
sparkxy = 0, -37
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
guard.slidetime = 5
guard.hittime = 6
guard.ctrltime = 6
ground.velocity = 0, -8
guard.velocity = -5
air.velocity = -4, -5
fall = 1
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
palfx.time = 65
palfx.sinadd = 255,255,0,3

[State 3743, remove slash]
type = RemoveExplod
trigger1 = AnimElem = 8
ID = 2100

[State 3743, move hit background]
type = envcolor
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 3743, end state]
type = ChangeState
trigger1 = time = 23
value = 3745

; (Land)
;-------
[Statedef 3745]
Type = C
MoveType = I
Physics = C
anim = 3741
sprpriority = 1
ctrl = 0

[State 3745, velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 3745, position]
type = PosSet
trigger1 = time = 0
y = 0

[State 3745, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
