;==============================================================================================
;
; COMMANDS DEFINITION
;
;==============================================================================================

;-| Default Values |---------------------------------------------------------------------------

[Defaults]
command.time = 15
command.buffer.time = 1


;-| Single Button |----------------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


;-| Hold Direction |---------------------------------------------------------------------------

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;-| Hold Button |------------------------------------------------------------------------------

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1


;-| CPU |--------------------------------------------------------------------------------------

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+a
time = 1


;-| Super Motions |----------------------------------------------------------------------------

[Command]
name 	= "ererushi_kamui_rimuse"
command = ~B, F, D, x+y
time 	= 30

[Command]
name 	= "nubeki_kamui_shikite"
command = ~B, F, D, y+z
time 	= 40

[Command]
name 	= "suicide"
command = ~B, F, D, s
time 	= 20



;-| Special Motions |--------------------------------------------------------------------------

[Command]
name 	= "hcb_hcb_a"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, a
time 	= 40

[Command]
name 	= "dp_x"
command = ~F, D, DF, x
time 	= 20

[Command]
name 	= "dp_y"
command = ~F, D, DF, y
time 	= 20

[Command]
name 	= "dp_z"
command = ~F, D, DF, z
time 	= 20

[Command]
name 	= "dp_a"
command = ~F, D, DF, a
time 	= 20

[Command]
name 	= "hcf_a"
command = ~B, DB, D, DF, F, a
time 	= 20

[Command]
name 	= "hcb_x"
command = ~F, DF, D, DB, B, x
time 	= 20

[Command]
name 	= "hcb_y"
command = ~F, DF, D, DB, B, y
time 	= 20

[Command]
name 	= "hcb_z"
command = ~F, DF, D, DB, B, z
time 	= 20

[Command]
name 	= "hcb_a"
command = ~F, DF, D, DB, B, a
time 	= 20

[Command]
name 	= "qcf_x"
command = ~D, DF, F, x
time 	= 15

[Command]
name 	= "qcf_y"
command = ~D, DF, F, y
time 	= 15

[Command]
name 	= "qcf_z"
command = ~D, DF, F, z
time 	= 15

[Command]
name 	= "qcf_a"
command = ~D, DF, F, a
time 	= 15

[Command]
name 	= "qcb_x"
command = ~D, DB, B, x
time 	= 15

[Command]
name 	= "qcb_y"
command = ~D, DB, B, y
time 	= 15

[Command]
name 	= "qcb_z"
command = ~D, DB, B, z
time 	= 15

[Command]
name 	= "qcb_a"
command = ~D, DB, B, a
time 	= 15

[Command]
name 	= "qcbf_a"
command = ~D, DB, B, F, a
time 	= 20

[Command]
name 	= "qcd_x"
command = ~B, DB, D, x
time 	= 15

[Command]
name 	= "qcd_y"
command = ~B, DB, D, y
time 	= 15

[Command]
name 	= "qcd_z"
command = ~B, DB, D, z
time 	= 15



;-| Double Tap |-------------------------------------------------------------------------------

[Command]
name 	= "FF"     ; Required (do not remove)
command = F, F
time 	= 10

[Command]
name 	= "BB"     ; Required (do not remove)
command = B, B
time 	= 10

[Command]
name 	= "DU"
command = $D, $U
time 	= 5



;-| 2/3 Button Combination |-------------------------------------------------------------------

[Command]
name 	= "recovery";Required (do not remove)
command = x+a
time 	= 1

[Command]
name 	= "recovery"
command = y+a
time 	= 1

[Command]
name 	= "recovery"
command = z+a
time 	= 1

[Command]
name 	= "dodge"
command = x+y
time 	= 1

[Command]
name 	= "dodge"
command = c
time 	= 1

[Command]
name 	= "starter"
command = z+a
time 	= 1



;==============================================================================================
;
; STATE ENTRY
;
;==============================================================================================

[StateDef -1]

;----------------------------------------------------------------------------------------------
; AI Mode
;----------------------------------------------------------------------------------------------

; AI Initialisation
;------------------

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742


; AI Recover
;-----------

[State -1, AI life recover]
type = ChangeState
value = 70
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (StateNo = 5110) && (time > 8) && (random = [0, 400))

[State -1, AI roll forward recover]
type = ChangeState
value = 76
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (StateNo = 5110) && (time > 8) && (random = [400, 550))

[State -1, AI roll back recover]
type = ChangeState
value = 78
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (StateNo = 5110) && (time > 8) && (random = [550, 700))


; AI Defensive Moves
;-------------------

[State -1, AI hop forward]
type = ChangeState
value = 62
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType = A) && (P2BodyDist x = [0, 50]) && (FrontEdgeDist >= 150)
triggerall = (enemy, HitDefAttr != SCA, HA, HT, HP)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 300))


; AI Rage Explosion Mode
;-----------------------

[State -1, AI rage explosion mode]
type = ChangeState
value = 3500
triggerall = (var(59) = 1) && (var(0) = 0) && (var(22) = 0) && (RoundState = 2)
triggerall = (life <= 100) && (enemy, life >= 500)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 100))

[State -1, AI super slash]
type = ChangeState
value = 3600
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 1) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2BodyDist x > 100)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 200))
trigger2 = (StateNo = 3730) && (MoveContact) && (random = [0, 250))

[State -1, AI super combo 1]
type = ChangeState
value = 3700
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 1) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2BodyDist x <= 100)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 200))

[State -1, AI super combo 2]
type = ChangeState
value = 3720
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 1) && (RoundState = 2)
trigger1 = (StateNo = 3712) && (AnimElem = 17) && (MoveHit)

[State -1, AI super combo 3]
type = ChangeState
value = 3730
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 1) && (RoundState = 2)
trigger1 = (StateNo = 3721) && (AnimElem = 11) && (MoveHit)

[State -1, AI super combo 4]
type = ChangeState
value = 3740
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 1) && (RoundState = 2)
trigger1 = (StateNo = 3730) && (AnimElem = 4) && (MoveHit)


; AI Supers
;----------

[State -1, AI nubeki kamui shikite]
type = ChangeState
value = 3201 + 257*var(0)
triggerall = (var(59) = 1) && (var(20) = 1) && (var(0) != 10) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x >= 100)
trigger1 = (StateType = S) && (ctrl) && (random = [800, 900))
trigger2 = (StateNo = 932) && (MoveContact) && (random = [0, 500))

[State -1, AI ererushi kamui rimuse]
type = ChangeState
value = 3101
triggerall = (var(59) = 1) && (var(20) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x >= 50)
trigger1 = (StateType = S) && (ctrl) && (random = [800, 900))
trigger2 = (StateNo = 932) && (MoveContact) && (random = [0, 500))


; Attacks when enemy is in the air
;----------------------------------

[State -1, AI air throw]
type = ChangeState
value = 840
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,10]) && (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [0, 300))

[State -1, AI air light slash]
type = ChangeState
value = 600
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,60]) && (P2bodydist y = [-70,-30])
trigger1 = (StateType = A) && (ctrl) && (random = [0, 100))

[State -1, AI air medium slash]
type = ChangeState
value = 610
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,70]) && (P2bodydist y = [-90,-50])
trigger1 = (StateType = A) && (ctrl) && (random = [100, 200))

[State -1, AI air fierce slash]
type = ChangeState
value = 620
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,45]) && (P2bodydist y = [-135,-25])
trigger1 = (StateType = A) && (ctrl) && (random = [200, 500))

[State -1, AI air kick]
type = ChangeState
value = 700
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,45]) && (P2bodydist y = [-50,0])
trigger1 = (StateType = A) && (ctrl) && (random = [200, 500))

[State -1, AI air knock down kick]
type = ChangeState
value = 720
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (StateType = A) && (ctrl) && (random = [500, 550))

[State -1, AI short lela mutsube]
type = ChangeState
value = 1100 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 60)) && (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [0,100))
trigger2 = (StateNo = 933) && (MoveContact) && (random = [0, 100))

[State -1, AI medium lela mutsube]
type = ChangeState
value = 1110 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [60, 100)) && (P2StateType = A) && (P2Movetype != H)
trigger1 = (StateType = S) && (ctrl) && (random = [0,100))
trigger2 = (StateNo = 933) && (MoveContact) && (random = [100, 300))

[State -1, AI long lela mutsube]
type = ChangeState
value = 1120 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x >= 100) && (P2StateType = A) && (P2Movetype != H)
trigger1 = (StateType = S) && (ctrl) && (random = [0,50))
trigger2 = (StateNo = 933) && (MoveContact) && (random = [300, 700))


; Crouching attacks
;------------------

[State -1, AI crouch light slash]
type = ChangeState
value = 400
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = C) && (ctrl) && (random = [0,150))

[State -1, AI crouch medium slash]
type = ChangeState
value = 410
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 50])
trigger1 = (StateType = C) && (ctrl) && (random = [150,300))

[State -1, crouch fierce slash]
type = ChangeState
value = 420
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = C) && (ctrl) && (random = [300,450))

[State -1, AI crouch kick]
type = ChangeState
value = 500
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 40])
trigger1 = (StateType = C) && (ctrl) && (random = [450,650))

[State -1, AI crouch knock down kick]
type = ChangeState
value = 520
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = C) && (ctrl) && (random = [650,850))


; Attacks When enemy is Close
;-----------------------------

[State -1, lela o chikiri]
type = ChangeState
value = 1400 + 10*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,35])
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))
trigger2 = (StateNo = 932) && (MoveContact) && (random = [0, 100))

[State -1, AI one cape twirl]
type = ChangeState
value = 1200 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType = S) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [250, 300))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [0, 250))
trigger3 = (StateNo = 932) && (MoveContact) && (random = [100, 200))

[State -1, AI two cape twirls]
type = ChangeState
value = 1210 + 2*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType = S) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [300, 350))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [250, 500))
trigger3 = (StateNo = 932) && (MoveContact) && (random = [200, 300))

[State -1, AI three cape twirls]
type = ChangeState
value = 1220 + 3*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType = S) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [350, 400))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [500, 750))
trigger3 = (StateNo = 932) && (MoveContact) && (random = [300, 400))

[State -1, AI additional cape twirl]
type = ChangeState
value = 1250 + 2*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 50)) && (random <= 800)
trigger1 = (StateNo = 1200) && (animelem = 8, > 0) && (animelem = 10, <0)
trigger2 = (StateNo = 1211) && (animelem = 19, > 0) && (animelem = 21, <0)
trigger3 = (StateNo = 1222) && (animelem = 30, > 0) && (animelem = 32, <0)

[State -1, AI pushing guard crush]
type = ChangeState
value = 800
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,30]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [400, 450))

[State -1, AI pulling guard crush]
type = ChangeState
value = 810
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,30]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [450, 500))

[State -1, AI short light slash]
type = ChangeState
value = 205
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [500, 550))

[State -1, AI short medium slash]
type = ChangeState
value = 215
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [550, 600))

[State -1, AI short fierce slash]
type = ChangeState
value = 225
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [600, 650))

[State -1, AI knock down kick]
type = ChangeState
value = 360
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [650, 750))

[State -1, AI overhead slash]
type = ChangeState
value = 230
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType = C) && (P2MoveType != A) && (P2BodyDist x = [0, 45])
trigger1 = (StateType = S) && (ctrl) && (random = [750, 850))


; Attacks when enemy is at mid distance
;---------------------------------------

[State -1, AI combo starter]
type = ChangeState
value = 900
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 60])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))

[State -1, AI short annu mutsube]
type = ChangeState
value = 1000 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [100, 60)) && (P2StateType != A)
trigger1 = (StateType = S) && (ctrl) && (random = [250,300))
trigger2 = (StateNo = 932) && (MoveContact) && (random = [400, 500))

[State -1, AI medium annu mutsube]
type = ChangeState
value = 1010 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 100)) && (P2StateType != A)
trigger1 = (StateType = S) && (ctrl) && (random = [300,350))
trigger2 = (StateNo = 932) && (MoveContact) && (random = [500, 600))

[State -1, AI stand light slash]
type = ChangeState
value = 200
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [350, 400))

[State -1, AI stand medium slash]
type = ChangeState
value = 210
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 120])
trigger1 = (StateType = S) && (ctrl) && (random = [400, 450))

[State -1, AI stand fierce slash]
type = ChangeState
value = 220
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [450, 500))

[State -1, AI stand kick]
type = ChangeState
value = 320
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 50])
trigger1 = (StateType = S) && (ctrl) && (random = [500, 550))


; 15 Hits Combo
;--------------
[State -1, AI combo 4-1]
type = ChangeState
value = 940
triggerall = (var(59) = 1) && (random = [0, 300))
trigger1 = StateNo = 905

[State -1, AI combo 4-2]
type = ChangeState
value = 940 + 1*(StateNo = 940) + 2*(StateNo = 941) + 3*(StateNo = 942) + 4*(StateNo = 943) + 5*(StateNo = 944) + 6*(StateNo = 945)
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 940 && MoveContact && AnimElem = 4
trigger2 = StateNo = 941 && MoveContact && AnimElem = 4
trigger3 = StateNo = 942 && MoveContact && AnimElem = 6
trigger4 = StateNo = 943 && MoveContact && AnimElem = 4
trigger5 = StateNo = 944 && MoveContact && AnimElem = 4
trigger6 = StateNo = 945 && MoveContact && AnimElem = 5

[State -1, AI combo 4-3]
type = ChangeState
value = 940 + 7*(StateNo = 946) + 8*(StateNo = 947) + 9*(StateNo = 948) + 10*(StateNo = 949) + 11*(StateNo = 950) + 12*(StateNo = 951)
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 946 && MoveContact && AnimElem = 5
trigger2 = StateNo = 947 && MoveContact && AnimElem = 6
trigger3 = StateNo = 948 && MoveContact && AnimElem = 7
trigger4 = StateNo = 949 && MoveContact && AnimElem = 4
trigger5 = StateNo = 950 && MoveContact && AnimElem = 5
trigger6 = StateNo = 951 && MoveContact && AnimElem = 6

; 6 Hits Combo
;-------------
[State -1, combo 1-1]
type = ChangeState
value = 910
triggerall = (var(59) = 1) && (random = [300, 500)) && (RoundState = 2)
trigger1 = StateNo = 905

[State -1, combo 1-2]
type = ChangeState
value = 911
triggerall = (var(59) = 1) && (random = [0, 500)) && (RoundState = 2)
trigger1 = StateNo = 910 && MoveContact && AnimElem = 4

[State -1, combo 1-3]
type = ChangeState
value = 912
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 911 && MoveContact && AnimElem = 4

; 5 Hits Combo
;-------------
[State -1, combo 3-1]
type = ChangeState
value = 930
triggerall = (var(59) = 1) && (random = [500, 700)) && (RoundState = 2)
trigger1 = StateNo = 905

[State -1, combo 3-2]
type = ChangeState
value = 931
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 930 && MoveContact && AnimElem = 7

[State -1, combo 3-3]
type = ChangeState
value = 932
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 931 && MoveContact && AnimElem = 7

; 4 Hits Combo
;-------------
[State -1, combo 2-2]
type = ChangeState
value = 920
triggerall = (var(59) = 1) && (random = [500, 900)) && (RoundState = 2)
trigger1 = StateNo = 910 && MoveContact && AnimElem = 4

; 3rd Hit
[State -1, combo 2-3]
type = ChangeState
value = 921
triggerall = (var(59) = 1) && (RoundState = 2)
trigger1 = StateNo = 920 && MoveContact && AnimElem = 7


; Attacks when enemy is far
;---------------------------

[State -1, AI long annu mutsube]
type = ChangeState
value = 1020 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x >= 150) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [0,100))
trigger2 = (StateNo = 933) && (MoveContact) && (random = [600, 700))

[State -1, AI taunt]
type = ChangeState
value = 195
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateNo = 195) && (P2BodyDist x >= 200)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))


; AI running attacks
;-------------------

[State -1, AI running light slash]
type = ChangeState
value = 250
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [0,200))

[State -1, AI running medium slash]
type = ChangeState
value = 260
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [200,600))

[State -1, AI running fierce slash]
type = ChangeState
value = 270
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [600,700))

[State -1, AI running kick]
type = ChangeState
value = 350
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [700,800))


; AI Pursuit Attacks
;-------------------

[State -1, AI pursuit slash]
type = null;ChangeState
value = 240
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType = L) && (P2BodyDist x = [0, 20])
trigger1 = (StateType = S) && (ctrl) && (random = [0,500))


; Attacks with Mamahaha
;----------------------

[State -1, AI shichikapu etu brute]
type = ChangeState
value = 1500
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(7000), ParentDist x = (0, 70)
triggerall = helper(7000), pos y = [-132, -112]
triggerall = (P2BodyDist x >= 50) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [800,1000))


; Attacks with Shikuruu
;----------------------

[State -1, AI Shikuruu air horyzontal slash]
type = ChangeState
value = 8250
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2bodydist x = [0,60]) && (P2bodydist y = [-105,-60])
triggerall = (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [0, 200))

[State -1, AI Shikuruu air vertical slash]
type = ChangeState
value = 8260
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2bodydist x = [0,65]) && (P2bodydist y = [-35,-25])
triggerall = (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [200, 550))

[State -1, AI Shikuruu crouch horyzontal slash]
type = ChangeState
value = 8230
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 55])
trigger1 = (StateType = C) && (ctrl) && (random = [0,250))

[State -1, AI Shikuruu crouch vertical slash]
type = ChangeState
value = 8240
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 55])
trigger1 = (StateType = C) && (ctrl) && (random = [250,600))

[State -1, AI Shikuruu running slash]
type = ChangeState
value = 8220
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [0,600))

[State -1, AI Shikuruu stand horyzontal slash]
type = ChangeState
value = 8200
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 300))

[State -1, AI Shikuruu stand vertical slash]
type = ChangeState
value = 8210
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [300, 600))

[State -1, AI imeru shikite]
type = ChangeState
value = 8320 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (pos y <= -70) && (StateType = A) && (ctrl) && (random = [0,400))

[State -1, AI kanto shikite]
type = ChangeState
value = 8310 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType = A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [0,100))

[State -1, AI myu shikite]
type = ChangeState
value = 8300 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [100,200))

[State -1, AI separate attack]
type = ChangeState
value = 8360 + (StateType = A)*5
ignorehitpause = 1
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (MoveHit) && (random = [0, 50))
trigger1 = stateno = [8300, 8304]				; Myu   Shikite
trigger2 = vel y <= 0 && stateno = [8310, 8314]		; Kanto Shikite
trigger3 = stateno = [8320, 8321]				; Imeru Shikite

[State -1, AI epunkine shikite]
type = ChangeState
value = 2000
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = facing = helper(8000), facing		; Nako & Shikuruu face the same direction
triggerall = (P2BodyDist x >= 150) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [100,200))

[State -1, AI wolf pounce]
type = ChangeState
value = 90
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-100, 100]	; Nako & Shikuruu are close
triggerall = helper(8000), BackEdgeBodyDist >= -20	; Shikuruu is inside the screen
triggerall = helper(8000), FrontEdgeBodyDist >= 0	; Shikuruu is inside the screen
triggerall = (P2BodyDist x >= 150) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [200,400))

[State -1, AI off Shikuruu]
type = ChangeState
value = 95
triggerall = (var(59) = 1) && (var(0) = 20)
triggerall = StateNo != 95
trigger1 = roundstate != 2 && ctrl


; AI Misc Moves
;--------------

[State -1, AI suicide]
type = ChangeState
value = 110
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (life <= 50) && (enemy, life >= 800)
triggerall = (var(20) = 0) && (var(23) < 500)
trigger1 = (StateType != A) && (ctrl) && (random = [0,50))



;----------------------------------------------------------------------------------------------
; Miscellaneous
;----------------------------------------------------------------------------------------------

; Transformation
;---------------
[State -1, short lela mutsube]
type = ChangeState
value = 1900
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcb_hcb_a"
trigger1 = StateType != A && ctrl



;----------------------------------------------------------------------------------------------
; Attacking with Shikuruu
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Nubeki Kamui Shikite
;---------------------
[State -1, nubeki kamui shikite]
type = ChangeState
value = 3201 + 257*var(0)
triggerall = command = "nubeki_kamui_shikite"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = RoundState = 2 && var(59) <= 0 && var(20) = 1
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact


;=================
; Special Attacks
;=================

; Epunkine Shikite
;-----------------
[State -1, epunkine shikite]
type = ChangeState
value = 2000
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcb_a"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = facing = helper(8000), facing		; Nako & Shikuruu face the same direction
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact


; Separate Attack
;----------------
[State -1, separate attack]
type = ChangeState
value = 8360 + (StateType = A)*5
ignorehitpause = 1
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "holdfwd"  || command = "holdback"
triggerall = command = "x"  || command = "y" || command = "z"
trigger1 = stateno = [8300, 8304]				; Myu   Shikite
trigger2 = vel y <= 0 && stateno = [8310, 8314]		; Kanto Shikite
trigger3 = stateno = [8320, 8321]				; Imeru Shikite

; Imeru Shikite
;--------------
[State -1, imeru shikite]
type = ChangeState
value = 8320 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = StateType = A && ctrl

; Kanto Shikite
;--------------
[State -1, kanto shikite]
type = ChangeState
value = 8310 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "dp_x"  || command = "dp_y" || command = "dp_z"
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl

; Myu Shikite
;------------
[State -1, myu shikite]
type = ChangeState
value = 8300 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl


;===============
; Martial Moves
;===============

; Crouch Horyzontal Slash
;------------------------
[State -1, Shikuruu crouch horyzontal slash]
type = ChangeState
value = 8230
triggerall = var(59) <= 0 && var(0) = 20
triggerall = (command = "x" || command = "y") && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Vertical Slash
;----------------------
[State -1, Shikuruu crouch vertical slash]
type = ChangeState
value = 8240
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z" && command = "holddown"
trigger1 = StateType = C && ctrl

; Overhead Slash
;----------------
[State -1, Shikuruu overhead slash]
type = ChangeState
value = 8215
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "y" && command = "z"
trigger1 = StateType = S && ctrl

; Running Slash
;--------------
[State -1, Shikuruu running slash]
type = ChangeState
value = 8220
triggerall = var(59) <= 0 && var(0) = 20
triggerall = stateno = 100			; Running
trigger1 = command = "x"
trigger2 = command = "y"
trigger3 = command = "z"

; Stand Horyzontal Slash
;-----------------------
[State -1, Shikuruu stand horyzontal slash]
type = ChangeState
value = 8200
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "x" || command = "y"
trigger1 = StateType = S && ctrl

; Stand Vertical Slash
;---------------------
[State -1, Shikuruu stand vertical slash]
type = ChangeState
value = 8210
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z"
trigger1 = StateType = S && ctrl

; Air Horyzontal Slash
;---------------------
[State -1, Shikuruu air horyzontal slash]
type = ChangeState
value = 8250
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "x" || command = "y"
trigger1 = StateType = A && ctrl

; Air Vertical Slash
;-------------------
[State -1, Shikuruu air vertical slash]
type = ChangeState
value = 8260
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z"
trigger1 = StateType = A && ctrl

; Leave Shikuruu
;---------------
[State -1, off Shikuruu]
type = ChangeState
value = 95
triggerall = var(59) <= 0 && var(0) = 20
triggerall = StateNo != 95
triggerall = ctrl
trigger1 = command = "a"
trigger2 = roundstate != 2



;----------------------------------------------------------------------------------------------
; Attacking with Mamahaha
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Ererushi Kamui Rimuse
;----------------------
[State -1, ererushi kamui rimuse]
type = ChangeState
value = 3101
triggerall 	= RoundState = 2 && var(59) <= 0 && var(20) = 1 && var(0) = 0
triggerall 	= command = "ererushi_kamui_rimuse"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact


;=================
; Special Attacks
;=================

; Shichikapu Etu Brute
;---------------------
[State -1, shichikapu etu brute]
type = ChangeState
value = 1500
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcb_x" || command = "hcb_y" || command = "hcb_z"
triggerall = helper(7000), ParentDist x = (0, 70)
triggerall = helper(7000), pos y = [-132, -112]
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Kamui Mutsube
;--------------
[State -1, kamui mutsube]
type = ChangeState
value = 1600 + var(20)
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcd_x"  || command = "qcd_y" || command = "qcd_z"
trigger1 = StateNo = 7000

; Shichikaou Ai
;---------------
[State -1, shichikaou ai]
type = ChangeState
value = 1700
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = ctrl

; Drop Attack
;------------
[State -1, drop attack]
type = ChangeState
value = 1800 + 10*(var(20))
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcb_x"  || command = "qcb_y" || command = "qcb_z"
triggerall = RoundState = 2
trigger1 = StateNo = 7000


;===============
; Martial Moves
;===============

; Horyzontal Slash
;-----------------
[State -1, Mamahaha horyzontal slash]
type = ChangeState
value = 7200
triggerall = var(59) <= 0
triggerall = command = "x"  || command = "y"
trigger1 = StateNo = 7000

; Vertical Slash
;---------------
[State -1, Mamahaha vertical slash]
type = ChangeState
value = 7220
triggerall = var(59) <= 0
triggerall = command = "z"
trigger1 = StateNo = 7000



;----------------------------------------------------------------------------------------------
; Attacking alone
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Rage Explosion Mode
;--------------------
[State -1, rage mode]
type = ChangeState
value = 3500
triggerall = var(59) <= 0 && var(0) = 0 && var(22) = 0
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Super Combo
;------------
; 1st Part
[State -1, super combo 1]
type = ChangeState
value = 3700
triggerall = var(59) <= 0 && var(0) = 0 && var(20) = 1 && var(22) = 1
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact

; 2nd Part
[State -1, super combo 2]
type = ChangeState
value = 3720
triggerall = var(59) <= 0 && var(0) = 0 && var(20) = 1 && var(22) = 1
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = StateNo = 3712 && MoveContact

; 3rd Part
[State -1, super combo 3]
type = ChangeState
value = 3730
triggerall = var(59) <= 0 && var(0) = 0 && var(20) = 1 && var(22) = 1
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = StateNo = 3721 && MoveContact

; 4th Part
[State -1, super combo 4]
type = ChangeState
value = 3740
triggerall = var(59) <= 0 && var(0) = 0 && var(20) = 1 && var(22) = 1
triggerall = command = "x" && command = "y" && command = "z"
trigger1 = StateNo = 3730 && MoveContact

; Super Slash
;------------
[State -1, super slash]
type = ChangeState
value = 3600
triggerall = var(59) <= 0 && var(0) = 0 && var(20) = 1 && var(22) = 1
triggerall = command = "a" && command = "y" && command = "z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact


;==========
; Specials
;==========

; Short Lela Mutsube
;-------------------
[State -1, short lela mutsube]
type = ChangeState
value = 1100 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Medium Lela Mutsube
;--------------------
[State -1, medium lela mutsube]
type = ChangeState
value = 1110 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Long Lela Mutsube
;------------------
[State -1, long lela mutsube]
type = ChangeState
value = 1120 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Short Annu Mutsube
;-------------------
[State -1, short annu mutsube]
type = ChangeState
value = 1000 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Medium Annu Mutsube
;--------------------
[State -1, medium annu mutsube]
type = ChangeState
value = 1010 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Long Annu Mutsube
;------------------
[State -1, long annu mutsube]
type = ChangeState
value = 1020 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Kamui Risse x1
;---------------
[State -1, one cape twirl]
type = ChangeState
value = 1200 + 1*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Kamui Risse x2
;---------------
[State -1, two cape twirls]
type = ChangeState
value = 1210 + 2*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Kamui Risse x3
;---------------
[State -1, three cape twirls]
type = ChangeState
value = 1220 + 3*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Additional Cape Twirl
;----------------------
[State -1, additional cape twirl]
type = ChangeState
value = 1250 + 2*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x" || command = "y" || command = "z"
trigger1 = StateNo = 1200
trigger1 = animelem = 8, >0 && animelem = 10, <0
trigger2 = StateNo = 1211
trigger2 = animelem = 19, >0 && animelem = 21, <0
trigger3 = StateNo = 1222
trigger3 = animelem = 30, >0 && animelem = 32, <0

; Lela O Chikiri
;---------------
[State -1, lela o chikiri]
type = ChangeState
value = 1400 + 10*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dp_a"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Reflect
;--------
[State -1, reflect]
type = null;ChangeState
value = 1350
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcbf_a"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Counter
;--------
[State -1, counter]
type = null;ChangeState
value = 1300
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcf_a"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Mamahaha Flight
;----------------
[State -1, Mamahaha]
type = ChangeState
value = 80
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_a"
triggerall = helper(7000), ParentDist x = [40, 70]	; Nako & Mamahaha are close
triggerall = helper(7000), pos y = [-127, -117]
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact

; Wolf Pounce
;------------
[State -1, Shikuruu]
type = ChangeState
value = 90
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_a"
triggerall = helper(8000), ParentDist x = [-100, 100]	; Nako & Shikuruu are close
triggerall = RoundState = 2
;triggerall = helper(8000), BackEdgeBodyDist >= -20	; Shikuruu is inside the screen
;triggerall = helper(8000), FrontEdgeBodyDist >= 0	; Shikuruu is inside the screen
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 932 && MoveContact
trigger3 = StateNo = 933 && MoveContact
trigger4 = StateNo = 940 && MoveContact
trigger5 = StateNo = 941 && MoveContact
trigger6 = StateNo = 942 && MoveContact
trigger7 = StateNo = 943 && MoveContact
trigger8 = StateNo = 949 && MoveContact
trigger9 = StateNo = 950 && MoveContact
trigger10 = StateNo = 3712 && MoveContact
trigger11 = StateNo = 3721 && MoveContact
trigger12 = StateNo = 3730 && MoveContact



;=====================
; Combination Attacks
;=====================

; Combo Starter
;--------------
[State -1, combo starter]
type = ChangeState
value = 900
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "starter" || command = "b"
trigger1 = StateType != A && ctrl

; 15 Hits Combo
;--------------
; 1st Hit
[State -1, combo 4-1]
type = ChangeState
value = 940
triggerall = var(59) <= 0
triggerall = command = "x" && command = "holdfwd"
trigger1 = StateNo = 905

; 2nd Hit & 7th Hits
[State -1, combo 4-2 & 4-7]
type = ChangeState
value = 941 + 5*(StateNo = 945)
triggerall = var(59) <= 0
triggerall = command = "x"
trigger1 = StateNo = 940 && MoveContact
trigger2 = StateNo = 945 && MoveContact

; 3rd & 4th & 8th Hits
[State -1, combo 4-3 & 4-4 & 4-8]
type = ChangeState
value = 942 + 1*(StateNo = 942) + 5*(StateNo = 946)
triggerall = var(59) <= 0
triggerall = command = "y"
trigger1 = StateNo = 941 && MoveContact
trigger2 = StateNo = 942 && MoveContact
trigger3 = StateNo = 946 && MoveContact

; 5th & 6th & 9 & More Hits
[State -1, combo 4-5 & 4-6 & 4-9 & more]
type = ChangeState
value = 944 + 1*(StateNo = 944) + 4*(StateNo = 947) + 5*(StateNo = 948) + 6*(StateNo = 949) + 7*(StateNo = 950) + 8*(StateNo = 951)
triggerall = var(59) <= 0
triggerall = command = "z"
trigger1 = StateNo = 943 && MoveContact
trigger2 = StateNo = 944 && MoveContact
trigger3 = StateNo = 947 && MoveContact
trigger4 = StateNo = 948 && MoveContact
trigger5 = StateNo = 949 && MoveContact
trigger6 = StateNo = 950 && MoveContact
trigger7 = StateNo = 951 && MoveContact

; 6 Hits Combo
;-------------
[State -1, combo 1-1]
type = ChangeState
value = 910 + 1*(StateNo = 910) + 2*(StateNo = 911)
triggerall = var(59) <= 0
triggerall = command = "x"
trigger1 = StateNo = 905
trigger2 = StateNo = 910 && MoveContact
trigger3 = StateNo = 911

; 5 Hits Combo
;-------------
; 1st & 2nd Hits
[State -1, combo 3-1 & 3-2]
type = ChangeState
value = 930 + 1*(StateNo = 930)
triggerall = var(59) <= 0
triggerall = command = "y"
trigger1 = StateNo = 905
trigger2 = StateNo = 930 && MoveContact

; 3rd Hit
[State -1, combo 3-3]
type = ChangeState
value = 932
triggerall = var(59) <= 0
triggerall = command = "z"
trigger1 = StateNo = 931 && MoveContact

; 4 Hits Combo
;-------------
; 2nd Hit
[State -1, combo 2-2]
type = ChangeState
value = 920
triggerall = var(59) <= 0
triggerall = command = "y"
trigger1 = StateNo = 910 && MoveContact

; 3rd Hit
[State -1, combo 2-3]
type = ChangeState
value = 921
triggerall = var(59) <= 0
triggerall = command = "z"
trigger1 = StateNo = 920 && MoveContact



;================
; Standard Moves
;================

; Running Jump
;-------------
[State -1, running jump]
type = ChangeState
value = 40
triggerall = command = "holdup"
trigger1 = stateno = 100

; Triangle Jump
;--------------
[State -1, triangle jump]
type = ChangeState
value = 45
triggerall = var(0) = 0 && pos y < -10
trigger1 = BackEdgeBodyDist = 0 && ctrl			; if the edge of the screen is behind the player
trigger1 = command = "holdup" && command = "holdfwd"
trigger2 = FrontEdgeBodyDist = 0 && ctrl			; if the edge of the creen is in front of the player
trigger2 = command = "holdup" && command = "holdback"

; Run
;----
[State -1, run]
type = ChangeState
value = 100
triggerall = command = "FF"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 1900

; Hop Back
;---------
[State -1, hop back]
type = ChangeState
value = 105
triggerall = command = "BB"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 1900

; SSV Roll Forward
;-----------------
[State -1, roll forward]
type = ChangeState
value = 68
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holddown" && command = "holdfwd"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 1900

; SSV Roll Back
;--------------
[State -1, roll back]
type = ChangeState
value = 69
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holddown" && command = "holdback"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 1900

; Hop Forward
;------------
[State -1, hop forward]
type = ChangeState
value = 62
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holdfwd"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 1900

; Lower Evade
;------------
[State -1, lower evade]
type = ChangeState
value = 63
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holdback"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 1900

; Lay Down
;---------
[State -1, lay down]
type = ChangeState
value = 61
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holddown"
trigger1 = StateType != A && ctrl
trigger2 = stateno = 1900

; Suicide
;--------
[State -1, suicide]
type = ChangeState
value = 110
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "suicide"
trigger1 = StateType != A && ctrl

; Taunt
;------
[State -1, taunt]
type = ChangeState
value = 195
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "start"
trigger1 = StateType = S && ctrl


;==================
; Liyng Down Moves
;==================

; Life Recovery
;--------------
[State -1]
type = ChangeState
value = 70
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holddown"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Roll Forward Recovery
;----------------------
[State -1]
type = ChangeState
value = 76
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdfwd"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Roll Back Recovery
;-------------------
[State -1]
type = ChangeState
value = 78
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdback"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Quick Stand up
;---------------
[State -1]
type = ChangeState
value = 5120
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdup"
trigger1 = Life > 0 && StateNo = 5110 && time > 10



;========
; Throws
;========

; Guard Crush Forward
;--------------------
[State -1]
type = ChangeState
value = 800
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && command ="holdfwd"
triggerall = P2bodydist x <= 35 && P2StateType != A && P2MoveType != H
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 100

; Guard Crush Back
;-----------------
[State -1]
type = ChangeState
value = 810
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && command ="holdback"
triggerall = P2bodydist x <= 35 && P2StateType != A && P2MoveType != H
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 100

; Air Throw
;----------
[State -1]
type = ChangeState
value = 840
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && command ="holdfwd"
trigger1 = StateType = A && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType = A && P2MoveType != H	; enemy must be close and in the air



;=================
; Running Attacks
;=================

; Running Kick
;-------------
[State -1]
type = ChangeState
value = 350
triggerall = var(59) <= 0 && var(0) = 0
triggerall = (command = "a") || (command = "y" && command = "z")
trigger1 = StateNo = 100

; Running Light Slash
;--------------------
[State -1]
type = ChangeState
value = 250
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
trigger1 = StateNo = 100

; Running Medium Slash
;---------------------
[State -1]
type = ChangeState
value = 260
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateNo = 100

; Running Fierce Slash
;---------------------
[State -1]
type = ChangeState
value = 270
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateNo = 100



;=================
; Pursuit Attacks
;=================

; Pursuit Slash
;--------------
[State -1]
type = ChangeState
value = 240
triggerall = var(59) <= 0 && var(0) = 0
triggerall = P2StateType = L && (P2BodyDist x = [0, 20])				; enemy must be lying down
triggerall = StateType != A && ctrl
trigger1 = command = "x" &&  command = "holdfwd" && command = "holddown"
trigger2 = command = "y" &&  command = "holdfwd" && command = "holddown"
trigger3 = command = "z" &&  command = "holdfwd" && command = "holddown"

; Pursuit Kick
;-------------
[State -1]
type = ChangeState
value = 340
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateType != A && ctrl && P2StateType = L				; enemy must be lying down
trigger1 = command = "a" &&  command = "holdfwd" && command = "holddown"



;===================
; Crouching Attacks
;===================

; Crouch Light Slash
;-------------------
[State -1]
type = ChangeState
value = 400
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x" && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Medium Slash
;--------------------
[State -1]
type = ChangeState
value = 410
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Fierce Slash
;--------------------
[State -1]
type = ChangeState
value = 420
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Knock Down Kick
;-----------------------
[State -1]
type = ChangeState
value = 520
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a" && command = "holddown" && command = "holdfwd"
trigger1 = StateType = C && ctrl

; Crouch Kick
;------------
[State -1]
type = ChangeState
value = 500
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a" && command = "holddown"
trigger1 = StateType = C && ctrl



;==================
; Standing Attacks 
;==================

; Overhead Slash
;---------------
[State -1]
type = ChangeState
value = 230
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command = "z"
trigger1 = StateType = S && ctrl

; Overhead Kick
;--------------
[State -1]
type = ChangeState
value = 330
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command = "a"
trigger1 = StateType = S && ctrl

; Short Light Slash
;------------------
[State -1]
type = ChangeState
value = 205
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Medium Slash
;-------------------
[State -1]
type = ChangeState
value = 215
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Fierce Slash
;-------------------
[State -1]
type = ChangeState
value = 225
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Stand Light Slash
;------------------
[State -1]
type = ChangeState
value = 200
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
trigger1 = StateType = S && ctrl

; Stand Medium Slash
;-------------------
[State -1]
type = ChangeState
value = 210
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateType = S && ctrl

; Stand Fierce Slash
;-------------------
[State -1]
type = ChangeState
value = 220
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateType = S && ctrl

; Stand Knock Down Kick
;----------------------
[State -1]
type = ChangeState
value = 360
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a" && command = "holdfwd"
trigger1 = StateType = S && ctrl

; Stand Kick
;-----------
[State -1]
type = ChangeState
value = 320
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a"
trigger1 = StateType = S && ctrl



;=============
; Air Attacks
;=============

; Air Light Slash
;----------------
[State -1]
type = ChangeState
value = 600
triggerall = var(59) <= 0 && var(0) = 0
triggerall = (command = "x") || (command = "y" && command = "z")
trigger1 = StateType = A && ctrl

; Air Medium Slash
;-----------------
[State -1]
type = ChangeState
value = 610
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateType = A && ctrl

; Air Fierce Slash
;-----------------
[State -1]
type = ChangeState
value = 620
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateType = A && ctrl

; Air Knock Down Kick
;--------------------
[State -1]
type = ChangeState
value = 720
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a" && command = "holddown"
trigger1 = StateType = A && ctrl

; Air Kick
;---------
[State -1]
type = ChangeState
value = 700
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a"
trigger1 = StateType = A && ctrl
