;==============================================================================================
;
; NAKORURU'S STANDARD ATTACKS
;
;==============================================================================================

; Stand Light Slash
;------------------

[Statedef 200]
Type = S
MoveType = A
Physics = S
anim = 200
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 200, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 200, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 200, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = low
priority = 7, Hit
damage = 25 + 5*var(20),0
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-50
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15,15

[State 200, slash 1] ; Sword effects ; code posted by Pizza Royale in the Mugen Development Forum
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9001
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9002
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9003
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 5, < 0
anim = 9004
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 5]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9005
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Light Slash
;------------------

[Statedef 205]
Type = S
MoveType = A
Physics = S
anim = 205
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 205, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 205, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 205, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = low
priority = 7, Hit
damage = 25 + 5*var(20),0
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-60
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 205, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 205, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 3
anim = 9012
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 205, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Fierce Slash
;-------------------

[Statedef 220]
Type = S
MoveType = A
Physics = S
anim = 220
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 220, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 220, slash sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 110, 2
channel = 1

[State 220, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !MoveContact
trigger1 = AnimElem = 8, >= 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = low
air.animtype = back
priority = 4, Hit
damage = 100 + 20*var(20),0
sparkno = s4020
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s170, var(16)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 220, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9031
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9032
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9033
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9034
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9035
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 6]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9036
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 7]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9037
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 8]
type = Explod
trigger1 = Animelem = 8, >= 2
trigger1 = Animelem = 9, < 0
anim = 9038
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 9]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 10, < 0
anim = 9039
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Fierce Slash
;-------------------

; 1st hit
;--------
[Statedef 225]
Type = S
MoveType = A
Physics = S
anim = 225
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 225, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 225, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 1

[State 225, hit def 1]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 6
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = low
priority = 4, Hit
damage = 15 + 3*var(20),0
sparkno = s4010
guard.sparkno = s4200
sparkxy = 0,-55
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 225, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9041
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9042
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9043
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9044
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 2
anim = 9045
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 6]
type = Explod
trigger1 = Animelem = 6, >= 2
trigger1 = Animelem = 7, < 0
anim = 9046
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, end state]
type = ChangeState
trigger1 = AnimElem = 7
value = 226

; 2nd hit
;--------
[Statedef 226]
Type = S
MoveType = A
Physics = S
sprpriority = 2
ctrl = 0
juggle = 10

[state 226, slash sound]
type = PlaySnd
trigger1 = AnimElem = 8
value = 110, 2
channel = 1

[State 226, hit def 2]
type = HitDef
triggerall = !MoveContact
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 9
trigger2 = AnimElem = 10
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, Hit
damage = 100 + 20*var(20),0
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-65 -60*(AnimElem = 10)
hitsound = s170, var(16)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 226, slash 1]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 9, < 0
anim = 9047
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 2]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 10, < 0
anim = 9048
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 3]
type = Explod
trigger1 = Animelem = 10, >= 0
trigger1 = Animelem = 11, < 0
anim = 9049
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 4]
type = Explod
trigger1 = Animelem = 11, >= 0
trigger1 = Animelem = 11, < 2
anim = 9050
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 5]
type = Explod
trigger1 = Animelem = 11, >= 2
trigger1 = Animelem = 11, < 4
anim = 9051
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Overhead Slash
;---------------
; (Start)
;---------
[Statedef 230]
Type = S
MoveType = A
Physics = S
anim = 230
sprpriority = 1
velset = 0,0
ctrl = 0

[State 230, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 231

; (Air)
;------
[Statedef 231]
Type = A
MoveType = A
Physics = A
anim = 231
sprpriority = 2
velset = 2.25,-5.5
ctrl = 0
juggle = 10

[state 231, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 231, slash sound]
type = PlaySnd
trigger1 = AnimElem = 6
value = 110, 2
channel = 1

[state 231, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 1
channel = 2

[State 231, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !MoveContact
trigger1 = AnimElem = 7
trigger2 = AnimElem = 8
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, Hit
damage = 80 + 16*var(20),0
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-35 -35*(animelem = 8)
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 17
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3,-1.5
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 231, slash 1]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9091
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 2]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9092
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 3]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 4]
type = Explod
trigger1 = Animelem = 8, >= 2
trigger1 = Animelem = 9, < 0
anim = 9094
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Dodge Attack
;-------------

[Statedef 285]
Type = S
MoveType = A
Physics = S
anim = 285
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 285, punch sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 2

[state 285, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 285, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = high
priority = 4, Hit
damage = 20 + 4*var(20),0
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-65
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 35, 35
givepower = 15, 15

[State 285, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Light Kick
;-----------------

[Statedef 300]
Type = S
MoveType = A
Physics = S
anim = 300
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 300, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 300, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 1

[State 300, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = low
priority = 7, Hit
damage = 20 + 4*var(20),0
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-65
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 300, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Light Kick
;-----------------

[Statedef 305]
Type = S
MoveType = A
Physics = S
anim = 305
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 305, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 305, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 1

[State 305, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
ground.type = low
priority = 7, Hit
damage = 20 + 4*var(20),0
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-55
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 305, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Fierce Kick
;------------------

[Statedef 320]
Type = S
MoveType = A
Physics = S
anim = 320
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 320, voice]
type = PlaySnd
trigger1 = AnimElem = 7
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 320, kick sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 140, 1
channel = 1

[State 320, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 7
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = low
air.animtype = back
priority = 4, Hit
damage = 80 + 16*var(20),0
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-40
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 320, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Fierce Kick
;------------------

[Statedef 325]
Type = S
MoveType = A
Physics = S
anim = 325
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 325, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 325, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 1
channel = 1

[State 325, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = low
air.animtype = back
priority = 4, Hit
damage = 80 + 16*var(20),0
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-70
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 325, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Ground Knockdown Attack
;------------------------
; (Air)
;------
[Statedef 330]
Type = A
MoveType = A
Physics = A
anim = 330
sprpriority = 2
velset = 1,-7.5
ctrl = 0
juggle = 10

[State 330, pause]
type = Pause
trigger1 = Time = 0 && (prevstateno = 150 || prevstateno = 152)
time = 10
movetime = 10

[State 330, envcolor]
type = EnvColor
trigger1 = Time = 0 && (prevstateno = 150 || prevstateno = 152)
time = 4
value = 255,255,255
under = 1

[State 330, evade power decrease]
type = PowerAdd
trigger1 = PrevStateNo = 150 || PrevStateNo = 152
trigger1 = time = 0
value = -1000

[State 330, gravity]
type = VelAdd
trigger1 = Time > 0
y = -0.07

[state 330, voice]
type = PlaySnd
trigger1 = AnimElem = 12
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 330, kick sound]
type = PlaySnd
trigger1 = AnimElem = 12
value = 140, 1
channel = 1

[state 330, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 1
channel = 2

[State 330, hit def]
type = HitDef
triggerall = !MoveContact
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 12
trigger2 = AnimElem = 13
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = high
air.animtype = back
priority = 5, hit
damage = 125 + 25*var(20),0
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,0
hitsound = s180, var(16)
guardsound = s150, var(15)
pausetime = 11,13
ground.velocity = -4,-8
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 22
guard.hittime = 44
guard.ctrtime = 44
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -4,-7
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
fall = 1
fall.recover = 1
fall.recovertime = 65
yaccel = 0.5 
getpower = 180, 180
givepower = 20, 20

[State 330, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 331

; (Land)
;-------
[Statedef 331]
Type = S
MoveType = A
Physics = S
anim = 331
sprpriority = 1
velset = 0,0
ctrl = 0

[State 331, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 331, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[state 331, land sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 2
channel = 1

[State 331, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Crouch Light Slash
;-------------------

[Statedef 400]
Type = C
MoveType = A
Physics = C
anim = 400
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 400, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 400, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 400, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
air.animtype = back
ground.type = low
priority = 7, Hit
damage = 25 + 5*var(20),0
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-35
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75,75
givepower = 15, 15

[State 400, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = -10,26
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 400, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 2
anim = 9012
postype = p1
pos = -13,26
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 400, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Rolling Slash
;---------------------

; (1st Hit)
;----------
[Statedef 410]
Type = C
MoveType = A
Physics = N
anim = 410
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[State 410, vel 1]
type = VelSet
trigger1 = AnimElem = 3, >= 0
trigger1 = AnimElem = 4, < 0
x = 4

[state 410, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 410, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, 2
channel = 1

[State 410, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
air.animtype = back
ground.type = low
priority = 4, Hit
damage = 25 + 5*var(20),0
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-30
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 410, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9061
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 410, end state]
type = ChangeState
trigger1 = AnimElem = 4
value = 411

; (2nd Hit)
;----------
[Statedef 411]
Type = C
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0
juggle = 10

[State 411, vel 2]
type = VelSet
trigger1 = AnimElem = 4, >= 0
trigger1 = AnimElem = 5, < 0
x = 3.5

[State 411, vel 3]
type = VelSet
trigger1 = AnimElem = 5, >= 0
trigger1 = AnimElem = 6, < 0
x = 3

[State 411, vel 4]
type = VelSet
trigger1 = AnimElem = 6, >= 0
trigger1 = AnimElem = 7, < 0
x = 2.5

[State 411, vel 5]
type = VelSet
trigger1 = AnimElem = 7, >= 0
trigger1 = AnimElem = 8, < 0
x = 2

[State 411, vel 6]
type = VelSet
trigger1 = AnimElem = 8, >= 0
trigger1 = AnimElem = 9, < 0
x = 1.5

[State 411, vel 7]
type = VelSet
trigger1 = AnimElem = 9, >= 0
trigger1 = AnimElem = 10, < 0
x = 1

[State 411, vel 8]
type = VelSet
trigger1 = AnimElem = 10, >= 0
trigger1 = AnimElem = 11, < 0
x = 0.5

[State 411, vel 9]
type = VelSet
trigger1 = AnimElem = 11
x = 0

[State 411, hit def 2]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !MoveContact
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
attr = C, NA
hitflag = MAF
guardflag = L
animtype = hard
ground.type = high
air.animtype = back
priority = 4, Hit
damage = 100 + 20*var(20),0
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-50 -20*(AnimElem = 5)
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 411, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9062
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9063
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 4]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9064
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 5]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9065
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Fierce Slash
;--------------------

; (1st Hit)
;----------
[Statedef 420]
Type = C
MoveType = A
Physics = C
anim = 420
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 420, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 420, slash sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 110, 2
channel = 1

[State 420, hit def 1]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 5
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
air.animtype = back
ground.type = low
priority = 4, Hit
damage = 25 + 5*var(20),0
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-30
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 420, slash 1]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9071
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 5, < 0
anim = 9072
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 1
anim = 9073
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 1
trigger1 = Animelem = 6, < 0
anim = 9074
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, end state]
type = ChangeState
trigger1 = AnimElem = 6
value = 421

; (2nd Hit)
;----------
[Statedef 421]
Type = S
MoveType = A
Physics = S
sprpriority = 2
ctrl = 0
juggle = 10

[State 421, hit def 2]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !MoveContact
trigger1 = AnimElem = 6, >= 2
trigger2 = AnimElem = 7
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, Hit
damage = 100 + 20*var(20),0
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-65 -60*(AnimElem = 7)
hitsound = s170, var(16)
guardsound = s130, var(16)
pausetime = 13,13
ground.slidetime = 17
ground.hittime = 17
ground.velocity = -12
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 421, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 2
anim = 9075
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 6]
type = Explod
trigger1 = Animelem = 6, >= 2
trigger1 = Animelem = 7, < 0
anim = 9076
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 7]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 7, < 2
anim = 9077
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 8]
type = Explod
trigger1 = Animelem = 7, >= 2
trigger1 = Animelem = 8, < 0
anim = 9078
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 9]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9079
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Light Kick
;------------------

[Statedef 500]
Type = C
MoveType = A
Physics = C
anim = 500
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 500, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 500, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 1

[State 500, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
ground.type = low
air.animtype = back
priority = 7, Hit
damage = 20 + 4*var(20),0
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-5
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.3
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 500, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Fierce Kick
;-------------------

[Statedef 520]
Type = C
MoveType = A
Physics = C
anim = 520
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 520, slash sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 140, 1
channel = 2

[state 520, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 520, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 4
attr = C, NA
hitflag = MAF
guardflag = L
animtype = hard
ground.type = trip
air.animtype = back
priority = 4, hit
damage = 80 + 16*var(20),0
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-40
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 13,13
ground.velocity = -3,-7
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 18
guard.hittime = 36
guard.ctrtime = 36
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -3.5,-6
airguard.velocity = -4,-1.7
air.cornerpush.veloff = -6
fall = 1
fall.recovertime = 20
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 520, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Air Light Slash Diagonal
;-------------------------

[Statedef 600]
Type = A
MoveType = A
Physics = A
anim = 600
sprpriority = 2
ctrl = 0
juggle = 10

[state 600, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 2

[state 600, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 600, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
ground.type = high
air.animtype = back
priority = 7, hit
damage = 25 + 5*var(20),0
sparkno = s4014
guard.sparkno = s4200
sparkxy = 0,-55
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -2.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 600, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9081
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 600, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 3
anim = 9082
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 600, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 3
trigger1 = Animelem = 5, < 0
anim = 9083
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Light Slash Neutral
;------------------------

[Statedef 610]
Type = A
MoveType = A
Physics = A
anim = 610
sprpriority = 2
ctrl = 0
juggle = 10

[state 610, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 2

[state 610, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 610, hit def]
type = HitDef
trigger1 = p2stateno != [5020,5040]
trigger1 = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
ground.type = high
air.animtype = back
priority = 7, hit
damage = 25 + 5*var(20),0
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-75
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -2.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 610, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9011
postype = p1
pos = 25,-12
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 610, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9012
postype = p1
pos = 25,-13
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Fierce Slash
;-----------------

[Statedef 620]
Type = A
MoveType = A
Physics = A
anim = 620
sprpriority = 2
ctrl = 0
juggle = 10

[state 620, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 2

[state 620, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 620, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5 && !movecontact
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, hit
damage = 100 + 20*var(20),0
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-35 -70*(Animelem = 5)
hitsound = s170, var(16)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 17
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3,-1.5
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15

[State 620, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9091
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9092
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 2
trigger1 = Animelem = 6, < 0
anim = 9094
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Light Kick Diagonal
;------------------------

[Statedef 700]
Type = A
MoveType = A
Physics = A
anim = 700
sprpriority = 2
ctrl = 0
juggle = 10

[state 700, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 700, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 700, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
air.animtype = back
ground.type = high
priority = 7, Hit
damage = 20 + 4*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-25
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -2.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15



; Air Light Kick Neutral
;-----------------------

[Statedef 710]
Type = A
MoveType = A
Physics = A
anim = 710
sprpriority = 2
ctrl = 0
juggle = 10

[state 710, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 710, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 710, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
air.animtype = back
ground.type = high
priority = 7, Hit
damage = 20 + 4*var(20),0
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-80
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 10
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -2.5,-1
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15



; Air Fierce Kick
;----------------

[Statedef 720]
Type = A
MoveType = A
Physics = A
anim = 720
sprpriority = 2
ctrl = 0
juggle = 10

[state 720, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 1
channel = 2

[state 720, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 720, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 80 + 16*var(20),0
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-10
hitsound = s150, var(15)
guardsound = s150, var(15)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 17
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3,-1.5
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 135, 135
givepower = 15, 15



; Air Knock Down Kick
;--------------------

[Statedef 730]
Type = A
MoveType = A
Physics = A
anim = 730
sprpriority = 2
ctrl = 0
juggle = 10

[state 730, kick sound]
type = PlaySnd
trigger1 = AnimElem = 9
value = 140, 1
channel = 2

[state 730, voice]
type = PlaySnd
trigger1 = AnimElem = 11
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 730, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !movecontact
trigger1 = AnimElem = 11
trigger2 = AnimElem = 12
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
ground.type = high
air.animtype = back
priority = 5, Hit
damage = 125 + 25*var(20),0
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-50
hitsound = s180, var(16)
guardsound = s150, var(15)
pausetime = 11,13
ground.velocity = -4,-8
ground.cornerpush.veloff = -17
guard.pausetime = 11,11
guard.slidetime = 22
guard.hittime = 44
guard.ctrtime = 44
guard.velocity = -12
guard.cornerpush.veloff = -17
air.velocity = -4,-7
airguard.velocity = -4,-6
air.cornerpush.veloff = -6
fall = 1
fall.recover = 1
fall.recovertime = 65
yaccel = 0.5 
getpower = 180, 180
givepower = 20, 20



;==============================================================================================
;
; NAKORURU'S THROWS
;
;==============================================================================================

; Hand Throw
;-----------
; Attempt
;--------
[Statedef 820]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 820, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = s155, 0
snap = 15,0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 821
P2StateNo = 825

[State 820, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 225

; Throw
;------
[Statedef 821]
Type = S
MoveType = A
Physics = S
anim = 821
sprpriority = 2
velset = 0,0
ctrl = 0

[State 821, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 821, turn]
type = turn
trigger1 = AnimElem = 3

[State 821, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = 0,-85

[State 821, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = 0,-95

[State 821, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = 75,-100

[State 821, life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
value = -100 - var(20)*20

[state 821, power]
type = PowerAdd
trigger1 = AnimElem = 4
value = 135

[state 821, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 8
value = 15

[state 821, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 821, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1

; Enemy Thrown
;-------------
[Statedef 825]
Type = A
MoveType = H
Physics = N
sprpriority = 3
velset = 0,0
ctrl = 0

[State 825, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 825

[State 825, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 825, velocity]
type = Gravity
trigger1 = time > 18

[State 825, velocity]
type = velset
trigger1 = AnimElem = 4
x = 4
y = -2

[state 825, air sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 100, 1
channel = 1

[State 825, end state]
type = SelfState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 5100



; Air Throw
;----------
; Attempt
;--------
[Statedef 840]
Type = A
MoveType = A
Physics = A
anim = 840
sprpriority = 2
ctrl = 0

[State 840, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = A, NT
hitflag = A
priority = 4, Miss
air.animtype = hard
sparkno = -1
hitsound = s155, 0
air.type = low
snap = 50
P2facing = 1
P1StateNo = 841
P2StateNo = 845

[State 840, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 620


; Dive
;------
[Statedef 841]
Type = A
MoveType = A
Physics = N
anim = 841
sprpriority = 2
velset = 0,0
ctrl = 0

[State 841, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 841, vel set]
type = velset
trigger1 = AnimElem = 7
y = 20

[State 841, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 1
pos = 50, -75

[State 841, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = 7, -28

[State 841, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = -30, -50

[State 841, bind 4]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = -11, -85

[State 841, bind 5]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
pos = 31, -75

[State 841, bind 6]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 6
pos = 12, -6

[State 841, bind 7]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
pos = 0, 10

[state 841, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 841, end state]
type = ChangeState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 842


; Knock Ground
;-------------
[Statedef 842]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 842, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 842, pos set]
type = PosSet
trigger1 = Time = 0
y = -10

[State 842, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 842, shake]
type = EnvShake
trigger1 = Time = 0
time = 30
ampl = -8

[state 842, knock ground sound]
type = PlaySnd
trigger1 = time = 0
value = F7, 2
channel = 1

[State 842, hit spark]
type = Explod
trigger1 = time = 0
anim = 4110
pos = 0, -10
ontop = 1
ownpal = 1

[State 842, enemy life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = Time = 0
value = -100 + -20*var(20)

[State 842, power]
type = PowerAdd
trigger1 = Time = 0
value = 135

[State 842, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = Time = 0
value = 15

[State 842, end state]
type = ChangeState
trigger1 = Time = 7
value = 843

; Jump Back
;----------
[Statedef 843]
Type = A
MoveType = I
Physics = A
anim = 843
sprpriority = 1
velset = -5,-5
ctrl = 0

[State 843, jump sound]
type = PlaySnd
trigger1 = time = 0
value = 100, 1
channel = 1

[State 843, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

; Enemy Falling
;--------------
[Statedef 845]
Type = A
MoveType = H
Physics = N
sprpriority = 1
ctrl = 0

[State 845, animation]
type = ChangeAnim2
trigger1 = time = 0
value = 845

[State 845, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 845, screen bound]
type = ScreenBound
trigger1 = 1
movecamera = 0,0

[State 845, end state]
type = ChangeState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 846

; Enemy Hitting The Ground
;-------------------------
[Statedef 846]
Type = S
MoveType = H
Physics = S
sprpriority = 1
ctrl = 0

[State 846, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 846, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[State 846, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 846, vel set]
type = VelSet
trigger1 = time = 7
x = -1

[State 846, end state]
type = SelfState
trigger1 = Time = 7
value = 5100



; Sword Throw
;------------
; (Attempt)
;----------
[Statedef 860]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 860, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = s155, 0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 861
P2StateNo = 865

[State 860, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 225

; (Throw)
;--------
[Statedef 861]
Type = S
MoveType = A
Physics = N
anim = 861
sprpriority = 2
velset = 0,0
ctrl = 0

[State 861, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 861, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 1
pos = 28,0

[State 861, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = -2,-70

[State 861, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = -24,-40

[State 861, bind 4]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = 0,0

[State 861, bind 5]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
pos = 14,0

[State 861, bind 6]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 6
pos = 30,0

[State 861, life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
value = -10 - var(20)*20

[state 861, power]
type = PowerAdd
trigger1 = AnimElem = 7
value = 135

[state 861, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
value = 15

[state 861, voice]
type = PlaySnd
trigger1 = AnimElem = 7
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 861, slash sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 110, var(17)
channel = 1

[state 861, hit sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 120, var(15)
channel = 2

[State 861, hit spark]
type = Explod
trigger1 = AnimElem = 7
anim = 4010
pos = 30, -10
ontop = 1
ownpal = 1

[State 861, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 862

; (Air)
;------
[Statedef 862]
Type = A
MoveType = I
Physics = A
anim = 862
sprpriority = 2
velset = -3, -9.5
ctrl = 0

[State 862, null]
type = null
trigger1 = time = 0

; (Enemy Thrown)
;--------------
[Statedef 865]
Type = S
MoveType = H
Physics = N
sprpriority = -1
velset = 0,0
ctrl = 0

[State 865, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 865

[State 865, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 865, vel set]
type = VelSet
trigger1 = AnimTime = 0
x = -2

[State 865, end state]
type = SelfState
trigger1 = AnimTime = 0
value = 5101
