;==============================================================================================
;
; MAMAHAHA MOVES
;
;==============================================================================================

; Flying
;-------

[Statedef 7500]
type = A
movetype = I
physics = N
sprpriority = -2
ctrl = 0

[State 7500, stop horyzontal  vel]
type = VelSet
trigger1 = time = 0
x = 0

; When not carrying Nako
;-----------------------

[State 7500, go to tag state]
type = ChangeState
triggerall = parent, var(0)!=10
trigger1 = parent, stateno = [4511, 4512]
value = 7990

[State 7500, standard flying animation]
type = ChangeAnim
triggerall = parent, var(0) != 10
triggerall = pos y = [-127, -122]
trigger1 = anim != 7500 && anim != 7980
trigger2 = anim = 7980 && AnimTime = 0
value = 7500

[State 7500, vertical flying animation]
type = ChangeAnim
triggerall = parent, var(0) != 10
triggerall = pos y < -127
trigger1 = anim != 7520 && anim != 7980
trigger2 = anim = 7980 && AnimTime = 0
value = 7520

[State 7500, parent hit animation]
type = ChangeAnim
triggerall = (parent, var(0) != 10) && (parent, var(13) = 0)
triggerall = anim != 7980
trigger1 = parent, movetype = H
value = 7980

[State 7500, parent hit var]
type = ParentVarSet
triggerall = (parent, var(0) != 10)
trigger1 = (parent, movetype = H) && (parent, var(13) = 0)
trigger2 = (parent, movetype != H) && (parent, var(13) = 1)
v = 13
value = parent, movetype = H

[State 7500, parent hit sound]
type = PlaySnd
triggerall = parent, var(0) != 10
trigger1 = anim = 7980 && AnimElem = 1, = 1
value = 200, 1
channel = 5

[State 7500, gravity]
type = VelAdd
triggerall = parent, var(0) != 10
trigger1 = pos y < -122
y = 0.12

[State 7500, stop vertical vel]
type = VelSet
triggerall = parent, var(0) != 10
trigger1 = vel y > 0 && pos y = (-127,-122)
trigger2 = vel y < 0 && pos y = (-122,-117)
y = 0

[State 7500, position]
type = PosSet
triggerall = parent, var(0) != 10
trigger1 = vel y = 0 && pos y = (-127,-117)
y = -122

[State 7500, turning state]
type = ChangeState
triggerall = parent, var(0) != 10
triggerall = parent, StateNo != [80,81]	; Nako is not jumping under Mamahaha
trigger1 = facing != parent, facing
value = 7510

[State 7500, horyzontal move state]
type = ChangeState
triggerall = parent, var(0) != 10
triggerall = parent, StateNo != [80,81]	; Nako is not jumping under Mamahaha
trigger1 = ParentDist x > 70
trigger2 = ParentDist x < 40
value = 7520

[State 7500, vertical move state]
type = ChangeState
triggerall = parent, var(0) != 10
trigger1 = (parent, StateNo != [80,81]) && (parent, StateNo != [90,95])	; Nako is not jumping on her helpers
trigger1 = (parent, StateNo != 105)							; Nako is not dashing back
trigger1 = (parent, StateNo != [3000,3520]) && (parent, MoveType != H)	; Nako is not performing a super or being hit in the air
trigger1 = (parent, vel y < 0) && (vel y >= 0)					; Nako jumping
trigger1 = ParentDist y < 110
trigger2 = pos y > -117 && vel y >= 0
value = 7530

[State 7500, attacking state]
type = ChangeState
trigger1 = parent, StateNo = 1500	; Shichikapu Etu Brute
trigger2 = parent, StateNo = 1700	; Shichikaou Ai
trigger3 = parent, StateNo = 3140	; Ererushi Kamui Rimuse
value = 7700

[State 7500, pause state]
type = ChangeState
triggerall = parent, var(0) = 0
trigger1 = roundstate = 2 && parent, StateNo = 0 && parent, var(10) >= 340
value = 7900

[State 7500, slash ending 01]
type = ChangeState
trigger1 = (parent, StateNo = 183) && (parent, time >= 46)
value = 7950

[State 7500, slash ending 02]
type = ChangeState
trigger1 = (parent, StateNo = 184)
value = 7960

[State 7500, loose ending 01]
type = ChangeState
trigger1 = (parent, StateNo = 170) && (parent, time >= 17)
value = 7970

[State 7500, loose ending 02]
type = ChangeState
trigger1 = (parent, StateNo = 5150) && (parent, vel x = 0)
value = 7980

; When carrying Nako
;-------------------

[State 7500, carrying animation]
type = ChangeAnim
triggerall = parent, var(0) = 10
trigger1 = anim != 7501
value = 7501

[State 7500, bind to Nako 1]
type = BindToParent
trigger1 = parent, StateNo = 7000
trigger1 = parent, AnimElem = 1, >= 0
trigger1 = parent, AnimElem = 2, < 0
trigger2 = parent, StateNo != 7000
trigger2 = parent, Var(0) = 10
pos = 1,-74

[State 7500, bind to Nako 2]
type = BindToParent
trigger1 = parent, StateNo = 7000
trigger1 = parent, AnimElem = 2, >= 0
trigger1 = parent, AnimElem = 3, < 0
pos = 1,-73

[State 7500, bind to Nako 3]
type = BindToParent
trigger1 = parent, StateNo = 7000
trigger1 = parent, AnimElem = 3, >= 0
trigger1 = parent, AnimElem = 4, < 0
pos = 1,-70

[State 7500, bind to Nako 4]
type = BindToParent
trigger1 = parent, StateNo = 7000
trigger1 = parent, AnimElem = 4, >= 0
pos = 1,-73

[State 7500, turn]
type = Turn
trigger1 = parent, StateNo = 7000
trigger1 = facing != parent, facing

[State 7500, parent hit]
type = ParentVarSet
trigger1 = parent, var(0) = 10
trigger1 = (parent, movetype = H)
trigger1 = (parent, stateno != [5000, 6000)) && (parent, stateno != [120,155])
v = 0
value = 0

[State 7500, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Turning
;--------

[Statedef 7510]
type = A
movetype = I
physics = N
anim = 7510
sprpriority = -2

[State 7510, turn]
type = turn
trigger1 = facing != parent, facing

[State 7510, animation]
type = ChangeAnim
trigger1 = anim != 7521 && anim = 7510 && AnimTime = 0
value = 7521

[State 7510, velocity]
type = VelSet
trigger1 = facing = parent, facing
x = -4.5

[State 7510, gravity]
type = VelAdd
trigger1 = pos y < -122
y = 0.12

[State 7510, stop vertical vel]
type = VelSet
trigger1 = vel y > 0 && pos y = (-127,-122)
trigger2 = vel y < 0 && pos y = (-122,-117)
y = 0

[State 7510, position]
type = PosSet
trigger1 = vel y = 0 && pos y = (-127,-117)
y = -122

[State 7510, flying state]
type = ChangeState
trigger1 = ParentDist x >= 50
value = 7500

[State 7510, turning state]
type = ChangeState
triggerall = parent, StateNo != [80,81]	; Nako is not jumping under Mamahaha
trigger1 = facing != parent, facing
value = 7510

[State 7510, vertical move state]
type = ChangeState
triggerall = facing = parent, facing
trigger1 = (parent, StateNo != [80,81]) && (parent, StateNo != [90,95])	; Nako is not jumping on her helpers
trigger1 = (parent, StateNo != 105)							; Nako is not dashing back
trigger1 = (parent, StateNo != [3000,3520]) && (parent, MoveType != H)	; Nako is not performing a super or being hit in the air
trigger1 = (parent, vel y < 0) && (vel y >= 0)					; Nako jumping
trigger1 = ParentDist y < 110
trigger2 = pos y > -117 && vel y >= 0
value = 7530

[State 7510, change state]
type = ChangeState
trigger1 = parent, stateno = 1500 && parent, AnimElem = 7, = 4
value = 7701

[State 7510, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Horyzontal Move
;----------------

[Statedef 7520]
type = A
movetype = I
physics = N
sprpriority = -2

[State 7520, go to tag state]
type = ChangeState
triggerall = parent, var(0)!=10
trigger1 = parent, stateno = [4511, 4512]
value = 7990

[State 7520, standard flying animation]
type = ChangeAnim
triggerall = (vel x = [-2.5, 2.5]) && (pos y > -122)
trigger1 = anim != 7500 && anim != 7980
trigger2 = anim = 7980 && AnimTime = 0
value = 7500

[State 7520, vertical/fast flying forward animation]
type = ChangeAnim
triggerall = (anim != 7520 && anim != 7980) || (anim = 7980 && AnimTime = 0)
trigger1 = vel x > 2.5
trigger2 = vel x > 0 && pos y < -122
value = 7520

[State 7520, vertical/fast flying back animation]
type = ChangeAnim
triggerall = (anim != 7521 && anim != 7980) || (anim = 7980 && AnimTime = 0)
trigger1 = vel x < -2.5
trigger2 = vel x < 0 && pos y < -122
value = 7521

[State 7500, parent hit animation]
type = ChangeAnim
triggerall = (parent, var(0) != 10) && (parent, var(13) = 0)
triggerall = (anim != 7980) && (anim != [7520,7521])
trigger1 = parent, movetype = H
value = 7980

[State 7500, parent hit var]
type = ParentVarSet
triggerall = (parent, var(0) != 10)
trigger1 = (parent, movetype = H) && (parent, var(13) = 0)
trigger2 = (parent, movetype != H) && (parent, var(13) = 1)
v = 13
value = parent, movetype = H

[State 7520, parent hit sound]
type = PlaySnd
trigger1 = anim = 7980 && AnimElem = 1, = 1
value = 200, 1
channel = 5

[State 7520, slow horyzontal velocity]
type = velset
trigger1 = parent, vel x = [-5, 5]
x = ifelse(ParentDist x > 60, 2.5, -2.5)

[State 7520, fast horyzontal velocity]
type = velset
trigger1 = parent, vel x > 5
trigger2 = parent, vel x < -5
x = ifelse(parent, vel x > 0, 4.5, -4.5)

[State 7520, gravity]
type = VelAdd
trigger1 = pos y < -122
y = 0.12

[State 7520, stop vertical vel]
type = VelSet
trigger1 = vel y > 0 && pos y = (-127,-122)
trigger2 = vel y < 0 && pos y = (-122,-117)
y = 0

[State 7520, position]
type = PosSet
trigger1 = vel y = 0 && pos y = (-127,-117)
y = -122

[State 7520, flying state]
type = ChangeState
trigger1 = ParentDist x = [50, 60]
trigger2 = parent, StateNo = [80,81]
value = 7500

[State 7520, turning state]
type = ChangeState
triggerall = parent, StateNo != [80,81]	; Nako is not jumping under Mamahaha
trigger1 = facing != parent, facing
value = 7510

[State 7520, vertical move state]
type = ChangeState
trigger1 = (parent, StateNo != [80,81]) && (parent, StateNo != [90,95])	; Nako is not jumping on her helpers
trigger1 = (parent, StateNo != 105)							; Nako is not dashing back
trigger1 = (parent, StateNo != [3000,3520]) && (parent, MoveType != H)	; Nako is not performing a super or being hit in the air
trigger1 = (parent, vel y < 0) && (vel y >= 0)					; Nako jumping
trigger1 = ParentDist y < 110
trigger2 = pos y > -117 && vel y >= 0
value = 7530

[State 7520, change state]
type = ChangeState
trigger1 = parent, stateno = 1500 && parent, AnimElem = 7, = 4
value = 7701

[State 7520, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Vertical Move - adds vertical velocity
;--------------

[Statedef 7530]
type = A
movetype = I
physics = N
sprpriority = -2

[State 7530, vertical velocity]
type = VelSet
trigger1 = time = 0
y = -3.5

[State 7530, return to flying state]
type = ChangeState
trigger1 = time = 0
value = 7500

[State 7530, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Charge
;-------

; (Prepare)
;----------
[Statedef 7700]
type = A
movetype = I
physics = N
sprpriority = -2
ctrl = 0

[State 7700, animation]
type = ChangeAnim
trigger1 = time = 0 && anim != 7980
value = 7980

[State 7700, prepare to charge animation]
type = ChangeAnim
trigger1 = parent, stateno = 1500
trigger1 = parent, AnimElem = 6
value = 7520

[State 7700, var set]
type = VarSet
trigger1 = time = 0
v = 11
value = parent, var(3)

[State 7700, Mamahaha sound]
type = PlaySnd
trigger1 = anim = 7980 && AnimElem = 1, = 1
value = 200, 1
channel = 5

[State 7700, attack state]
type = ChangeState
trigger1 = parent, stateno = 1500 && parent, AnimElem = 7, = 4
trigger2 = parent, stateno = 1700 && time = 0
trigger3 = parent, stateno = 3140 && parent, AnimElem = 6
value = 7701

[State 7700, flying state]
type = ChangeState
trigger1 = parent, stateno != 1500
trigger1 = parent, stateno != 1700
trigger1 = parent, stateno != 3140
value = 7500

[State 7700, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; (charge)
;---------
[Statedef 7701]
type = A
movetype = A
physics = N
anim = 7700
sprpriority = 2
ctrl = 0

[State 7701, not hit by throws]
type = NotHitBy
trigger1 = 1
value = , AT

[State 7701, hit by an attack]
type = HitOverride
trigger1 = 1
attr = SCA, AA, AP
slot = 1
time = -1
stateno = 7702
ignorehitpause

[State 7701, Mamahaha sound]
type = PlaySnd
trigger1 = time = 0
value = 200, 2
channel = 5

[State 7701, initial velocity]
type = VelSet
trigger1 = time = 0
x = 9 + 3.5*(var(11)>=2) + 1.5*(var(11)=4)
y = 8 - 1*(var(11)=2) - 4*(var(11)>=3)

[State 7701, standard hit def - SS4 style]
type = null;HitDef
triggerall = var(11) <= 3
trigger1 = !movecontact
attr = A, SA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 4 + 4*var(20),0
pausetime = 0, 20
guard.pausetime = 0, 6
sparkno = s4016
guard.sparkno = s4220
sparkxy = 0,-26
hitsound = s200, 3
guardsound = s130, var(16)
ground.type = low
ground.velocity = 0, 0
air.type = high
air.velocity = -4, -3
guard.slidetime = 5
guard.hittime = 28 - 10*(var(11)=1) - 6*(var(11)=2)
guard.ctrltime = 28 - 10*(var(11)=1) - 6*(var(11)=2)
guard.velocity = -5
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = 8
getpower = 8, 1
givepower = 4, 0
hitonce = 1

[State 7701, standard hit def - SS5 style]
type = HitDef
triggerall = var(11) <= 3
trigger1 = !movecontact
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = diagup
priority = 4, Hit
damage = 80,8
pausetime = 0, 0
guard.pausetime = 0, 6
sparkno = s4016
guard.sparkno = s4220
sparkxy = 0,-26
hitsound = s200, 3
guardsound = s130, var(16)
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
ground.velocity = -4,-9
guard.velocity = -4
air.velocity = -4
fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = 8
hitonce = 1
yaccel = 0.5 

[State 7701, super hit def]
type = HitDef
triggerall = var(11) = 4
trigger1 = !movecontact
attr = A, HA
hitflag = MAF
guardflag = MA
animtype = diagup
priority = 4, Hit
damage = 35, 1
pausetime = 0, 20
guard.pausetime = 0, 6
sparkno = -1
guard.sparkno = s4200
sparkxy = 0,-26
hitsound = s180, var(15)
guardsound = s150, var(16)
guard.slidetime = 5
guard.hittime = 32
guard.ctrltime = 32
ground.velocity = -8.5,-5
guard.velocity = -4
air.velocity = -8.5,-5
air.fall = 1
fall.recover = 0
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = 8
getpower = 0, 0
givepower = 70, 0
hitonce = 1

[State 7701, target state]
type = null;TargetState
trigger1 = var(11) <= 3 && MoveHit
trigger1 = Numtarget > 0
trigger1 = target, StateNo != 5310
trigger1 = target, StateType != A
value = 7705
ignorehitpause = 1

[State 7701, slash]
type = Explod
trigger1 = !NumExplod(7700)
ID = 7700
anim = 7701
pos = 0,0
ontop = 1
ownpal = 1
bindtime = -1
removetime = -1
removeongethit = 1

[State 7701, move hit background]
type = envcolor
triggerall = parent, const(movement.yaccel) = 0.66
trigger1 = MoveHit
persistent = 0
ignorehitpause = 1
background = 1
value = 255,0,0
time = 2

[State 7701, remove slash]
type = RemoveExplod
trigger1 = pos y >= -ceil(vel y) - 15
ID = 7700

[State 7701, move hit state]
type = ChangeState
trigger1 = var(11) <= 3 && MoveHit
value = 7702

[State 7701, end state]
type = ChangeState
trigger1 = pos y >= -ceil(vel y) - 15
value = 7703

[State 7701, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) var(11) = %d"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, var(11)

; (Attack)
;---------
[Statedef 7702]
type = A
movetype = A
physics = N
anim = 7710
sprpriority = 2
velset = 0,0
ctrl = 0

[State 7702, remove slash]
type = RemoveExplod
trigger1 = time = 0
ID = 7700

[State 7702, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7703

[State 7702, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; (Return)
;---------
[Statedef 7703]
type = A
movetype = A
physics = N
sprpriority = 2
ctrl = 0

[State 7703, animation]
type = ChangeAnim
trigger1 = time = 3
value = 7521

[State 7703, vel var set]
type = VarSet
trigger1 = time = 2
v = 12
value = 35 + 10*(var(11)=2) + 30*(var(11)=3) + 60*(var(11)=4)

[State 7703, vel var decrease]
type = VarSet
trigger1 = time > 2
v = 12
value = var(12)-1

[State 7703, velocity]
type = VelSet
trigger1 = time >= 2
trigger1 = time < 36 + 10*(var(11)=2) + 30*(var(11)=3) + 60*(var(11)=4)
x = ((parentdist x) -50)/var(12)
y = ((abs(parentdist y)) -122)/var(12)

[State 7703, stop velocity]
type = VelSet
trigger1 = time = 36 + 10*(var(11)=2) + 30*(var(11)=3) + 60*(var(11)=4)
x = 0
y = 0

[State 7703, return to flying state]
type = ChangeState
trigger1 = time = 36 + 10*(var(11)=2) + 30*(var(11)=3) + 60*(var(11)=4)
value = 7500

[State 7703, attack state]
type = ChangeState
trigger1 = parent, stateno = 1500 && parent, AnimElem = 7, = 4
value = 7701

[State 7703, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; (Ennemy)
;---------
[Statedef 7705]
type = S
movetype = H
physics = S
sprpriority = 2
ctrl = 0
HitDefPersist

[State 7705, animation]
type = ChangeAnim
trigger1 = life > 0
value = 5007

[State 7705, ground change state]
type = ChangeState
trigger1 = life > 0
trigger1 = HitShakeover
value = 5325

[State 7705, dead state]
type = SelfState
trigger1 = life <= 0
value = 5000



; Pause
;------
; (Fly Down)
;-----------
[Statedef 7900]
type = A
movetype = I
physics = N
sprpriority = -2

[State 7900, velocity]
type = VelSet
trigger1 = time = 0
x = (ParentDist x - 25)/16
y = 2.5

[State 7900, flying up state]
type = ChangeState
trigger1 = parent, anim != 0
value = 7902

[State 7900, change state]
type = ChangeState
trigger1 = time = 16
trigger2 = roundstate != 2
value = 7901

[State 7900, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; (Animation)
;------------
[Statedef 7901]
type = S
movetype = I
physics = N
anim = 7901
sprpriority = 1

[State 7901, velocity arriving]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 7901, position 1]
type = PosSet
trigger1 = parent, AnimElem = 1, >= 0
trigger1 = parent, AnimElem = 2, < 0
x = (parent, pos x) - 16*(parent, facing) 
y = -76

[State 7901, position 2]
type = PosSet
trigger1 = parent, AnimElem = 2, >= 0
trigger1 = parent, AnimElem = 3, < 0
trigger2 = parent, AnimElem = 10, >= 0
x = (parent, pos x) - 16*(parent, facing) 
y = -75

[State 7901, position 3]
type = PosSet
trigger1 = parent, AnimElem = 9, >= 0
trigger1 = parent, AnimElem = 10, < 0
x = (parent, pos x) - 16*(parent, facing) 
y = -74

[State 7901, position 4]
type = PosSet
trigger1 = parent, AnimElem = 3, >= 0
trigger1 = parent, AnimElem = 4, < 0
trigger2 = parent, AnimElem = 8, >= 0
trigger2 = parent, AnimElem = 9, < 0
x = (parent, pos x) - 16*(parent, facing)
y = -73

[State 7901, position 5]
type = PosSet
trigger1 = parent, AnimElem = 4, >= 0
trigger1 = parent, AnimElem = 5, < 0
trigger2 = parent, AnimElem = 5, >= 0
trigger2 = parent, AnimElem = 6, < 0
trigger3 = parent, AnimElem = 6, >= 0
trigger3 = parent, AnimElem = 7, < 0
trigger4 = parent, AnimElem = 7, >= 0
trigger4 = parent, AnimElem = 8, < 0
x = (parent, pos x) - 16*(parent, facing) 
y = -72

[State 7901, end state]
type = ChangeState
trigger1 = parent, anim != 0
value = 7902

[State 7901, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; (Fly Up)
;---------
[Statedef 7902]
type = A
movetype = I
physics = N
anim = 7500
sprpriority = -2

[State 7902, Mamahaha var]
type = ParentVarSet
trigger1 = time = 0
v = 10
value = 0

[State 7902, velocity]
type = VelSet
trigger1 = time = 0
x = -1.5
y = -2.5

[State 7902, stop velocity]
type = VelSet
trigger1 = pos y <= -122
x = 0
y = 0

[State 7902, end state]
type = ChangeState
trigger1 = pos y <= -122
trigger2 = roundstate != 2
value = 7500

[State 7902, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Carrying Weapon
;----------------

; 1st Part
;---------
[Statedef 7920]
type = A
movetype = I
physics = N
anim = 7920
sprpriority = 1

[State 7920, pos add 1]
type = PosAdd
trigger1 = AnimElem = 1, = 2
x = 2
y = 11

[State 7920, pos add 2]
type = PosAdd
trigger1 = AnimElem = 1, = 4
x = 4
y = 12

[State 7920, pos add 3]
type = PosAdd
trigger1 = AnimElem = 1, = 6
x = 5
y = 7

[State 7920, pos add 4]
type = PosAdd
trigger1 = AnimElem = 2, = 0
x = 8
y = 9

[State 7920, pos add 5]
type = PosAdd
trigger1 = AnimElem = 2, = 2
x = 6
y = 11

[State 7920, pos add 6]
type = PosAdd
trigger1 = AnimElem = 2, = 4
x = 7
y = 8

[State 7920, pos add 7]
type = PosAdd
trigger1 = AnimElem = 3, = 0
x = 6
y = 8

[State 7920, pos add 8]
type = PosAdd
trigger1 = AnimElem = 3, = 2
x = 9
y = 8

[State 7920, pos add 9]
type = PosAdd
trigger1 = AnimElem = 4, = 0
x = 10
y = 7

[State 7920, pos add 10]
type = PosAdd
trigger1 = AnimElem = 4, = 2
x = 11
y = 6

[State 7920, pos add 11]
type = PosAdd
trigger1 = AnimElem = 4, = 3
x = 13
y = 6

[State 7920, pos add 12]
type = PosAdd
trigger1 = AnimElem = 5, = 0
x = 6
y = 3

[State 7920, pos add 13]
type = PosAdd
trigger1 = AnimElem = 5, = 1
x = 7
y = 2

[State 7920, pos add 14]
type = PosAdd
trigger1 = AnimElem = 5, = 2
x = 7
y = 3

[State 7920, pos add 15]
type = PosAdd
trigger1 = AnimElem = 5, = 3
x = 7
y = 2

[State 7920, change state]
type = ChangeState
trigger1 = AnimElem = 6
value = 7921

[State 7920, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; 2nd Part
;---------
[Statedef 7921]
type = A
movetype = I
physics = N
sprpriority = 1

[State 7921, animation]
type = ChangeAnim
trigger1 = AnimTime = 0
value = 7500

[State 7921, turn]
type = turn
trigger1 = AnimElem = 11

[State 7921, pos add]
type = PosAdd
trigger1 = AnimElem = 11
y = -6

[State 7921, pos add]
type = PosAdd
trigger1 = Anim = 7500
trigger1 = AnimElem = 1
x = -14

[State 7921, velocity 1]
type = VelSet
trigger1 = AnimElem = 6
x = 7.25
y = -0.6

[State 7921, velocity 2]
type = VelSet
trigger1 = AnimElem = 7
x = 5.25
y = -1

[State 7921, velocity 3]
type = VelSet
trigger1 = AnimElem = 8
x = 3.75
y = -1.25

[State 7921, velocity 4]
type = VelSet
trigger1 = AnimElem = 9
x = 2.25
y = -1.5

[State 7921, velocity 5]
type = VelSet
trigger1 = AnimElem = 10
x = 1.25
y = -2

[State 7921, velocity 6]
type = VelSet
trigger1 = AnimElem = 11
x = -1.75
y = -2.5

[State 7921, velocity 7]
type = VelSet
trigger1 = AnimElem = 12
x = -0.75
y = -0.5

[State 7921, velocity 8]
type = VelSet
trigger1 = AnimElem = 13, = 0
x = -0.75
y = 1.5

[State 7921, velocity 9]
type = VelSet
trigger1 = AnimElem = 13, = 4
x = -0.25
y = 3.5

[State 7921, velocity 10]
type = VelSet
trigger1 = Anim = 7500
trigger1 = AnimElem = 1, = 0
x = 0
y = 4

[State 7921, velocity 11]
type = VelSet
trigger1 = Anim = 7500
trigger1 = AnimElem = 1, = 4
x = 0
y = 3

[State 7921, velocity 12]
type = VelSet
trigger1 = Anim = 7500
trigger1 = AnimElem = 1, = 4
x = 0
y = 2

[State 7921, velocity 12]
type = VelSet
trigger1 = Anim = 7500
trigger1 = AnimElem = 2, = 1
x = 0
y = 1

[State 7921, change state]
type = ChangeState
trigger1 = Anim = 7500
trigger1 = AnimElem = 2, = 4
value = 7500

[State 7921, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Praise Intro
;-------------
; On Nakoruru
;------------
[Statedef 7930]
type = S
movetype = I
physics = N
sprpriority = 1

[State 7930, animation]
type = ChangeAnim
trigger1 = RoundState = 0
value = 7930

[State 7930, PosAdd]
type = PosAdd
trigger1 = parent, animelem = 2
y = 2

[State 7930, end state]
type = ChangeState
trigger1 = parent, animelem = 4
value = 7931

[State 7930, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; Flying
;-------
[Statedef 7931]
type = A
movetype = I
physics = N
anim = 7500
sprpriority = -2

[State 7931, velocity]
type = VelSet
trigger1 = time = 0
x = -1.5
y = -2.75

[State 7931, stop velocity]
type = VelSet
trigger1 = pos y <= -122
x = 0
y = 0

[State 7931, end state]
type = ChangeState
trigger1 = pos y <= -122
value = 7500

[State 7931, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Mamahaha Intro
;---------------

[Statedef 7940]
type = A
movetype = I
physics = N
sprpriority = 1

[State 7940, animation]
type = ChangeAnim
trigger1 = RoundState = 0
value = 7940

[State 7940, PosAdd 1]
type = PosAdd
trigger1 = parent, animelem = 3
x = -1
y = 1

[State 7940, PosAdd 2]
type = PosAdd
trigger1 = parent, animelem = 4
x = -5
y = -4

[State 7940, PosAdd 3]
type = PosAdd
trigger1 = parent, animelem = 5
x = -5
y = -8

[State 7940, PosAdd 4]
type = PosAdd
trigger1 = parent, animelem = 6
x = -12
y = 0

[State 7940, PosAdd 5]
type = PosAdd
trigger1 = parent, animelem = 7
x = -12
y = -28

[State 7940, PosAdd 6]
type = PosAdd
trigger1 = AnimTime = 0
x = -2
y = -11

[State 7940, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 7500

[State 7940, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Slash Ending 01
;----------------

[Statedef 7950]
type = A
movetype = I
physics = N
anim = 7500
sprpriority = 1

[State 7950, animation]
type = ChangeAnim
trigger1 = time = 14
value = 7950

[State 7950, velocity start]
type = VelSet
trigger1 = time = 0
x = (ParentDist x -36)/14
y = 2.5

[State 7950, stop velocity]
type = VelSet
trigger1 = Anim = 7950 && AnimElem = 1
x = 0
y = 0

[State 7950, PosSet]
type = BindToParent
trigger1 = Anim = 7950 && AnimElem = 1
pos = -31,-84

[State 7950, PosAdd 1]
type = PosAdd
trigger1 = Anim = 7950 && AnimElem = 1, = 3
x = 1
y = 6

[State 7950, PosAdd 2]
type = PosAdd
trigger1 = Anim = 7950 && AnimElem = 2
x = 5
y = 5

[State 7950, PosAdd 3]
type = PosAdd
trigger1 = Anim = 7950 && AnimElem = 3
x = 1
y = 0

[State 7950, Mamahaha sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 200, 1
channel = 5

[State 7950, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Slash Ending 02
;----------------
; Opposite Side
;--------------
[Statedef 7960]
type = A
movetype = I
physics = N
anim = 7500
sprpriority = 1

[State 7960, velocity start]
type = VelSet
trigger1 = parent, AnimElem = 2
x = ifelse(facing = parent, facing, (ParentDist x +54)/28, (ParentDist x -54)/28)
y = 2

[State 7960, end state]
type = ChangeState
trigger1 = time = 28
value = 7961

[State 7960, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; Near Nako
;----------
[Statedef 7961]
type = A
movetype = I
physics = N
anim = 7500
sprpriority = 1

[State 7961, stop velocity]
type = VelSet
trigger1 = time = 0
x = 0
y = 0

[State 7961, turn]
type = turn
trigger1 = facing = parent, facing

[State 7961, position]
type = BindToParent
trigger1 = time = 0
pos = 54, -64

[State 7961, end state]
type = ChangeState
trigger1 = parent, AnimElem = 20
value = 7962

[State 7961, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; Near Nako
;----------
[Statedef 7962]
type = A
movetype = I
physics = N
anim = 7960
sprpriority = 1

[State 7962, PosAdd 1]
type = PosAdd
trigger1 = AnimElem = 2
x = 17
y = 3

[State 7962, PosAdd 2]
type = PosAdd
trigger1 = AnimElem = 3
x = 8
y = 2

[State 7962, PosAdd 3]
type = PosAdd
trigger1 = AnimElem = 4
x = 1
y = 3

[State 7962, PosAdd 4]
type = PosAdd
trigger1 = AnimElem = 5
x = 14
y = 2

[State 7962, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Loose 01
;---------
; Fly Down
;---------
[Statedef 7970]
type = A
movetype = I
physics = N
sprpriority = -1

[State 7970, velocity]
type = VelSet
trigger1 = time = 0
x = 1.15
y = 3.25

[State 7970, stop velocity]
type = VelSet
trigger1 = time = 26
x = 0
y = 0

[State 7970, end state]
type = ChangeState
trigger1 = time = 26
value = 7971

[State 7970, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; Land on Nako
;-------------
[Statedef 7971]
type = A
movetype = I
physics = N
anim = 7970
sprpriority = -1

[State 7971, position]
type = BindToParent
trigger1 = AnimElem = 1
pos = -12, -45

[State 7971, pos add 1]
type = PosAdd
trigger1 = AnimElem = 1, = 3
x = 4
y = 2

[State 7971, pos add 2]
type = PosAdd
trigger1 = AnimElem = 2
x = 9
y = 2

[State 7971, pos add 3]
type = PosAdd
trigger1 = AnimElem = 3
x = 2
y = 0

[State 7971, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



; Loose 02
;---------
; Fly Down
;---------
[Statedef 7980]
type = A
movetype = I
physics = N
sprpriority = -1

[State 7980, turn]
type = turn
trigger1 = facing = enemy, facing

[State 7980, velocity]
type = VelSet
trigger1 = time = 0
x = (ParentDist x - 24)/26
y = 3.5

[State 7980, stop velocity]
type = VelSet
trigger1 = time = 26
x = 0
y = 0

[State 7980, end state]
type = ChangeState
trigger1 = time = 26
value = 7981

[State 7980, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y

; Stay Near Nako
;---------------
[Statedef 7981]
type = A
movetype = I
physics = N
anim = 7980
sprpriority = -1

[State 7981, animation]
type = ChangeAnim
triggerall = anim != 7500
trigger1 = Anim = 7980 && AnimTime = 0
value = 7500

[State 7981, Mamahaha sound]
type = PlaySnd
triggerall = anim = 7980
trigger1 = AnimElem = 1
trigger2 = AnimElem = 5
trigger3 = AnimElem = 8
value = 200, 1
channel = 5

[State 7981, display vel & pos]
type = DisplayToClipboard
trigger1 = 1
text = "Vel(%f,%f), ParentDist(%f,%f) Height = %f"
params = Vel X,Vel Y, ParentDist X,ParentDist Y, Pos y



;==============================================================================================
;
; TAG
;
;==============================================================================================

; Leave the stage
;----------------

[Statedef 7990]
Type = S
MoveType = I
Physics = N
sprpriority = 4
ctrl = 0

[State 7990, animation]
type = ChangeAnim
trigger1 = anim != 7520 && anim != 7521
value = ifelse((facing = parent, facing), 7520, 7521)

[State 7990, velocity]
type = VelSet
trigger1 = time = 0
x = ifelse((facing = parent, facing), -4.5, 4.5)

[State 7990, wait outside the stage]
type = ChangeState
trigger1 = pos x >= 250
trigger2 = pos x <= -250
value = 7991

; Wait Outside
;-------------

[Statedef 7991]
Type = S
MoveType = I
Physics = N
anim = 7500
sprpriority = 4
ctrl = 0

[State 7991, turn]
type = turn
trigger1 = facing != parent,facing

[State 7991, position]
type = posset
trigger1 = parent, stateno = [4511, 4512]
x = -250*facing
y = -122

[State 7991, enter]
type = ChangeState
trigger1 = facing = parent,facing
trigger1 = parent, stateno != [4511, 4512]
value = 7500
