;==============================================================================================
;
; NAKORURU'S STANDARD ATTACKS
;
;==============================================================================================

; Stand Light Slash
;------------------

[Statedef 200]
Type = S
MoveType = A
Physics = S
anim = 200
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 200, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 200, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 200, hit def]
type = HitDef
trigger1 = AnimElem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 25 + 8*var(20),0
pausetime = 8, 8
guard.pausetime = 0, 8
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-50
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 4
ground.hittime = 18
guard.slidetime = 4
guard.hittime = 8
guard.ctrltime = 8
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 200, slash 1] ; Sword effects ; code posted by Pizza Royale in the Mugen Development Forum
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9001
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9002
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9003
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 5, < 0
anim = 9004
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, slash 5]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9005
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 200, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 290

[State 200, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Light Slash
;------------------

[Statedef 205]
Type = S
MoveType = A
Physics = S
anim = 205
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 205, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 205, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 205, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 25 + 8*var(20),0
pausetime = 8, 8
guard.pausetime = 0, 8
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-60
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 4
ground.hittime = 16
guard.slidetime = 4
guard.hittime = 8
guard.ctrltime = 8
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 205, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 205, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 3
anim = 9012
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 205, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 290

[State 205, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Medium Slash
;-------------------

[Statedef 210]
Type = S
MoveType = A
Physics = S
anim = 210
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 210, position 1]
type = PosAdd
trigger1 = AnimElem = 3
x = 62

[state 210, position 2]
type = PosAdd
trigger1 = AnimElem = 7
x = -62

[state 210, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 210, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 1

[State 210, hit def]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
air.animtype = up
priority = 4, Hit
damage = 40 + 13*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4010
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 6
ground.hittime = 20
guard.slidetime = 6
guard.hittime = 10
guard.ctrltime = 10
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 50, 5
givepower = 25, 0

[State 210, slash 1]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9021
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 210, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 5, < 0
anim = 9022
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 210, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9023
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 210, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 2
trigger1 = Animelem = 6, < 0
anim = 9024
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 210, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 293

[State 210, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Medium Slash
;-------------------

[Statedef 215]
Type = S
MoveType = A
Physics = S
anim = 215
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 200, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 215, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 215, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 40 + 13*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-60
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 6
ground.hittime = 18
guard.slidetime = 6
guard.hittime = 10
guard.ctrltime = 10
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 50, 5
givepower = 25, 0

[State 215, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 215, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 3
anim = 9012
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 215, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 293

[State 215, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Fierce Slash
;-------------------

[Statedef 220]
Type = S
MoveType = A
Physics = S
anim = 220
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 220, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 220, slash sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 110, 2
channel = 1

[State 220, hit def]
type = HitDef
trigger1 = !MoveContact
trigger1 = AnimElem = 8, >= 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 60 + 20*var(20),0
pausetime = 16, 16
guard.pausetime = 0, 16
sparkno = s4020
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 8
ground.hittime = 22
guard.slidetime = 8
guard.hittime = 17
guard.ctrltime = 17
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 220, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9031
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9032
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9033
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9034
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9035
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 6]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9036
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 7]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9037
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 8]
type = Explod
trigger1 = Animelem = 8, >= 2
trigger1 = Animelem = 9, < 0
anim = 9038
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, slash 9]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 10, < 0
anim = 9039
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 220, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 295

[State 220, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Fierce Slash
;-------------------

; 1st hit
;--------
[Statedef 225]
Type = S
MoveType = A
Physics = S
anim = 225
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 225, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 225, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 1

[State 225, hit def 1]
type = HitDef
trigger1 = AnimElem = 6
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4010
guard.sparkno = s4200
sparkxy = 0,-55
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 6
ground.hittime = 18
guard.slidetime = 6
guard.hittime = 10
guard.ctrltime = 10
air.hittime = 37
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -4, -3
getpower = 30, 3
givepower = 15, 0

[State 225, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9041
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9042
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9043
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9044
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 2
anim = 9045
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, slash 6]
type = Explod
trigger1 = Animelem = 6, >= 2
trigger1 = Animelem = 7, < 0
anim = 9046
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 225, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 293

[State 225, end state]
type = ChangeState
trigger1 = AnimElem = 7
value = 226

; 2nd hit
;--------
[Statedef 226]
Type = S
MoveType = A
Physics = S
sprpriority = 2
ctrl = 0
juggle = 10

[state 226, slash sound]
type = PlaySnd
trigger1 = AnimElem = 8
value = 110, 2
channel = 1

[State 226, hit def 2]
type = HitDef
triggerall = !MoveContact
trigger1 = AnimElem = 9
trigger2 = AnimElem = 10
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 60 + 20*var(20),0
pausetime = 16, 16
guard.pausetime = 0, 16
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-65 -60*(AnimElem = 10)
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 8
ground.hittime = 25
guard.slidetime = 8
guard.hittime = 17
guard.ctrltime = 17
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 226, slash 1]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 9, < 0
anim = 9047
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 2]
type = Explod
trigger1 = Animelem = 9, >= 0
trigger1 = Animelem = 10, < 0
anim = 9048
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 3]
type = Explod
trigger1 = Animelem = 10, >= 0
trigger1 = Animelem = 11, < 0
anim = 9049
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 4]
type = Explod
trigger1 = Animelem = 11, >= 0
trigger1 = Animelem = 11, < 2
anim = 9050
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, slash 5]
type = Explod
trigger1 = Animelem = 11, >= 2
trigger1 = Animelem = 11, < 4
anim = 9051
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 226, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 295

[State 226, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Overhead Slash
;---------------
; (Start)
;---------
[Statedef 230]
Type = S
MoveType = A
Physics = S
anim = 230
sprpriority = 1
velset = 0,0
ctrl = 0

[State 230, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 231

; (Air)
;------
[Statedef 231]
Type = A
MoveType = A
Physics = A
anim = 231
sprpriority = 2
velset = 2.25,-5.5
ctrl = 0
juggle = 10

[state 231, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 231, slash sound]
type = PlaySnd
trigger1 = AnimElem = 6
value = 110, 2
channel = 1

[state 231, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 1
channel = 2

[State 231, hit def]
type = HitDef
triggerall = p2stateno != [5020,5040]
triggerall = p2stateno != [154,155]
triggerall = !MoveContact
trigger1 = AnimElem = 7
trigger2 = AnimElem = 8
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
ground.type = high
air.animtype = back
priority = 4, Hit
damage = 80 + 16*var(20),0
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-35 -35*(animelem = 8)
hitsound = s120, var(15)
guardsound = s130, var(16)
pausetime = 11,13
ground.slidetime = 9
ground.hittime = 9
ground.velocity = -6.1
ground.cornerpush.veloff = -6
guard.pausetime = 11,11
guard.slidetime = 17
guard.hittime = 20
guard.ctrtime = 20
guard.velocity = -6.1
guard.cornerpush.veloff = -6
air.velocity = -3.5,-6
airguard.velocity = -3,-1.5
air.cornerpush.veloff = 0
yaccel = 0.5 
getpower = 75, 75
givepower = 15, 15

[State 231, slash 1]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9091
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 2]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9092
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 3]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 231, slash 4]
type = Explod
trigger1 = Animelem = 8, >= 2
trigger1 = Animelem = 9, < 0
anim = 9094
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Pursuit Slash
;--------------

[Statedef 240]
Type = S
MoveType = A
Physics = S
anim = 240
sprpriority = 2
velset = 0,0
ctrl = 0

[state 240, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 240, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 240, hit def]
type = HitDef
triggerall = p2stateno = 5110
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAFD
animtype = light
priority = 4, Hit
damage = 30 + 10*var(20),0
pausetime = 12, 12
sparkno = s4010
sparkxy = 0, 0
hitsound = s120, var(15)
guardsound = s130, var(16)
getpower = 30, 3
givepower = 15, 0

[State 240, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Running Light Slash
;--------------------

[Statedef 250]
Type = S
MoveType = A
Physics = S
anim = 250
sprpriority = 2
ctrl = 0
juggle = 10

[State 250, 1st foot]
type = MakeDust
trigger1 = vel x > 0
pos = 30, 0
spacing = 3

[State 250, 2nd foot]
type = MakeDust
trigger1 = vel x > 0
pos = -45, 0
spacing = 3

[state 250, voice]
type = PlaySnd
trigger1 = AnimElem = 1
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 250, slash sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 110, var(17)
channel = 1

[state 250, brake sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 100, 4
channel = 2

[State 250, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 30 + 10*var(20),0
pausetime = 8, 8
guard.pausetime = 0, 8
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-50
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 8
ground.hittime = 18
guard.slidetime = 8
guard.hittime = 25
guard.ctrltime = 25
air.hittime = 32
ground.velocity = -5
guard.velocity = -5
air.velocity = -4, -3
getpower = 50, 5
givepower = 25, 0

[State 250, slash 1]
type = Explod
trigger1 = Animelem = 1, >= 0
trigger1 = Animelem = 2, < 0
anim = 9002
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 250, slash 2]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 2, < 2
anim = 9003
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 250, slash 3]
type = Explod
trigger1 = Animelem = 2, >= 2
trigger1 = Animelem = 3, < 0
anim = 9004
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 250, slash 4]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 2
anim = 9005
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 250, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 295

[State 250, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Running Medium Slash
;---------------------

[Statedef 260]
Type = S
MoveType = A
Physics = S
anim = 260
sprpriority = 2
ctrl = 0
juggle = 10

[State 260, 1st foot]
type = MakeDust
trigger1 = vel x > 0
pos = 30, 0
spacing = 3

[State 260, 2nd foot]
type = MakeDust
trigger1 = vel x > 0
pos = -35, 0
spacing = 3

[state 260, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 260, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[state 260, brake sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 100, 4
channel = 2

[State 260, hit def]
type = HitDef
trigger1 = AnimElem = 6
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 45 + 16*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4020
guard.sparkno = s4200
sparkxy = 0,-65
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 8
ground.hittime = 20
guard.slidetime = 8
guard.hittime = 21
guard.ctrltime = 21
air.hittime = 37
ground.velocity = -5
guard.velocity = -5
air.velocity = -4, -3
getpower = 50, 5
givepower = 25, 0

[State 260, slash 1]
type = Explod
trigger1 = Animelem = 1, >= 0
trigger1 = Animelem = 2, < 0
anim = 9032
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 2]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9033
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 3]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9034
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 4]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9035
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 5]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9036
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 6]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 1
anim = 9037
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 7]
type = Explod
trigger1 = Animelem = 6, >= 1
trigger1 = Animelem = 7, < 0
anim = 9038
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, slash 8]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 7, < 2
anim = 9039
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 260, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 295

[State 260, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Running Fierce Slash
;---------------------

[Statedef 270]
Type = S
MoveType = A
Physics = S
anim = 270
sprpriority = 2
ctrl = 0
juggle = 10

[State 270, 1st foot]
type = MakeDust
trigger1 = vel x > 0
pos = 5, 0
spacing = 3

[State 270, 2nd foot]
type = MakeDust
trigger1 = vel x > 0
pos = -50, 0
spacing = 3

[state 270, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 270, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, 2
channel = 1

[state 270, brake sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 100, 4
channel = 2

[State 270, hit def]
type = HitDef
trigger1 = AnimElem = 3
trigger2 = AnimElem = 4 && !movecontact
attr = S, NA
hitflag = MAF
guardflag = C
animtype = back
air.animtype = back
priority = 4, Hit
damage = 45 + 16*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-30 -35*(AnimElem = 4) -95*(AnimElem = 5)
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = trip
guard.slidetime = 8
guard.hittime = 21
guard.ctrltime = 21
ground.velocity = -1, -7.5
guard.velocity = -5
air.velocity = -4, -3
fall = 1
air.fall = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
down.bounce = 1
getpower = 50, 5
givepower = 25, 0

[State 270, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 2, < 2
anim = 9071
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 2]
type = Explod
trigger1 = Animelem = 2, >= 2
trigger1 = Animelem = 3, < 0
anim = 9072
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 3]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 1
anim = 9073
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 4]
type = Explod
trigger1 = Animelem = 3, >= 1
trigger1 = Animelem = 4, < 0
anim = 9074
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 5]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 1
anim = 9075
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 6]
type = Explod
trigger1 = Animelem = 4, >= 1
trigger1 = Animelem = 5, < 0
anim = 9076
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 7]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9077
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 8]
type = Explod
trigger1 = Animelem = 5, >= 2
trigger1 = Animelem = 6, < 0
anim = 9078
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, slash 9]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 2
anim = 9079
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 270, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 295

[State 270, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Evade Attack - Adapted from NeoGouki's Chris
;-------------

[Statedef 280]
Type = S
MoveType = A
Physics = S
anim = 280
sprpriority = 2
poweradd = -1000
velset = 0,0
ctrl = 0
juggle = 10

[State 280, pause]
type = Pause
trigger1 = Time = 0
time = 4
movetime = 4

[state 280, punch sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 2

[state 280, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 280, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
priority = 5, Hit
animtype = back
air.animtype = back
damage = 30 + 10*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-60
hitsound = s180, var(16)
guardsound = s150, var(15)
guard.slidetime = 6
guard.hittime = 20
guard.ctrltime = 20
ground.velocity = -6, -3
guard.velocity = -4
air.velocity = -6, -3
fall = 1
air.fall = 1
fall.recover = 0
fall.envshake.time = 30
fall.envshake.ampl = -4
down.bounce = 1
getpower = 0, 0
givepower = 45, 0
P2StateNo = 281

[State 280, flash]
type = EnvColor
trigger1 = MoveHit
value = 255,255,255
time = 2
ignorehitpause = 1
persistent = 0

[State 280, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1

; (Enemy Hit Back)
;-----------------
[Statedef 281]
Type = A
MoveType = H
Physics = N
sprpriority = -1
ctrl = 0
hitdefpersist = 1

[state 281, animation]
type = ChangeAnim2
trigger1 = HitShakeOver && anim != 5012
value = 5012

[state 281, velocity]
type = VelSet
trigger1 = HitShakeOver
x = -10

[state 281, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 281, end state]
type = ChangeState
trigger1 = BackEdgeBodyDist <= 0
value = 282

; (Enemy Hitting the Wall)
;-------------------------
[Statedef 282]
Type = A
MoveType = H
Physics = N
sprpriority = -1
ctrl = 0

[state 282, animation]
type = ChangeAnim
trigger1 = time = 0
value = 5030

[state 282, velocity]
type = VelSet
trigger1 = time = 0
x = 0

[state 282, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[state 282, shake]
type = EnvShake
trigger1 = time = 0
time = 30
ampl = 4

[state 282, hit sound]
type = PlaySnd
trigger1 = time = 0
value = F5, 4
channel = 1

[state 282, screen bound]
type = ScreenBound
trigger1 = 1
MoveCamera = 0,0

[State 282, end state]
type = ChangeState
trigger1 = time = 7
value = 283

; (Enemy Falling)
;----------------
[Statedef 283]
Type = A
MoveType = H
Physics = N
sprpriority = -1
ctrl = 0

[state 283, animation]
type = ChangeAnim
trigger1 = time = 0
value = 5050; + 2*(SelfAnimExist(5052))

[state 283, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[state 283, start velocity]
type = VelSet
trigger1 = time = 0
x = 2.5
Y = -6.22

[state 283, gravity]
type = VelAdd
trigger1 = 1
Y = 0.36

[state 283, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[state 283, screen bound]
type = ScreenBound
trigger1 = 1
MoveCamera = 0,0

[State 283, end state]
type = SelfState
trigger1 = vel y >= 0
trigger1 = pos y >= -ceil(vel y)
value = 5100

[state 283, end velocity]
type = VelSet
trigger1 = vel y >= 0
trigger1 = pos y >= -ceil(vel y)
x = 1
Y = -1.5



; Dodge Attack
;-------------

[Statedef 285]
Type = S
MoveType = A
Physics = S
anim = 285
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 285, punch sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 2

[state 285, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 285, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-65
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 6
ground.hittime = 18
guard.slidetime = 6
guard.hittime = 18
guard.ctrltime = 18
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -2.5, -3
getpower = 30, 3
givepower = 15, 0

[State 285, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Light Move Guarded
;-------------------

[Statedef 290]
Type = S
MoveType = I
Physics = S
anim = 290
velset = 0,0
ctrl = 0

[State 290, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Medium Move Guarded
;--------------------

[Statedef 293]
Type = S
MoveType = I
Physics = S
anim = 293
velset = 0,0
ctrl = 0

[State 292, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Fierce Move Guarded
;--------------------

[Statedef 295]
Type = S
MoveType = I
Physics = S
anim = 295
velset = 0,0
ctrl = 0

[State 295, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Light Kick
;-----------------

[Statedef 300]
Type = S
MoveType = A
Physics = S
anim = 300
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 300, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 300, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 1

[State 300, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 18 + 6*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-80
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 4
ground.hittime = 20
guard.slidetime = 4
guard.hittime = 20
guard.ctrltime = 20
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 300, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Light Kick
;-----------------

[Statedef 305]
Type = S
MoveType = A
Physics = S
anim = 305
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 305, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 305, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 1

[State 305, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 18 + 6*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-55
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
air.type = high
ground.slidetime = 4
ground.hittime = 13
guard.slidetime = 4
guard.hittime = 13
guard.ctrltime = 13
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 305, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Medium Kick
;------------------

[Statedef 310]
Type = S
MoveType = A
Physics = S
anim = 310
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 310, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 310, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 1

[State 310, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 36 + 12*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-65
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 22
guard.slidetime = 6
guard.hittime = 22
guard.ctrltime = 22
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 50, 5
givepower = 25, 0

[State 310, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Medium Kick
;------------------

[Statedef 315]
Type = S
MoveType = A
Physics = S
anim = 315
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 315, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 315, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 1

[State 315, hit def]
type = HitDef
trigger1 = AnimElem = 4
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 36 + 12*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-70
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 50, 5
givepower = 25, 0

[State 315, 1]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Stand Fierce Kick
;------------------

[Statedef 320]
Type = S
MoveType = A
Physics = S
anim = 320
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 320, voice]
type = PlaySnd
trigger1 = AnimElem = 7
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 320, kick sound]
type = PlaySnd
trigger1 = AnimElem = 5
value = 140, 1
channel = 1

[State 320, hit def]
type = HitDef
trigger1 = AnimElem = 7
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 55 + 18*var(20),0
pausetime = 16, 16
guard.pausetime = 16, 16
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-40
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 8
ground.hittime = 18
guard.slidetime = 8
guard.hittime = 18
guard.ctrltime = 18
air.hittime = 37
ground.velocity = -4
guard.velocity = -5
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 320, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Short Fierce Kick
;------------------

; (1st Hit)
;----------
[Statedef 325]
Type = S
MoveType = A
Physics = S
anim = 325
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 325, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 325, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
value = 140, 1
channel = 1

[State 325, hit def 1]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = medium
air.animtype = up
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-55
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -3, -3
getpower = 30, 13
givepower = 15, 0

[State 325, end state]
type = ChangeState
trigger1 = AnimElem = 3
value = 326

; (2nd Hit)
;----------
[Statedef 326]
Type = S
MoveType = A
Physics = S
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[State 326, hit def 2]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 55 + 18*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-50
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 18
guard.slidetime = 6
guard.hittime = 18
guard.ctrltime = 18
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 326, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 327

; Air
;----
[Statedef 327]
Type = A
MoveType = A
Physics = A
anim = 326
sprpriority = 1
velset = -6, -5
ctrl = 0

[State 327, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 328

; Land
;-----
[Statedef 328]
Type = S
MoveType = A
Physics = S
anim = 327
sprpriority = 1
velset = 0,0
ctrl = 0

[State 328, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 328, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[state 328, land sound]
type = PlaySnd
trigger1 = Time = 0
value = 100, 2
channel = 1

[State 328, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Overhead Kick
;--------------
; (Air)
;------
[Statedef 330]
Type = A
MoveType = A
Physics = A
anim = 330
sprpriority = 2
velset = 1,-7.5
ctrl = 0
juggle = 10

[State 330, gravity]
type = VelAdd
trigger1 = Time > 0
y = -0.15

[state 330, voice]
type = PlaySnd
trigger1 = AnimElem = 12
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 330, kick sound]
type = PlaySnd
trigger1 = AnimElem = 12
value = 140, 1
channel = 1

[state 330, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 1
channel = 2

[State 330, hit def]
type = HitDef
triggerall = !MoveContact
trigger1 = AnimElem = 12
trigger2 = AnimElem = 13
attr = S, NA
hitflag = MAF
guardflag = HA
animtype = back
air.animtype = back
priority = 4, Hit
damage = 50 + 17*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,0
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = trip
guard.slidetime = 6
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = 0,-6
guard.velocity = -5
air.velocity = -1, -5
fall = 1
air.fall = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
down.bounce = 1
getpower = 90, 9
givepower = 45, 0

[State 330, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 331

; (Land)
;-------
[Statedef 331]
Type = S
MoveType = A
Physics = S
anim = 331
sprpriority = 1
velset = 0,0
ctrl = 0

[State 331, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 331, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[state 331, land sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 2
channel = 1

[State 331, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Pursuit Kick
;-------------
; (Air)
;------
[Statedef 340]
Type = A
MoveType = A
Physics = A
anim = 340
sprpriority = 2
velset = (P2dist x)/30,-7.25
ctrl = 0

[State 340, gravity]
type = VelAdd
trigger1 = Time > 0
y = -0.05

[state 340, voice]
type = PlaySnd
trigger1 = AnimElem = 12
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 340, kick sound]
type = PlaySnd
trigger1 = AnimElem = 12
value = 140, 1
channel = 1

[state 340, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 1
channel = 2

[state 340, ghost]
type = PlayerPush
trigger1 = time <= 10
value = 0

[State 340, hit def]
type = HitDef
triggerall = p2stateno = 5110
trigger1 = AnimElem = 12
trigger2 = AnimElem = 13
attr = A, NA
hitflag = MAFD
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 12, 12
sparkno = s4110
sparkxy = 0, 0
hitsound = s150, var(15)
getpower = 30, 3
givepower = 15, 0

[State 340, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 341

; (1st Landing)
;--------------
[Statedef 341]
Type = S
MoveType = A
Physics = S
anim = 341
sprpriority = 1
ctrl = 0

[State 341, vel set]
type = VelSet
trigger1 = Time = 0
x = 0
y = 0

[State 341, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[State 341, pos set]
type = PlayerPush
trigger1 = 1
value = 0

[state 341, jump land]
type = PlaySnd
trigger1 = time = 1
value = 100, 2
channel = 1

[State 341, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 342

; (Jump Back)
;------------
[Statedef 342]
Type = A
MoveType = A
Physics = A
anim = 342
sprpriority = 1
velset = -2,-3.45
ctrl = 0

[State 342, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 343

; (2nd Landing)
;--------------
[Statedef 343]
Type = S
MoveType = A
Physics = S
anim = 343
sprpriority = 1
ctrl = 0

[State 343, vel set]
type = VelSet
trigger1 = Time = 0
x = 0
y = 0

[State 343, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[state 343, jump sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 2
channel = 1

[State 343, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Running Kick
;-------------

[Statedef 350]
Type = C
MoveType = A
Physics = C
anim = 350
sprpriority = 2
ctrl = 0
juggle = 10

[State 350, 1st foot]
type = MakeDust
trigger1 = vel x > 0
pos = 0, 0
spacing = 3

[State 350, 2nd foot]
type = MakeDust
trigger1 = vel x > 0
pos = 55, 0
spacing = 3

[state 350, brake sound]
type = PlaySnd
trigger1 = time = 1
value = 100, 4
channel = 1

[state 350, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 1
channel = 2

[state 350, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 350, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = C
animtype = back
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 6, 6
guard.pausetime = 6, 6
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-10
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = trip
guard.slidetime = 6
guard.hittime = 19
guard.ctrltime = 19
ground.velocity = 0, -6
guard.velocity = -2
air.velocity = -4, -5
fall = 1
air.fall = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
down.bounce = 1
getpower = 50, 5
givepower = 25, 0

[State 350, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1



; Crouch Light Slash
;-------------------

[Statedef 400]
Type = C
MoveType = A
Physics = C
anim = 400
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 400, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 400, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, var(17)
channel = 1

[State 400, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 8, 8
guard.pausetime = 0, 8
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-35
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 4
ground.hittime = 12
guard.slidetime = 4
guard.hittime = 8
guard.ctrltime = 8
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 400, slash 1]
type = Explod
trigger1 = Animelem = 2, >= 0
trigger1 = Animelem = 3, < 0
anim = 9011
postype = p1
pos = -10,26
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 400, slash 2]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 3, < 2
anim = 9012
postype = p1
pos = -13,26
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 400, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 490

[State 400, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Medium Slash
;--------------------

; (1st Hit)
;----------
[Statedef 410]
Type = C
MoveType = A
Physics = N
anim = 410
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[State 410, vel 1]
type = VelSet
trigger1 = AnimElem = 3, >= 0
trigger1 = AnimElem = 4, < 0
x = 4

[state 410, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 410, slash sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 110, 2
channel = 1

[State 410, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 12 + 4*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-30
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 6
ground.hittime = 30
guard.slidetime = 6
guard.hittime = 10
guard.ctrltime = 10
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 20, 2
givepower = 10, 0

[State 410, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9061
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 410, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 493

[State 410, end state]
type = ChangeState
trigger1 = AnimElem = 4
value = 411

; (2nd Hit)
;----------
[Statedef 411]
Type = C
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0
juggle = 10

[State 411, vel 2]
type = VelSet
trigger1 = AnimElem = 4, >= 0
trigger1 = AnimElem = 5, < 0
x = 3.5

[State 411, vel 3]
type = VelSet
trigger1 = AnimElem = 5, >= 0
trigger1 = AnimElem = 6, < 0
x = 3

[State 411, vel 4]
type = VelSet
trigger1 = AnimElem = 6, >= 0
trigger1 = AnimElem = 7, < 0
x = 2.5

[State 411, vel 5]
type = VelSet
trigger1 = AnimElem = 7, >= 0
trigger1 = AnimElem = 8, < 0
x = 2

[State 411, vel 6]
type = VelSet
trigger1 = AnimElem = 8, >= 0
trigger1 = AnimElem = 9, < 0
x = 1.5

[State 411, vel 7]
type = VelSet
trigger1 = AnimElem = 9, >= 0
trigger1 = AnimElem = 10, < 0
x = 1

[State 411, vel 8]
type = VelSet
trigger1 = AnimElem = 10, >= 0
trigger1 = AnimElem = 11, < 0
x = 0.5

[State 411, vel 9]
type = VelSet
trigger1 = AnimElem = 11
x = 0

[State 411, hit def 2]
type = HitDef
triggerall = !MoveContact
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
attr = C, NA
hitflag = MAF
guardflag = L
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 39 + 13*var(20),0
pausetime = 16, 16
guard.pausetime = 0, 16
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-50 -20*(AnimElem = 5)
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = low
ground.slidetime = 8
ground.hittime = 30
guard.slidetime = 8
guard.hittime = 17
guard.ctrltime = 17
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 50, 5
givepower = 25, 0

[State 411, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9062
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 6, < 0
anim = 9063
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 4]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 7, < 0
anim = 9064
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, slash 5]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 8, < 0
anim = 9065
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 411, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 493

[State 411, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Fierce Slash
;--------------------

[Statedef 420]
Type = C
MoveType = A
Physics = C
anim = 420
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 420, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 420, slash sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 110, 2
channel = 1

[State 420, hit def 1]
type = HitDef
trigger1 = AnimElem = 5
attr = C, NA
hitflag = MAF
guardflag = L
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 12, 12
guard.pausetime = 0, 12
sparkno = s4012
guard.sparkno = s4200
sparkxy = 0,-30
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.slidetime = 8
ground.hittime = 24
guard.slidetime = 8
guard.hittime = 10
guard.ctrltime = 10
ground.velocity = -3
guard.velocity = -3
air.velocity = -3, -3
getpower = 30, 3
givepower = 15, 0

[State 420, slash 1]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 2
anim = 9071
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 2
trigger1 = Animelem = 5, < 0
anim = 9072
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 1
anim = 9073
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 1
trigger1 = Animelem = 6, < 0
anim = 9074
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 420, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 493

[State 420, end state]
type = ChangeState
trigger1 = AnimElem = 6
value = 421

; (2nd Hit)
;----------
[Statedef 421]
Type = S
MoveType = A
Physics = S
sprpriority = 2
ctrl = 0
juggle = 10

[State 421, hit def 2]
type = HitDef
triggerall = !MoveContact
trigger1 = AnimElem = 6, >= 2
trigger2 = AnimElem = 7
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 55 + 18*var(20),0
pausetime = 16, 16
guard.pausetime = 0, 16
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-65 -60*(AnimElem = 7)
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 8
ground.hittime = 24
guard.slidetime = 8
guard.hittime = 17
guard.ctrltime = 17
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 421, slash 5]
type = Explod
trigger1 = Animelem = 6, >= 0
trigger1 = Animelem = 6, < 2
anim = 9075
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 6]
type = Explod
trigger1 = Animelem = 6, >= 2
trigger1 = Animelem = 7, < 0
anim = 9076
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 7]
type = Explod
trigger1 = Animelem = 7, >= 0
trigger1 = Animelem = 7, < 2
anim = 9077
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 8]
type = Explod
trigger1 = Animelem = 7, >= 2
trigger1 = Animelem = 8, < 0
anim = 9078
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, slash 9]
type = Explod
trigger1 = Animelem = 8, >= 0
trigger1 = Animelem = 8, < 2
anim = 9079
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 421, move guarded state]
type = ChangeState
trigger1 = MoveGuarded
value = 495

[State 421, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Light Move Guarded
;-------------------

[Statedef 490]
Type = S
MoveType = I
Physics = S
anim = 490
velset = 0,0
ctrl = 0

[State 490, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Medium Move Guarded
;--------------------

[Statedef 493]
Type = S
MoveType = I
Physics = S
anim = 493
velset = 0,0
ctrl = 0

[State 492, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Fierce Move Guarded
;--------------------

[Statedef 495]
Type = S
MoveType = I
Physics = S
anim = 495
velset = 0,0
ctrl = 0

[State 495, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Light Kick
;------------------

[Statedef 500]
Type = C
MoveType = A
Physics = C
anim = 500
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 500, voice]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 500, kick sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 140, 0
channel = 1

[State 500, hit def]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MAF
guardflag = L
animtype = light
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-5
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 11
guard.slidetime = 6
guard.hittime = 11
guard.ctrltime = 11
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -2.5, -3
getpower = 20, 2
givepower = 10, 0

[State 500, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Medium Kick
;-------------------

[Statedef 510]
Type = C
MoveType = A
Physics = C
anim = 510
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 510, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 510, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 510, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = C, NA
hitflag = MAF
guardflag = L
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 25 + 8*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-10
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = low
ground.slidetime = 6
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -3, -3
getpower = 50, 5
givepower = 25, 0

[State 510, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Crouch Fierce Kick
;-------------------

[Statedef 520]
Type = C
MoveType = A
Physics = C
anim = 520
sprpriority = 2
velset = 0,0
ctrl = 0
juggle = 10

[state 520, slash sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 140, 1
channel = 2

[state 520, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 520, hit def]
type = HitDef
trigger1 = AnimElem = 4
attr = C, NA
hitflag = MAF
guardflag = L
animtype = back
air.animtype = back
priority = 4, Hit
damage = 45 + 15*var(20),0
pausetime = 16, 16
guard.pausetime = 16, 16
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-40
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = trip
air.type = high
guard.slidetime = 8
guard.hittime = 21
guard.ctrltime = 21
air.hittime = 37
ground.velocity = -4,-3
guard.velocity = -4
air.velocity = -4, -3
fall = 1
air.fall
fall.envshake.time = 30
fall.envshake.ampl = -4
down.bounce = 1
getpower = 90, 9
givepower = 45, 0

[State 520, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 11
ctrl = 1



; Air Light Slash
;----------------

[Statedef 600]
Type = A
MoveType = A
Physics = A
anim = 600
sprpriority = 2
ctrl = 0
juggle = 10

[state 600, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 2

[state 600, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 600, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4014
guard.sparkno = s4200
sparkxy = 0,-55
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 4
ground.hittime = 18
guard.slidetime = 4
guard.hittime = 18
guard.ctrltime = 18
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -1.3, -3
getpower = 20, 2
givepower = 10, 0

[State 600, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9081
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 600, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 4, < 3
anim = 9082
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 600, slash 3]
type = Explod
trigger1 = Animelem = 4, >= 3
trigger1 = Animelem = 5, < 0
anim = 9083
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Medium Slash
;-----------------

[Statedef 610]
Type = A
MoveType = A
Physics = A
anim = 610
sprpriority = 2
ctrl = 0
juggle = 10

[state 610, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, var(17)
channel = 2

[state 610, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 610, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 30 + 10*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4000
guard.sparkno = s4200
sparkxy = 0,-75
hitsound = s120, var(15)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 6
ground.hittime = 22
guard.slidetime = 6
guard.hittime = 22
guard.ctrltime = 22
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -1.3, -3
getpower = 50, 5
givepower = 25, 0

[State 610, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9011
postype = p1
pos = 25,-12
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 610, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9012
postype = p1
pos = 25,-13
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Fierce Slash
;-----------------

[Statedef 620]
Type = A
MoveType = A
Physics = A
anim = 620
sprpriority = 2
ctrl = 0
juggle = 10

[state 620, slash sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 110, 2
channel = 2

[state 620, voice]
type = PlaySnd
trigger1 = AnimElem = 5
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 620, hit def]
type = HitDef
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5 && !movecontact
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
air.animtype = up
priority = 4, Hit
damage = 60 + 20*var(20),0
pausetime = 16, 16
guard.pausetime = 16, 16
sparkno = s4022
guard.sparkno = s4200
sparkxy = 0,-35 -70*(Animelem = 5)
hitsound = s170, var(16)
guardsound = s130, var(16)
ground.type = high
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 14
guard.ctrltime = 14
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0

[State 620, slash 1]
type = Explod
trigger1 = Animelem = 3, >= 0
trigger1 = Animelem = 4, < 0
anim = 9091
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 2]
type = Explod
trigger1 = Animelem = 4, >= 0
trigger1 = Animelem = 5, < 0
anim = 9092
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 3]
type = Explod
trigger1 = Animelem = 5, >= 0
trigger1 = Animelem = 5, < 2
anim = 9093
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1

[State 620, slash 4]
type = Explod
trigger1 = Animelem = 5, >= 2
trigger1 = Animelem = 6, < 0
anim = 9094
postype = p1
pos = 0,0
sprpriority = 3
ownpal = 1
ignorehitpause = 1
removeongethit = 1



; Air Light Kick
;---------------

[Statedef 700]
Type = A
MoveType = A
Physics = A
anim = 700
sprpriority = 2
ctrl = 0
juggle = 10

[state 700, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 700, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 700, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = light
air.animtype = back
priority = 4, Hit
damage = 15 + 5*var(20),0
pausetime = 8, 8
guard.pausetime = 8, 8
sparkno = s4100
guard.sparkno = s4210
sparkxy = 0,-25
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 4
ground.hittime = 16
guard.slidetime = 4
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = -3
guard.velocity = -3
air.velocity = -1.3, -3
getpower = 20, 2
givepower = 10, 0



; Air Medium Kick
;----------------

[Statedef 710]
Type = A
MoveType = A
Physics = A
anim = 710
sprpriority = 2
ctrl = 0
juggle = 10

[state 710, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 0
channel = 2

[state 710, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 710, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = medium
air.animtype = back
priority = 4, Hit
damage = 30 + 10*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4110
guard.sparkno = s4210
sparkxy = 0,-80
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 5
ground.hittime = 16
guard.slidetime = 6
guard.hittime = 16
guard.ctrltime = 16
air.hittime = 32
ground.velocity = -3.5
guard.velocity = -3.5
air.velocity = -1.3, -3
getpower = 50, 5
givepower = 25, 0



; Air Down Kick
;--------------

[Statedef 720]
Type = A
MoveType = A
Physics = A
anim = 720
sprpriority = 2
ctrl = 0
juggle = 10

[state 720, kick sound]
type = PlaySnd
trigger1 = AnimElem = 9
value = 140, 1
channel = 2

[state 720, voice]
type = PlaySnd
trigger1 = AnimElem = 11
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 720, hit def 1]
type = HitDef
triggerall = !movecontact
trigger1 = AnimElem = 11
trigger2 = AnimElem = 12
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = hard
air.animtype = back
priority = 4, Hit
damage = 55 + 50*var(20),0
pausetime = 12, 12
guard.pausetime = 17, 17
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-50
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = trip
air.type = low
guard.slidetime = 8
guard.hittime = 18
guard.ctrltime = 18
air.hittime = 37
guard.velocity = -4
air.velocity = -2, 20
fall = 1
air.fall = 1
down.bounce = 1
fall.envshake.time = 30
fall.envshake.ampl = -4
getpower = 90, 9
givepower = 45, 0



; Air Fierce Kick
;----------------

[Statedef 730]
Type = A
MoveType = A
Physics = A
anim = 730
sprpriority = 2
ctrl = 0
juggle = 10

[state 730, kick sound]
type = PlaySnd
trigger1 = AnimElem = 3
value = 140, 1
channel = 2

[state 730, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 730, hit def]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
hitflag = MAF
guardflag = HA
animtype = medium
air.animtype = back
priority = 7, Hit
damage = 55 + 50*var(20),0
pausetime = 12, 12
guard.pausetime = 12, 12
sparkno = s4120
guard.sparkno = s4210
sparkxy = 0,-10
hitsound = s150, var(15)
guardsound = s150, var(15)
ground.type = high
ground.slidetime = 8
ground.hittime = 14
guard.slidetime = 8
guard.hittime = 14
guard.ctrltime = 14
air.hittime = 37
ground.velocity = -4
guard.velocity = -4
air.velocity = -4, -3
getpower = 90, 9
givepower = 45, 0



;==============================================================================================
;
; NAKORURU'S THROWS
;
;==============================================================================================

; Hand Throw
;-----------
; Attempt
;--------
[Statedef 820]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 820, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = s155, 0
snap = 15,0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 821
P2StateNo = 825

[State 820, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 215

; Throw
;------
[Statedef 821]
Type = S
MoveType = A
Physics = S
anim = 821
sprpriority = 2
velset = 0,0
ctrl = 0

[State 821, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 821, turn]
type = turn
trigger1 = AnimElem = 3

[State 821, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = 0,-85

[State 821, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = 0,-95

[State 821, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = 75,-100

[State 821, life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
value = -55 - var(20)*15

[state 821, power]
type = PowerAdd
trigger1 = AnimElem = 4
value = 80 + var(20)*20

[state 821, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 8
value = 40 + var(20)*10

[state 821, voice]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 821, air sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 100, 1
channel = 1

[State 821, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 0
ctrl = 1

; Enemy Thrown
;-------------
[Statedef 825]
Type = A
MoveType = H
Physics = N
sprpriority = 3
velset = 0,0
ctrl = 0

[State 825, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 825

[State 825, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 825, velocity]
type = velset
trigger1 = time = 16
x = 4
y = -2

[State 825, gravity]
type = Gravity
trigger1 = time > 16

[State 825, end state]
type = SelfState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 5100



; Kick Throw 1
;-------------
; (Attempt)
;----------
[Statedef 830]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 820, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = -1, 0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 831
P2StateNo = 835

[State 830, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 315

; (Throw)
;--------
[Statedef 831]
Type = S
MoveType = A
Physics = N
anim = 831
sprpriority = 2
velset = 0,0
ctrl = 0

[State 831, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 831, horyzontal move]
type = PosAdd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
x = 20

[State 831, pos set mid]
type = PosSet
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
y = target, const(size.mid.pos.y)

[State 831, pos set head]
type = PosSet
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
y = target, const(size.head.pos.y)

[State 831, target bind]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = time = 1
time = 1
pos = const(size.ground.front) + (target, const(size.ground.front)), 0

[State 831, hit spark]
type = Explod
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
trigger3 = AnimElem = 6
anim = 4100
pos = const(size.ground.front) + 28*(AnimElem = 3), 0 - 55*(AnimElem = 2) - 65*(AnimElem = 3)
ontop = 1
ownpal = 1

[state 831, hit randomizer]
type = VarRandom
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
trigger3 = AnimElem = 5
v = 15
range = 0,4

[state 831, randomize healthy voice]
type = VarRandom
trigger1 = AnimElem = 5
v = 18
range = 0,3

[state 831, randomize low life voice]
type = VarRandom
trigger1 = AnimElem = 5
v = 19
range = 4,5

[state 831, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 831, hit sound]
type = PlaySnd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
trigger3 = AnimElem = 6
value = 150, var(15)
channel = 2

[State 831, reduce enemy life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
value = -55 - var(20)*15

[state 831, power]
type = PowerAdd
trigger1 = AnimElem = 6
value = 80 + var(20)*20

[state 831, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
value = 40 + var(20)*10

[State 831, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 832

; (Air)
;------
[Statedef 832]
Type = A
MoveType = I
Physics = A
anim = 832
sprpriority = 2
velset = -3, -9.5
ctrl = 0

[State 832, null]
type = null
trigger1 = time = 0

; (Enemy Thrown)
;--------------
[Statedef 835]
Type = A
MoveType = H
Physics = N
sprpriority = -1
velset = 0,0
ctrl = 0

[State 835, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 835

[State 835, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 835, velocity]
type = velset
trigger1 = AnimTime = 0
x = -3
y = -7

[State 835, end state]
type = SelfState
trigger1 = AnimTime = 0
value = 5050



; Air Throw
;----------
; Attempt
;--------
[Statedef 840]
Type = A
MoveType = A
Physics = A
anim = 840
sprpriority = 2
ctrl = 0

[State 840, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = A, NT
hitflag = A
priority = 4, Miss
air.animtype = hard
sparkno = -1
hitsound = s155, 0
air.type = low
snap = 50
P2facing = 1
P1StateNo = 841
P2StateNo = 845

[State 840, end state]
type = ChangeState
trigger1 = AnimTime = 0
value = 620


; Dive
;------
[Statedef 841]
Type = A
MoveType = A
Physics = N
anim = 841
sprpriority = 2
velset = 0,0
ctrl = 0

[State 841, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 841, vel set]
type = velset
trigger1 = AnimElem = 7
y = 20

[State 841, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 1
pos = 50, -75

[State 841, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = 7, -28

[State 841, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = -30, -50

[State 841, bind 4]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = -11, -85

[State 841, bind 5]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
pos = 31, -75

[State 841, bind 6]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 6
pos = 12, -6

[State 841, bind 7]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
pos = 0, 10

[state 841, voice]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[State 841, end state]
type = ChangeState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 842


; Knock Ground
;-------------
[Statedef 842]
Type = A
MoveType = A
Physics = N
sprpriority = 2
ctrl = 0

[State 842, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 842, pos set]
type = PosSet
trigger1 = Time = 0
y = -10

[State 842, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 842, shake]
type = EnvShake
trigger1 = Time = 0
time = 30
ampl = -8

[state 842, knock ground sound]
type = PlaySnd
trigger1 = time = 0
value = F7, 2
channel = 1

[State 842, hit spark]
type = Explod
trigger1 = time = 0
anim = 4110
pos = 0, -10
ontop = 1
ownpal = 1

[State 842, enemy life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = Time = 0
value = -90 + -15*var(20)

[State 842, power]
type = PowerAdd
trigger1 = Time = 0
value = 125 + 20*var(20)

[State 842, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = Time = 0
value = 67 + 10*var(20)

[State 842, end state]
type = ChangeState
trigger1 = Time = 7
value = 843

; Jump Back
;----------
[Statedef 843]
Type = A
MoveType = I
Physics = A
anim = 843
sprpriority = 1
velset = -5,-5
ctrl = 0

[State 843, jump sound]
type = PlaySnd
trigger1 = time = 0
value = 100, 1
channel = 1

[State 843, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

; Enemy Falling
;--------------
[Statedef 845]
Type = A
MoveType = H
Physics = N
sprpriority = 1
ctrl = 0

[State 845, animation]
type = ChangeAnim2
trigger1 = time = 0
value = 845

[State 845, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 845, screen bound]
type = ScreenBound
trigger1 = 1
movecamera = 0,0

[State 845, end state]
type = ChangeState
trigger1 = vel y > 0
trigger1 = pos y >= -ceil(vel y)
value = 846

; Enemy Hitting The Ground
;-------------------------
[Statedef 846]
Type = S
MoveType = H
Physics = S
sprpriority = 1
ctrl = 0

[State 846, vel set]
type = VelSet
trigger1 = Time = 0
y = 0

[State 846, pos set]
type = PosSet
trigger1 = Time = 0
y = 0

[State 846, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 846, vel set]
type = VelSet
trigger1 = time = 7
x = -1

[State 846, end state]
type = SelfState
trigger1 = Time = 7
value = 5100



; Sword Throw
;------------
; (Attempt)
;----------
[Statedef 860]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 860, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = s155, 0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 861
P2StateNo = 865

[State 860, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 225

; (Throw)
;--------
[Statedef 861]
Type = S
MoveType = A
Physics = N
anim = 861
sprpriority = 2
velset = 0,0
ctrl = 0

[State 861, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 861, turn]
type = turn
trigger1 = time = 0 && command = "holdback"

[State 861, enemy facing]
type = TargetFacing
triggerall = NumTarget > 0
trigger1 = time = 0
value = -1

[State 861, bind 1]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 1
pos = 28,0

[State 861, bind 2]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 2
pos = -2,-70

[State 861, bind 3]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
pos = -24,-40

[State 861, bind 4]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
pos = 0,0

[State 861, bind 5]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
pos = 14,0

[State 861, bind 6]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 6
pos = 30,0

[State 861, life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
value = -55 - var(20)*15

[state 861, power]
type = PowerAdd
trigger1 = AnimElem = 7
value = 80 + var(20)*20

[state 861, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 7
value = 40 + var(20)*10

[state 861, voice]
type = PlaySnd
trigger1 = AnimElem = 7
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 861, slash sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 110, var(17)
channel = 1

[state 861, hit sound]
type = PlaySnd
trigger1 = AnimElem = 7
value = 120, var(15)
channel = 2

[State 861, hit spark]
type = Explod
trigger1 = AnimElem = 7
anim = 4010
pos = 30, -10
ontop = 1
ownpal = 1

[State 861, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 832

; (Enemy Thrown)
;--------------
[Statedef 865]
Type = S
MoveType = H
Physics = N
sprpriority = -1
velset = 0,0
ctrl = 0

[State 865, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 865

[State 865, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 865, vel set]
type = VelSet
trigger1 = AnimTime = 0
x = -2

[State 865, end state]
type = SelfState
trigger1 = AnimTime = 0
value = 5101



; Punching Throw
;---------------
; (Attempt)
;----------
[Statedef 870]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 870, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = -1, 0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 871
P2StateNo = 875

[State 870, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 205

; (Throw)
;--------
[Statedef 871]
Type = S
MoveType = A
Physics = N
anim = 871
sprpriority = 2
velset = 0,0
ctrl = 0

[State 871, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 871, step forward]
type = PosAdd
trigger1 = time = 0
x = 12
y = -16

[State 871, bind]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = AnimElem = 1
pos = 16,16

[State 871, hit spark 1]
type = Explod
trigger1 = AnimElem = 3
trigger2 = AnimElem = 7
trigger3 = AnimElem = 11
trigger4 = AnimElem = 15
anim = 4100
pos = 20, -40
ontop = 1
ownpal = 1

[State 871, hit spark 2]
type = Explod
trigger1 = AnimElem = 18
anim = 4110
pos = 15, -32
ontop = 1
ownpal = 1

[state 871, hit randomizer]
type = VarRandom
trigger1 = AnimElem = 2
trigger2 = AnimElem = 6
trigger3 = AnimElem = 10
trigger4 = AnimElem = 14
trigger5 = AnimElem = 17
v = 15
range = 0,4

[state 871, randomize healthy voice]
type = VarRandom
trigger1 = AnimElem = 2
trigger2 = AnimElem = 6
trigger3 = AnimElem = 10
trigger4 = AnimElem = 14
trigger5 = AnimElem = 17
v = 18
range = 0,3

[state 871, randomize low life voice]
type = VarRandom
trigger1 = AnimElem = 2
trigger2 = AnimElem = 6
trigger3 = AnimElem = 10
trigger4 = AnimElem = 14
trigger5 = AnimElem = 17
v = 19
range = 4,5

[state 871, voice]
type = PlaySnd
trigger1 = AnimElem = 3
trigger2 = AnimElem = 7
trigger3 = AnimElem = 11
trigger4 = AnimElem = 15
trigger5 = AnimElem = 18
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 871, hit sound]
type = PlaySnd
trigger1 = AnimElem = 3
trigger2 = AnimElem = 7
trigger3 = AnimElem = 11
trigger4 = AnimElem = 15
trigger5 = AnimElem = 18
value = 150, var(15)
channel = 2

[State 871, reduce enemy life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 3
trigger2 = AnimElem = 7
trigger3 = AnimElem = 11
trigger4 = AnimElem = 15
value = -10 - var(20)*3
kill = 0

[State 871, reduce enemy life 2]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 18
value = -15 - var(20)*3

[state 871, power]
type = PowerAdd
trigger1 = AnimElem = 5
value = 80 + var(20)*20

[state 871, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
value = 40 + var(20)*10

[State 871, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 832

; (Enemy Thrown)
;--------------
[Statedef 875]
Type = S
MoveType = H
Physics = N
sprpriority = -1
velset = 0,0
ctrl = 0

[State 875, animation]
type = ChangeAnim2
trigger1 = Time = 0
value = 875

[State 875, ghost]
type = PlayerPush
trigger1 = 1
value = 0

[State 875, vel set]
type = VelSet
trigger1 = AnimTime = 0
x = -4
y = -6

[State 875, end state]
type = SelfState
trigger1 = AnimTime = 0
value = 5050



; Kick Throw 2
;-------------
; (Attempt)
;----------
[Statedef 880]
Type = S
MoveType = A
Physics = S
anim = 820
ctrl = 0

[State 880, hit def]
type = HitDef
trigger1 = AnimElem = 1
attr = S, NT
hitflag = M
priority = 4, Miss
sparkno = -1
sparkxy = (FrontEdgeBodyDist - FrontEdgeDist),-55
hitsound = -1, 0
ground.type = high
numhits = 0
P2facing = 1
P1StateNo = 881
P2StateNo = 835

[State 880, end state]
type = ChangeState
trigger1 = Animtime = 0
value = 325

; (Throw)
;--------
[Statedef 881]
Type = S
MoveType = A
Physics = N
anim = 881
sprpriority = 2
velset = 0,0
ctrl = 0

[State 881, invincibility]
type = NotHitBy
trigger1 = 1
value = SCA

[State 881, horyzontal move]
type = PosAdd
trigger1 = AnimElem = 4
trigger2 = AnimElem = 5
x = 20

[State 881, horyzontal move]
type = PosAdd
trigger1 = AnimElem = 6
x = 50

[State 881, pos set mid]
type = PosSet
triggerall = NumTarget > 0
trigger1 = AnimElem = 4
y = target, const(size.mid.pos.y)

[State 881, pos set head]
type = PosSet
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
y = target, const(size.head.pos.y)

[State 881, target bind]
type = TargetBind
triggerall = NumTarget > 0
trigger1 = time = 1
time = 1
pos = const(size.ground.front) + (target, const(size.ground.front)), 0

[State 881, target facing]
type = TargetFacing
triggerall = NumTarget > 0
trigger1 = AnimElem = 6
value = 1

[State 881, hit spark]
type = Explod
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
trigger3 = AnimElem = 6
anim = 4100
pos = const(size.ground.front) + 28*(AnimElem = 3) - 50*(AnimElem = 6), 0 - 55*(AnimElem = 2) - 65*(AnimElem = 3)
ontop = 1
ownpal = 1

[state 881, hit randomizer]
type = VarRandom
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
trigger3 = AnimElem = 5
v = 15
range = 0,4

[state 881, randomize healthy voice]
type = VarRandom
trigger1 = AnimElem = 5
v = 18
range = 0,3

[state 881, randomize low life voice]
type = VarRandom
trigger1 = AnimElem = 5
v = 19
range = 4,5

[state 881, voice]
type = PlaySnd
trigger1 = AnimElem = 6
value = 0, ifelse(life > 250,var(18), var(19))
channel = 0

[state 881, hit sound]
type = PlaySnd
trigger1 = AnimElem = 2
trigger2 = AnimElem = 3
trigger3 = AnimElem = 6
value = 150, var(15)
channel = 2

[State 881, reduce enemy life]
type = TargetLifeAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
value = -55 - var(20)*15

[state 881, power]
type = PowerAdd
trigger1 = AnimElem = 6
value = 80 + var(20)*20

[state 881, enemy power]
type = TargetPowerAdd
triggerall = NumTarget > 0
trigger1 = AnimElem = 5
value = 40 + var(20)*10

[State 881, change state]
type = ChangeState
trigger1 = AnimTime = 0
value = 882

; (Air)
;------
[Statedef 882]
Type = A
MoveType = I
Physics = A
anim = 882
sprpriority = 2
velset = 3, -9.5
ctrl = 0

[State 882, null]
type = null
trigger1 = time = 0
