;==============================================================================================
;
; COMMANDS DEFINITION
;
;==============================================================================================

;-| Default Values |---------------------------------------------------------------------------

[Defaults]
command.time = 15
command.buffer.time = 1


;-| Single Button |----------------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


;-| Hold Direction |---------------------------------------------------------------------------

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;-| Hold Button |------------------------------------------------------------------------------

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1


;-| CPU |--------------------------------------------------------------------------------------

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+a
time = 1


;-| Super Motions |----------------------------------------------------------------------------

[Command]
name 	= "super_combo_x"
command = ~D, DF, F, D, DF, F, x
time 	= 40

[Command]
name 	= "super_combo_y"
command = ~D, DF, F, D, DF, F, y
time 	= 40

[Command]
name 	= "super_combo_z"
command = ~D, DF, F, D, DF, F, z
time 	= 40

[Command]
name 	= "ererushi_kamui_rimuse_x"
command = ~D, DF, F, DF, D, DB, B, x
time 	= 40

[Command]
name 	= "ererushi_kamui_rimuse_y"
command = ~D, DF, F, DF, D, DB, B, y
time 	= 40

[Command]
name 	= "ererushi_kamui_rimuse_z"
command = ~D, DF, F, DF, D, DB, B, z
time 	= 40

[Command]
name 	= "nubeki_kamui_shikite_x"
command = ~D, DB, B, DB, D, DF, F, x
time 	= 40

[Command]
name 	= "nubeki_kamui_shikite_y"
command = ~D, DB, B, DB, D, DF, F, y
time 	= 40

[Command]
name 	= "nubeki_kamui_shikite_z"
command = ~D, DB, B, DB, D, DF, F, z
time 	= 40

[Command]
name	= "rage_mode"
command = x+y+z
time = 20


;-| Special Motions |--------------------------------------------------------------------------

[Command]
name 	= "hcb_hcb_a"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, a
time 	= 40

[Command]
name 	= "hcb_hcb_b"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, b
time 	= 40

[Command]
name 	= "hcb_hcb_c"
command = ~F, DF, D, DB, B, F, DF, D, DB, B, c
time 	= 40

[Command]
name 	= "dp_x"
command = ~F, D, DF, x
time 	= 20

[Command]
name 	= "dp_y"
command = ~F, D, DF, y
time 	= 20

[Command]
name 	= "dp_z"
command = ~F, D, DF, z
time 	= 20

[Command]
name 	= "dp_a"
command = ~F, D, DF, a
time 	= 20

[Command]
name 	= "dp_b"
command = ~F, D, DF, b
time 	= 20

[Command]
name 	= "dp_c"
command = ~F, D, DF, c
time 	= 20

[Command]
name 	= "hcf_a"
command = ~B, DB, D, DF, F, a
time 	= 20

[Command]
name 	= "hcf_b"
command = ~B, DB, D, DF, F, b
time 	= 20

[Command]
name 	= "hcf_c"
command = ~B, DB, D, DF, F, c
time 	= 20

[Command]
name 	= "hcb_x"
command = ~F, DF, D, DB, B, x
time 	= 20

[Command]
name 	= "hcb_y"
command = ~F, DF, D, DB, B, y
time 	= 20

[Command]
name 	= "hcb_z"
command = ~F, DF, D, DB, B, z
time 	= 20

[Command]
name 	= "hcb_a"
command = ~F, DF, D, DB, B, a
time 	= 20

[Command]
name 	= "hcb_b"
command = ~F, DF, D, DB, B, b
time 	= 20

[Command]
name 	= "hcb_c"
command = ~F, DF, D, DB, B, c
time 	= 20

[Command]
name 	= "qcf_x"
command = ~D, DF, F, x
time 	= 15

[Command]
name 	= "qcf_y"
command = ~D, DF, F, y
time 	= 15

[Command]
name 	= "qcf_z"
command = ~D, DF, F, z
time 	= 15

[Command]
name 	= "qcf_a"
command = ~D, DF, F, a
time 	= 15

[Command]
name 	= "qcf_b"
command = ~D, DF, F, b
time 	= 15

[Command]
name 	= "qcf_c"
command = ~D, DF, F, c
time 	= 15

[Command]
name 	= "qcb_x"
command = ~D, DB, B, x
time 	= 15

[Command]
name 	= "qcb_y"
command = ~D, DB, B, y
time 	= 15

[Command]
name 	= "qcb_z"
command = ~D, DB, B, z
time 	= 15

[Command]
name 	= "qcb_a"
command = ~D, DB, B, a
time 	= 15

[Command]
name 	= "qcb_b"
command = ~D, DB, B, b
time 	= 15

[Command]
name 	= "qcb_c"
command = ~D, DB, B, c
time 	= 15

[Command]
name 	= "qcbf_a"
command = ~D, DB, B, F, a
time 	= 20

[Command]
name 	= "qcbf_b"
command = ~D, DB, B, F, b
time 	= 20

[Command]
name 	= "qcbf_c"
command = ~D, DB, B, F, c
time 	= 20

[Command]
name 	= "qcd_x"
command = ~B, DB, D, x
time 	= 15

[Command]
name 	= "qcd_y"
command = ~B, DB, D, y
time 	= 15

[Command]
name 	= "qcd_z"
command = ~B, DB, D, z
time 	= 15

[Command]
name 	= "suicide"
command = ~B, F, D, s
time 	= 20


;-| Double Tap |-------------------------------------------------------------------------------

[Command]
name 	= "FF"     ; Required (do not remove)
command = F, F
time 	= 10

[Command]
name 	= "BB"     ; Required (do not remove)
command = B, B
time 	= 10

[Command]
name 	= "DU"
command = $D, $U
time 	= 10


;-| 2/3 Button Combination |-------------------------------------------------------------------

[Command]
name 	= "recovery";Required (do not remove)
command = x+a
time 	= 1

[Command]
name 	= "recovery"
command = y+b
time 	= 1

[Command]
name 	= "recovery"
command = z+c
time 	= 1

[Command]
name 	= "dodge"
command = x+a
time 	= 1

[Command]
name 	= "dodge"
command = y+b
time 	= 1

[Command]
name 	= "dodge"
command = z+c
time 	= 1



;==============================================================================================
;
; STATE ENTRY
;
;==============================================================================================

[StateDef -1]

;----------------------------------------------------------------------------------------------
; AI Mode
;----------------------------------------------------------------------------------------------

; AI Initialisation
;------------------

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742


; AI Recovery
;------------

[State -1, AI life recovery]
type = ChangeState
value = 70
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (StateNo = 5110) && (time > 8) && (random = [0, 400))

[State -1, AI roll forward recovery]
type = ChangeState
value = 76
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (FrontEdgeBodyDist >= 50) && (StateNo = 5110) && (time > 8) && (random = [400, 500))

[State -1, AI roll back recovery]
type = ChangeState
value = 78
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
trigger1 = (BackEdgeBodyDist >= 50) && (StateNo = 5110) && (time > 8) && (random = [500, 700))


; AI Defensive Moves
;-------------------

[State -1, AI dodge forward]
type = ChangeState
value = 66
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType = A) && (P2BodyDist x = [0, 50]) && (FrontEdgeDist >= 150)
triggerall = (enemy, HitDefAttr != SCA, HA, HT, HP)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 200))

[State -1, AI dodge back]
type = ChangeState
value = 67
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType = A) && (P2BodyDist x = [0, 50]) && (BackEdgeDist >= 150)
triggerall = (enemy, HitDefAttr != SCA, HA, HT, HP)
trigger1 = (StateType = S) && (ctrl) && (random = [200, 400))

[State -1, AI dodge neutral]
type = ChangeState
value = 60
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType = A) && (P2BodyDist x = [0, 50])
triggerall = (enemy, HitDefAttr != SCA, HA, HT, HP)
trigger1 = (StateType = S) && (ctrl) && (random = [400, 600))

[State -1, AI dodge attack]
type = ChangeState
value = 285
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 40])
trigger1 = (StateNo = 60) && (time >= 20) && (random = [0, 800))


; AI Rage Explosion Mode
;-----------------------

[State -1, AI rage explosion mode]
type = ChangeState
value = 3500
triggerall = (var(59) = 1) && (var(0) = 0) && (var(20) = 1) && (var(22) = 0)
triggerall = (P2MoveType != A) && (RoundState = 2) && (Power >= 1000)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 500))

[State -1, AI super slash]
type = ChangeState
value = 3600
triggerall = (var(59) = 1) && (var(0) = 0) && (var(22) = 1)
triggerall = (P2StateType != L) && (P2MoveType != A) && (RoundState = 2)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 200))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [0, 600))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [0, 600))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [0, 600))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [0, 600))


; AI Supers
;----------

[State -1, AI nubeki kamui shikite - lv 3]
type = ChangeState
value = 3203 + 257*var(0)
triggerall = (var(59) = 1) && (var(0) != 10) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x >= 100)
triggerall = (power >= 3000)
trigger1 = (StateType = S) && (ctrl) && (random = [100, 200))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [0, 250))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [0, 250))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [0, 250))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [0, 250))
trigger6 = (StateNo = 8210) && (MoveHit) && (random = [0, 500))

[State -1, AI nubeki kamui shikite - lv 2]
type = ChangeState
value = 3202 + 257*var(0)
triggerall = (var(59) = 1) && (var(0) != 10) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x >= 100)
triggerall = (power >= 2000)
trigger1 = (StateType = S) && (ctrl) && (random = [50, 100))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [0, 150))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [0, 150))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [0, 150))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [0, 150))
trigger6 = (StateNo = 8210) && (MoveHit) && (random = [0, 300))

[State -1, AI nubeki kamui shikite - lv 1]
type = ChangeState
value = 3201 + 257*var(0)
triggerall = (var(59) = 1) && (var(0) != 10) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x >= 100)
triggerall = (power >= 1000)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 50))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [0, 100))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [0, 100))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [0, 100))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [0, 100))
trigger6 = (StateNo = 8210) && (MoveHit) && (random = [0, 100))

[State -1, AI ererushi kamui rimuse - lv 3]
type = ChangeState
value = 3103 + 3*(StateType = A)
triggerall = (var(59) = 1) && (var(0) != 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2StateType != L) && (P2BodyDist x = [70, 200]) && (P2StateNo != 5050)
triggerall = (power >= 3000)
trigger1 = (ctrl) && (random = [100, 200))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [250, 500))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [250, 500))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [250, 500))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [250, 500))
trigger6 = (StateNo = 620) && (MoveHit) && (random = [0, 300))

[State -1, AI ererushi kamui rimuse - lv 2]
type = ChangeState
value = 3102 + 3*(StateType = A)
triggerall = (var(59) = 1) && (var(0) != 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2StateType != L) && (P2BodyDist x = [70, 200]) && (P2StateNo != 5050)
triggerall = (power >= 2000)
trigger1 = (ctrl) && (random = [50, 100))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [150, 300))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [150, 300))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [150, 300))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [150, 300))
trigger6 = (StateNo = 620) && (MoveHit) && (random = [0, 300))

[State -1, AI ererushi kamui rimuse - lv 1]
type = ChangeState
value = 3101 + 3*(StateType = A)
triggerall = (var(59) = 1) && (var(0) != 20) && (RoundState = 2) && (P2StateNo != 5050)
triggerall = (P2MoveType != A) && (P2StateType != L) && (P2BodyDist x = [70, 200])
triggerall = (power >= 1000)
trigger1 = (ctrl) && (random = [0, 50))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [100, 200))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [100, 200))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [100, 200))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [100, 200))
trigger6 = (StateNo = 620) && (MoveHit) && (random = [0, 300))

[State -1, AI super combo - lv 3]
type = ChangeState
value = 3003
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x = [0, 30])
triggerall = (power >= 3000)
trigger1 = (StateType = S) && (ctrl) && (random = [200, 300))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [500, 900))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [500, 900))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [500, 900))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [500, 900))

[State -1, AI super combo - lv 2]
type = ChangeState
value = 3002
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x = [0, 30])
triggerall = (power >= 2000)
trigger1 = (StateType = S) && (ctrl) && (random = [100, 200))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [300, 500))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [300, 500))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [300, 500))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [300, 500))

[State -1, AI super combo - lv 1]
type = ChangeState
value = 3001
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != A) && (P2BodyDist x = [0, 30])
triggerall = (power >= 1000)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 100))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [200, 400))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [200, 400))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [200, 400))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [200, 400))


; Air attacks
;------------

[State -1, AI air throw]
type = ChangeState
value = 840
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,10]) && (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [0, 300))

[State -1, AI air light slash]
type = ChangeState
value = 600
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,60]) && (P2bodydist y = [-70,-30])
trigger1 = (StateType = A) && (ctrl) && (random = [0, 100))

[State -1, AI air light kick]
type = ChangeState
value = 700
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,45]) && (P2bodydist y = [-50,0])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [100, 200))

[State -1, AI air medium slash]
type = ChangeState
value = 610
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,70]) && (P2bodydist y = [-90,-50])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [200, 300))
trigger2 = (StateNo = 600) && (MoveHit) && (random = [0, 300))
trigger3 = (StateNo = 700) && (MoveHit) && (random = [0, 300))

[State -1, AI air medium kick]
type = ChangeState
value = 710
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,20]) && (P2bodydist y = [-115,-45])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [300, 400))
trigger2 = (StateNo = 600) && (MoveHit) && (random = [300, 600))
trigger3 = (StateNo = 700) && (MoveHit) && (random = [300, 600))

[State -1, AI air fierce slash]
type = ChangeState
value = 620
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,45]) && (P2bodydist y = [-135,-25])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [400, 500))
trigger2 = (StateNo = 600) && (MoveHit) && (random = [600, 800))
trigger3 = (StateNo = 610) && (MoveHit) && (random = [0, 500))
trigger4 = (StateNo = 700) && (MoveHit) && (random = [600, 800))
trigger5 = (StateNo = 710) && (MoveHit) && (random = [0, 500))

[State -1, AI air fierce kick]
type = ChangeState
value = 730
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,50]) && (P2bodydist y = [-60,0])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [500, 600))

[State -1, AI air down kick]
type = ChangeState
value = 720
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2bodydist x = [0,25]) && (P2bodydist y = [-75,-30])
triggerall = (StateType = A)
trigger1 = (ctrl) && (random = [600, 700))

; Crouching attacks
;------------------

[State -1, AI crouch light slash]
type = ChangeState
value = 400
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = C) && (ctrl) && (random = [0,150))

[State -1, AI crouch light kick]
type = ChangeState
value = 500
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 40])
trigger1 = (StateType = C) && (ctrl) && (random = [150,300))
trigger2 = (StateNo = 400) && (MoveHit) && (random = [0,900))

[State -1, AI crouch medium slash]
type = ChangeState
value = 410
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 50])
trigger1 = (StateType = C) && (ctrl) && (random = [150,300))
trigger2 = (StateNo = 500) && (MoveHit) && (random = [0,900))

[State -1, AI crouch medium kick]
type = ChangeState
value = 510
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 65])
trigger1 = (StateType = C) && (ctrl) && (random = [450,650))
trigger2 = (StateNo = 410) && (MoveHit) && (random = [0,900))

[State -1, crouch fierce slash]
type = ChangeState
value = 420
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = C) && (ctrl) && (random = [300,450))
trigger2 = (StateNo = 510) && (MoveHit) && (random = [0,900))

[State -1, AI crouch fierce kick]
type = ChangeState
value = 520
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = C) && (ctrl) && (random = [650,850))
trigger2 = (StateNo = 420) && (MoveHit) && (random = [0,900))


; Standing normal attacks
;-----------------------

[State -1, AI sword throw]
type = ChangeState
value = 860
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,10]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [750, 790))

[State -1, AI hand throw]
type = ChangeState
value = 820
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,10]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [790, 830))

[State -1, AI punching throw]
type = ChangeState
value = 870
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,10]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [830, 870))

[State -1, AI kick throw]
type = ChangeState
value = 830
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,10]) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [870, 910))

[State -1, AI stand light slash]
type = ChangeState
value = 200
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))

[State -1, AI short light slash]
type = ChangeState
value = 205
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))

[State -1, AI stand light kick]
type = ChangeState
value = 300
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A)
trigger1 = (StateType = S) && (ctrl) && (random = [200, 250)) && (P2BodyDist x = [30, 60])
trigger2 = (StateNo = 200) && (MoveHit) && (random = [0, 900))
trigger3 = (StateNo = 205) && (MoveHit) && (random = [0, 900))

[State -1, AI short light kick]
type = ChangeState
value = 305
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [250, 350))

[State -1, AI stand medium slash]
type = ChangeState
value = 210
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 120])
trigger1 = (StateType = S) && (ctrl) && (random = [250, 300))
trigger2 = (StateNo = 300) && (MoveHit) && (random = [0, 900))
trigger3 = (StateNo = 305) && (MoveHit) && (random = [0, 900))

[State -1, AI short medium slash]
type = ChangeState
value = 215
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [350, 400))
trigger2 = (StateNo = 300) && (MoveHit) && (random = [0, 900))
trigger3 = (StateNo = 305) && (MoveHit) && (random = [0, 900))

[State -1, AI stand medium kick]
type = ChangeState
value = 310
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A)
trigger1 = (StateType = S) && (ctrl) && (random = [300, 350)) && (P2BodyDist x = (30, 60])
trigger2 = (StateNo = 210) && (MoveHit) && (random = [0, 900))
trigger3 = (StateNo = 215) && (MoveHit) && (random = [0, 900))

[State -1, AI short medium kick]
type = ChangeState
value = 315
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [350, 400))

[State -1, AI stand fierce slash]
type = ChangeState
value = 220
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A)
trigger1 = (StateType = S) && (ctrl) && (random = [350, 400)) && (P2BodyDist x = (30, 70])
trigger2 = (StateNo = 310) && (MoveHit) && (random = [0, 900)) && (P2BodyDist x = (0, 70])
trigger3 = (StateNo = 315) && (MoveHit) && (random = [0, 900)) && (P2BodyDist x = (0, 70])

[State -1, AI short fierce slash]
type = ChangeState
value = 225
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [400, 450))

[State -1, AI stand fierce kick]
type = ChangeState
value = 320
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (30, 50])
trigger1 = (StateType = S) && (ctrl) && (random = [400, 450))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [0, 900))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [0, 900))

[State -1, AI short fierce kick]
type = ChangeState
value = 325
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 30])
trigger1 = (StateType = S) && (ctrl) && (random = [450, 500))


; AI running attacks
;-------------------

[State -1, AI running light slash]
type = ChangeState
value = 250
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [0,200))

[State -1, AI running medium slash]
type = ChangeState
value = 260
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [200,600))

[State -1, AI running fierce slash]
type = ChangeState
value = 270
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [600,700))

[State -1, AI running kick]
type = ChangeState
value = 350
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [700,800))


; AI Pursuit Attacks
;-------------------

[State -1, AI pursuit slash]
type = ChangeState
value = 240
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateType = L) && (P2BodyDist x = [0, 20])
trigger1 = (StateType = S) && (ctrl) && (random = [0,500))


; Standing specials
;-------------------

[State -1, lela o chikiri]
type = ChangeState
value = 1400 + 10*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0,35])
triggerall = (P2StateType != A) && (P2StateType != L) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [500, 600))
trigger2 = (StateNo = 220) && (MoveHit) && (random = [400, 500))
trigger3 = (StateNo = 225) && (MoveHit) && (random = [400, 500))
trigger4 = (StateNo = 320) && (MoveHit) && (random = [400, 500))
trigger5 = (StateNo = 325) && (MoveHit) && (random = [400, 500))

[State -1, AI one cape twirl]
type = ChangeState
value = 1200 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType != A) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [600, 650))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [0, 250))
trigger3 = (StateNo = 220) && (MoveHit) && (random = [500, 550))
trigger4 = (StateNo = 225) && (MoveHit) && (random = [500, 550))
trigger5 = (StateNo = 320) && (MoveHit) && (random = [500, 550))
trigger6 = (StateNo = 325) && (MoveHit) && (random = [500, 550))

[State -1, AI two cape twirls]
type = ChangeState
value = 1210 + 2*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType != A) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [650, 700))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [250, 500))
trigger3 = (StateNo = 220) && (MoveHit) && (random = [550, 600))
trigger4 = (StateNo = 225) && (MoveHit) && (random = [550, 600))
trigger5 = (StateNo = 320) && (MoveHit) && (random = [550, 600))
trigger6 = (StateNo = 325) && (MoveHit) && (random = [550, 600))

[State -1, AI three cape twirls]
type = ChangeState
value = 1220 + 3*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (StateType != A) && (ctrl)
trigger1 = (P2BodyDist x < 50) && (random = [700, 750))
trigger2 = (P2BodyDist x > 100) && (enemy, numproj > 0) && (random = [500, 750))
trigger3 = (StateNo = 220) && (MoveHit) && (random = [600, 650))
trigger4 = (StateNo = 225) && (MoveHit) && (random = [600, 650))
trigger5 = (StateNo = 320) && (MoveHit) && (random = [600, 650))
trigger6 = (StateNo = 325) && (MoveHit) && (random = [600, 650))

[State -1, AI additional cape twirl]
type = ChangeState
value = 1250 + 2*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 50)) && (random <= 900)
trigger1 = (StateNo = 1200) && (animelem = 8, > 0) && (animelem = 10, <0)
trigger2 = (StateNo = 1211) && (animelem = 19, > 0) && (animelem = 21, <0)
trigger3 = (StateNo = 1222) && (animelem = 30, > 0) && (animelem = 32, <0)

[State -1, AI short lela mutsube]
type = ChangeState
value = 1100 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 60)) && (P2StateType = C || P2StateType = A)
trigger1 = (StateType != A) && (ctrl) && (random = [0,50))
trigger2 = (StateNo = 285) && (MoveHit) && (random = [0,100))

[State -1, AI medium lela mutsube]
type = ChangeState
value = 1110 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [60, 100)) && (P2StateType = C || P2StateType = A)
trigger1 = (StateType != A) && (ctrl) && (random = [0,50))
trigger2 = (StateNo = 320) && (MoveHit) && (random = [0,900))
trigger3 = (StateNo = 210) && (MoveHit) && (P2BodyDist x > 70) && (random = [0,100))
trigger4 = (StateNo = 220) && (MoveHit) && (P2BodyDist x > 70) && (random = [0,100))
trigger5 = (StateNo = 420) && (MoveHit) && (P2BodyDist x > 70) && (random = [0,100))

[State -1, AI long lela mutsube]
type = ChangeState
value = 1120 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x >= 100) && (P2StateType = C || P2StateType = A)
trigger1 = (StateType != A) && (ctrl) && (random = [0,50))

[State -1, AI short annu mutsube]
type = ChangeState
value = 1000 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [100, 60)) && (P2StateType = S)
trigger1 = (StateType != A) && (ctrl) && (random = [250,300))
trigger2 = (StateNo = 285) && (MoveHit) && (random = [400,500))

[State -1, AI medium annu mutsube]
type = ChangeState
value = 1010 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x = [0, 100)) && (P2StateType = S)
trigger1 = (StateType != A) && (ctrl) && (random = [300,350))
trigger2 = (StateNo = 320) && (MoveHit) && (random = [0,900))
trigger3 = (StateNo = 210) && (MoveHit) && (P2BodyDist x > 70) && (random = [400,500))
trigger4 = (StateNo = 220) && (MoveHit) && (P2BodyDist x > 70) && (random = [400,500))
trigger5 = (StateNo = 420) && (MoveHit) && (P2BodyDist x > 70) && (random = [400,500))

[State -1, AI long annu mutsube]
type = ChangeState
value = 1020 + 1*(var(20))
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x >= 150) && (P2StateType = S) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [0,50))


; Attacks with Mamahaha
;----------------------

[State -1, AI shichikapu etu brute]
type = ChangeState
value = 1500
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(7000), ParentDist x = (0, 70)
triggerall = helper(7000), pos y = [-132, -112]
triggerall = (P2BodyDist x >= 50) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [800,900))


; Attacks with Shikuruu
;----------------------

[State -1, AI Shikuruu air light slash]
type = ChangeState
value = 8250
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2bodydist x = [0,60]) && (P2bodydist y = [-105,-60])
triggerall = (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [0, 300))

[State -1, AI Shikuruu air medium slash]
type = ChangeState
value = 8255
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2bodydist x = [0,60]) && (P2bodydist y = [-105,-60])
triggerall = (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [300, 400))
trigger2 = (StateNo = 8250) && (MoveHit) && (random = [0, 600))

[State -1, AI Shikuruu air fierce slash]
type = ChangeState
value = 8260
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2bodydist x = [0,65]) && (P2bodydist y = [-35,-25])
triggerall = (P2StateType = A) && (P2MoveType != H)
trigger1 = (StateType = A) && (ctrl) && (random = [400, 600))
trigger2 = (StateNo = 8250) && (MoveHit) && (random = [600, 900))
trigger3 = (StateNo = 8255) && (MoveHit) && (random = [0, 900))

[State -1, AI Shikuruu crouch light slash]
type = ChangeState
value = 8230
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 55])
trigger1 = (StateType = C) && (ctrl) && (random = [0,250))

[State -1, AI Shikuruu crouch medium slash]
type = ChangeState
value = 8235
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 45])
trigger1 = (StateType = C) && (ctrl) && (random = [0,250))
trigger2 = (StateNo = 8250) && (MoveHit) && (random = [0, 600))

[State -1, AI Shikuruu crouch fierce slash]
type = ChangeState
value = 8240
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 55])
trigger1 = (StateType = C) && (ctrl) && (random = [250,600))
trigger2 = (StateNo = 8250) && (MoveHit) && (random = [600, 900))
trigger3 = (StateNo = 8255) && (MoveHit) && (random = [0, 900))

[State -1, AI Shikuruu running slash]
type = ChangeState
value = 8220
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = (0, 70])
trigger1 = (StateNo = 100) && (random = [0,600))

[State -1, AI Shikuruu stand light slash]
type = ChangeState
value = 8200
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 300))

[State -1, AI Shikuruu stand medium slash]
type = ChangeState
value = 8205
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [0, 300))
trigger2 = (StateNo = 8200) && (MoveHit) && (random = [0, 600))

[State -1, AI Shikuruu stand fierce slash]
type = ChangeState
value = 8210
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2MoveType != A) && (P2BodyDist x = [0, 70])
trigger1 = (StateType = S) && (ctrl) && (random = [300, 600))
trigger2 = (StateNo = 8200) && (MoveHit) && (random = [600, 900))
trigger3 = (StateNo = 8205) && (MoveHit) && (random = [0, 900))

[State -1, AI imeru shikite]
type = ChangeState
value = 8320 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (pos y <= -70) && (StateType = A) && (ctrl) && (random = [0,100))
trigger2 = (StateNo = 8210) && (MoveHit) && (random = [0, 400))

[State -1, AI kanto shikite]
type = ChangeState
value = 8310 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType = A) && (enemy, numproj = 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0,350))
trigger2 = (StateNo = 8210) && (MoveHit) && (random = [0, 100))

[State -1, AI myu shikite]
type = ChangeState
value = 8300 + var(20)
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (P2BodyDist x = [50, 200]) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0,350))
trigger2 = (StateNo = 8260) && (MoveHit) && (random = [100, 200))

[State -1, AI separate attack]
type = ChangeState
value = 8360 + (StateType = A)*5
ignorehitpause = 1
triggerall = (var(59) = 1) && (var(0) = 20) && (RoundState = 2)
triggerall = (MoveHit) && (random = [0, 50))
trigger1 = stateno = [8300, 8304]				; Myu   Shikite
trigger2 = vel y <= 0 && stateno = [8310, 8314]		; Kanto Shikite
trigger3 = stateno = [8320, 8321]				; Imeru Shikite

[State -1, AI epunkine shikite]
type = ChangeState
value = 2000
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = facing = helper(8000), facing		; Nako & Shikuruu face the same direction
triggerall = (P2BodyDist x >= 150) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [100,200))

[State -1, AI wolf pounce]
type = ChangeState
value = 90
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = helper(8000), ParentDist x = [-100, 100]	; Nako & Shikuruu are close
triggerall = helper(8000), BackEdgeBodyDist >= -20	; Shikuruu is inside the screen
triggerall = helper(8000), FrontEdgeBodyDist >= 0	; Shikuruu is inside the screen
triggerall = (P2BodyDist x >= 150) && (P2StateType != A) && (enemy, numproj = 0)
trigger1 = (StateType = S) && (ctrl) && (random = [200,400))

[State -1, AI off Shikuruu]
type = ChangeState
value = 95
triggerall = (var(59) = 1) && (var(0) = 20)
triggerall = StateNo != 95
trigger1 = roundstate != 2 && ctrl


; AI Misc Moves
;--------------

[State -1, AI concentrate]
type = ChangeState
value = 165
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2BodyDist x >= 160) && (enemy, numproj = 0)
trigger1 = (StateType != A) && (ctrl) && (power < 3000) && (random = [0, 200))

[State -1, AI taunt]
type = ChangeState
value = 195
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (P2StateNo = 195) && (P2BodyDist x >= 200)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 250))

[State -1, AI suicide]
type = ChangeState
value = 110
triggerall = (var(59) = 1) && (var(0) = 0) && (RoundState = 2)
triggerall = (life <= 50) && (enemy, life >= 800)
triggerall = (var(20) = 0) && (var(23) < 500)
trigger1 = (StateType != A) && (ctrl) && (random = [0,50))



;----------------------------------------------------------------------------------------------
; Miscellaneous
;----------------------------------------------------------------------------------------------

[State -1, SD]
type = ChangeState
value = 1900
triggerall = (var(59)) <= 0 && (var(0) = 0)
triggerall = (command = "hcb_hcb_a") || (command = "hcb_hcb_b") || (command = "hcb_hcb_c")
trigger1 = (StateType != A) && (ctrl)



;----------------------------------------------------------------------------------------------
; Attacking with Shikuruu
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Nubeki Kamui Shikite - Level 3
;-------------------------------
[State -1, nubeki kamui shikite 3]
type = ChangeState
value = 3203 + 257*var(0)
triggerall = command = "nubeki_kamui_shikite_z"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = var(59) <= 0 && RoundState = 2 && power >= 3000
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = stateno = 8200 && movecontact		; Shikuruu Stand  Light  Slash
trigger27 = stateno = 8205 && movecontact		; Shikuruu Stand  Med    Slash
trigger28 = stateno = 8210 && movecontact		; Shikuruu Stand  Fierce Slash
trigger29 = stateno = 8230 && movecontact		; Shikuruu Crouch Light  Slash
trigger30 = stateno = 8235 && movecontact		; Shikuruu Crouch Med    Slash
trigger31 = stateno = 8240 && movecontact		; Shikuruu Crouch Fierce Slash
trigger32 = stateno = 8220 && movecontact		; Shikuruu Running Slash
trigger33 = stateno = 8225 && movecontact		; Shikuruu Evade Attack

; Nubeki Kamui Shikite - Level 2
;-------------------------------
[State -1, nubeki kamui shikite 2]
type = ChangeState
value = 3202 + 257*var(0)
triggerall = command = "nubeki_kamui_shikite_y" || command = "nubeki_kamui_shikite_z"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = var(59) <= 0 && RoundState = 2 && power >= 2000
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = stateno = 8200 && movecontact		; Shikuruu Stand  Light  Slash
trigger27 = stateno = 8205 && movecontact		; Shikuruu Stand  Med    Slash
trigger28 = stateno = 8210 && movecontact		; Shikuruu Stand  Fierce Slash
trigger29 = stateno = 8230 && movecontact		; Shikuruu Crouch Light  Slash
trigger30 = stateno = 8235 && movecontact		; Shikuruu Crouch Med    Slash
trigger31 = stateno = 8240 && movecontact		; Shikuruu Crouch Fierce Slash
trigger32 = stateno = 8220 && movecontact		; Shikuruu Running Slash
trigger33 = stateno = 8225 && movecontact		; Shikuruu Evade Attack

; Nubeki Kamui Shikite - Level 1
;-------------------------------
[State -1, nubeki kamui shikite 1]
type = ChangeState
value = 3201 + 257*var(0)
triggerall = command = "nubeki_kamui_shikite_x" || command = "nubeki_kamui_shikite_y" || command = "nubeki_kamui_shikite_z"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = var(59) <= 0 && RoundState = 2 && power >= 1000
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = stateno = 8200 && movecontact		; Shikuruu Stand  Light  Slash
trigger27 = stateno = 8205 && movecontact		; Shikuruu Stand  Med    Slash
trigger28 = stateno = 8210 && movecontact		; Shikuruu Stand  Fierce Slash
trigger29 = stateno = 8230 && movecontact		; Shikuruu Crouch Light  Slash
trigger30 = stateno = 8235 && movecontact		; Shikuruu Crouch Med    Slash
trigger31 = stateno = 8240 && movecontact		; Shikuruu Crouch Fierce Slash
trigger32 = stateno = 8220 && movecontact		; Shikuruu Running Slash
trigger33 = stateno = 8225 && movecontact		; Shikuruu Evade Attack


;=================
; Special Attacks
;=================

; Epunkine Shikite
;-----------------
[State -1, epunkine shikite]
type = ChangeState
value = 2000
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcb_a"  || command = "hcb_b"  || command = "hcb_c"
triggerall = helper(8000), ParentDist x = [-50, 50]	; Nako & Shikuruu are close
triggerall = facing = helper(8000), facing		; Nako & Shikuruu face the same direction
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl

; Separate Attack
;----------------
[State -1, separate attack]
type = ChangeState
value = 8360 + (StateType = A)*5
ignorehitpause = 1
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "holdfwd"  || command = "holdback"
triggerall = command = "x"  || command = "y" || command = "z"
trigger1 = stateno = [8300, 8304]				; Myu   Shikite
trigger2 = vel y <= 0 && stateno = [8310, 8314]		; Kanto Shikite
trigger3 = stateno = [8320, 8321]				; Imeru Shikite

; Imeru Shikite
;--------------
[State -1, imeru shikite]
type = ChangeState
value = 8320 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = StateType = A && ctrl
trigger2 = stateno = 8250 && (MoveContact || time >= 6)	; Shikuruu Air Light  Slash
trigger3 = stateno = 8255 && (MoveContact || time >= 8)	; Shikuruu Air Med    Slash
trigger4 = stateno = 8260 && (MoveContact || time >= 10)	; Shikuruu Air Fierce Slash

; Kanto Shikite
;--------------
[State -1, kanto shikite]
type = ChangeState
value = 8310 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "dp_x"  || command = "dp_y" || command = "dp_z"
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand  Light  Slash
trigger3 = stateno = 8205 && movecontact	; Shikuruu Stand  Med    Slash
trigger4 = stateno = 8210 && movecontact	; Shikuruu Stand  Fierce Slash
trigger5 = stateno = 8230 && movecontact	; Shikuruu Crouch Light  Slash
trigger6 = stateno = 8235 && movecontact	; Shikuruu Crouch Med    Slash
trigger7 = stateno = 8240 && movecontact	; Shikuruu Crouch Fierce Slash
trigger8 = stateno = 8220 && movecontact	; Shikuruu Running Slash
trigger9 = stateno = 8225 && movecontact	; Shikuruu Evade Attack

; Myu Shikite
;------------
[State -1, myu shikite]
type = ChangeState
value = 8300 + var(20)
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand  Light  Slash
trigger3 = stateno = 8205 && movecontact	; Shikuruu Stand  Med    Slash
trigger4 = stateno = 8210 && movecontact	; Shikuruu Stand  Fierce Slash
trigger5 = stateno = 8230 && movecontact	; Shikuruu Crouch Light  Slash
trigger6 = stateno = 8235 && movecontact	; Shikuruu Crouch Med    Slash
trigger7 = stateno = 8240 && movecontact	; Shikuruu Crouch Fierce Slash
trigger8 = stateno = 8220 && movecontact	; Shikuruu Running Slash
trigger9 = stateno = 8225 && movecontact	; Shikuruu Evade Attack


;===============
; Martial Moves
;===============

; Evade Attack
;-------------
[State -1, Shikuruu evade attack]
type = ChangeState
value = 8225
triggerall = var(59) <= 0 && var(0) = 20
triggerall = (StateNo = 150 || StateNo = 152) && power >= 1000
trigger1 = command = "y" && command = "holdfwd"

; Crouch Light Slash
;-------------------
[State -1, Shikuruu crouch light slash]
type = ChangeState
value = 8230
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "x" && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Medium Slash
;--------------------
[State -1, Shikuruu crouch medium slash]
type = ChangeState
value = 8235
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "y" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand  Light Slash
trigger3 = stateno = 8230 && movecontact	; Shikuruu Crouch Light Slash
trigger4 = stateno = 8220 && movecontact	; Shikuruu Running Slash

; Crouch Fierce Slash
;--------------------
[State -1, Shikuruu crouch fierce slash]
type = ChangeState
value = 8240
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand Light Slash
trigger3 = stateno = 8205 && movecontact	; Shikuruu Stand Med   Slash
trigger4 = stateno = 8230 && movecontact	; Shikuruu Crouch Light Slash
trigger5 = stateno = 8235 && movecontact	; Shikuruu Crouch Med   Slash
trigger6 = stateno = 8220 && movecontact	; Shikuruu Running Slash

; Running Slash
;--------------
[State -1, Shikuruu running slash]
type = ChangeState
value = 8220
triggerall = var(59) <= 0 && var(0) = 20
triggerall = stateno = 100			; Running
trigger1 = command = "x"
trigger2 = command = "y"
trigger3 = command = "z"

; Overhead Slash
;----------------
[State -1, Shikuruu overhead slash]
type = ChangeState
value = 8215
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "y" && command = "holdfwd"
trigger1 = StateType = S && ctrl

; Stand Light Slash
;------------------
[State -1, Shikuruu stand light slash]
type = ChangeState
value = 8200
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "x"
trigger1 = StateType = S && ctrl

; Stand Medium Slash
;-------------------
[State -1, Shikuruu stand medium slash]
type = ChangeState
value = 8205
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "y"
trigger1 = StateType = S && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand  Light Slash
trigger3 = stateno = 8230 && movecontact	; Shikuruu Crouch Light Slash
trigger4 = stateno = 8220 && movecontact	; Shikuruu Running Slash

; Stand Fierce Slash
;-------------------
[State -1, Shikuruu stand fierce slash]
type = ChangeState
value = 8210
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z"
trigger1 = StateType = S && ctrl
trigger2 = stateno = 8200 && movecontact	; Shikuruu Stand Light Slash
trigger3 = stateno = 8205 && movecontact	; Shikuruu Stand Med   Slash
trigger4 = stateno = 8230 && movecontact	; Shikuruu Crouch Light Slash
trigger5 = stateno = 8235 && movecontact	; Shikuruu Crouch Med   Slash
trigger6 = stateno = 8220 && movecontact	; Shikuruu Running Slash

; Air Light Slash
;----------------
[State -1, Shikuruu air light slash]
type = ChangeState
value = 8250
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "x"
trigger1 = StateType = A && ctrl

; Air Medium Slash
;-----------------
[State -1, Shikuruu air medium slash]
type = ChangeState
value = 8255
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "y"
trigger1 = StateType = A && ctrl
trigger2 = stateno = 8250 && MoveContact	; Shikuruu Air Light Slash

; Air Fierce Slash
;-----------------
[State -1, Shikuruu air fierce slash]
type = ChangeState
value = 8260
triggerall = var(59) <= 0 && var(0) = 20
triggerall = command = "z"
trigger1 = StateType = A && ctrl
trigger2 = stateno = 8250 && movecontact	; Shikuruu Air Light Slash
trigger3 = stateno = 8255 && movecontact	; Shikuruu Air Med   Slash

; Leave Shikuruu
;---------------
[State -1, off Shikuruu]
type = ChangeState
value = 95
triggerall = var(59) <= 0 && var(0) = 20
triggerall = StateNo != 95
triggerall = ctrl
trigger1 = command = "a"
trigger2 = command = "b"
trigger3 = command = "c"
trigger4 = roundstate != 2			; If Match Finished



;----------------------------------------------------------------------------------------------
; Attacking with Mamahaha
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Ererushi Kamui Rimuse - Level 3
;--------------------------------
[State -1, ererushi kamui rimuse 3]
type = ChangeState
value = 3103 + 3*(StateType = A)
triggerall = command = "ererushi_kamui_rimuse_z"
triggerall = var(59) <= 0 && RoundState = 2 && power >= 3000
trigger1 = var(0) != 20 && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = StateNo = 600 && movecontact		; air light slash
trigger27 = StateNo = 610 && movecontact		; air medium slash
trigger28 = StateNo = 620 && movecontact		; air fierce slash
trigger29 = StateNo = 700 && movecontact		; air light kick
trigger30 = StateNo = 710 && movecontact		; air medium kick
trigger31 = StateNo = 730 && movecontact		; air fierce kick
trigger32 = StateNo = 720 && movecontact		; air down kick
trigger33 = StateNo = 7000				; carried by Mamahaha
trigger34 = stateno = 7200 && MoveContact		; Mamahaha Light  Slash
trigger35 = stateno = 7210 && MoveContact		; Mamahaha Medium Slash
trigger36 = stateno = 7220 && MoveContact		; Mamahaha Fierce Slash
trigger37 = stateno = 7230 && MoveContact		; Mamahaha Evade Attack

; Ererushi Kamui Rimuse - Level 2
;--------------------------------
[State -1, ererushi kamui rimuse 2]
type = ChangeState
value = 3102 + 3*(StateType = A)
triggerall = command = "ererushi_kamui_rimuse_y" || command = "ererushi_kamui_rimuse_z"
triggerall = var(59) <= 0 && RoundState = 2 && power >= 2000
trigger1 = var(0) != 20 && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = StateNo = 600 && movecontact		; air light slash
trigger27 = StateNo = 610 && movecontact		; air medium slash
trigger28 = StateNo = 620 && movecontact		; air fierce slash
trigger29 = StateNo = 700 && movecontact		; air light kick
trigger30 = StateNo = 710 && movecontact		; air medium kick
trigger31 = StateNo = 730 && movecontact		; air fierce kick
trigger32 = StateNo = 720 && movecontact		; air down kick
trigger33 = StateNo = 7000				; carried by Mamahaha
trigger34 = stateno = 7200 && MoveContact		; Mamahaha Light  Slash
trigger35 = stateno = 7210 && MoveContact		; Mamahaha Medium Slash
trigger36 = stateno = 7220 && MoveContact		; Mamahaha Fierce Slash
trigger37 = stateno = 7230 && MoveContact		; Mamahaha Evade Attack

; Ererushi Kamui Rimuse - Level 1
;--------------------------------
[State -1, ererushi kamui rimuse 1]
type = ChangeState
value = 3101 + 3*(StateType = A)
triggerall = command = "ererushi_kamui_rimuse_x" || command = "ererushi_kamui_rimuse_y" || command = "ererushi_kamui_rimuse_z"
triggerall = var(59) <= 0 && RoundState = 2 && power >= 1000
trigger1 = var(0) != 20 && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 250 && movehit		; running light slash
trigger21 = StateNo = 260 && movehit		; running medium slash
trigger22 = StateNo = 270 && movehit		; running fierce slash
trigger23 = StateNo = 350 && movecontact		; running kick
trigger24 = StateNo = 280 && movecontact		; evade attack
trigger25 = StateNo = 285 && movecontact		; dodge attack
trigger26 = StateNo = 600 && movecontact		; air light slash
trigger27 = StateNo = 610 && movecontact		; air medium slash
trigger28 = StateNo = 620 && movecontact		; air fierce slash
trigger29 = StateNo = 700 && movecontact		; air light kick
trigger30 = StateNo = 710 && movecontact		; air medium kick
trigger31 = StateNo = 730 && movecontact		; air fierce kick
trigger32 = StateNo = 720 && movecontact		; air down kick
trigger33 = StateNo = 7000				; carried by Mamahaha
trigger34 = stateno = 7200 && MoveContact		; Mamahaha Light  Slash
trigger35 = stateno = 7210 && MoveContact		; Mamahaha Medium Slash
trigger36 = stateno = 7220 && MoveContact		; Mamahaha Fierce Slash
trigger37 = stateno = 7230 && MoveContact		; Mamahaha Evade Attack


;=================
; Special Attacks
;=================

; Shichikapu Etu Brute
;---------------------
[State -1, shichikapu etu brute]
type = ChangeState
value = 1500
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "hcb_x" || command = "hcb_y" || command = "hcb_z"
triggerall = helper(7000), ParentDist x = (0, 70)
triggerall = helper(7000), pos y = [-132, -112]
triggerall = RoundState = 2
trigger1 = StateType != A && ctrl

; Kamui Mutsube
;--------------
[State -1, kamui mutsube]
type = ChangeState
value = 1600 + var(20)
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcd_x"  || command = "qcd_y" || command = "qcd_z"
trigger1 = StateNo = 7000
trigger2 = stateno = 7200 && MoveContact	; Mamahaha Light  Slash
trigger3 = stateno = 7210 && MoveContact	; Mamahaha Medium Slash
trigger4 = stateno = 7220 && MoveContact	; Mamahaha Fierce Slash
trigger5 = stateno = 7230 && MoveContact	; Mamahaha Evade Attack

; Shichikaou Ai
;---------------
[State -1, shichikaou ai]
type = ChangeState
value = 1700
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcf_x"  || command = "qcf_y" || command = "qcf_z"
triggerall = RoundState = 2
trigger1 = StateNo = 7000
trigger2 = stateno = 7200 && MoveContact	; Mamahaha Light  Slash
trigger3 = stateno = 7210 && MoveContact	; Mamahaha Medium Slash
trigger4 = stateno = 7220 && MoveContact	; Mamahaha Fierce Slash
trigger5 = stateno = 7230 && MoveContact	; Mamahaha Evade Attack

; Drop Attack
;------------
[State -1, drop attack]
type = ChangeState
value = 1800 + 10*(var(20))
triggerall = var(59) <= 0 && var(0) = 10
triggerall = command = "qcb_x"  || command = "qcb_y" || command = "qcb_z"
triggerall = RoundState = 2
trigger1 = StateNo = 7000
trigger2 = stateno = 7200 && MoveContact	; Mamahaha Light  Slash
trigger3 = stateno = 7210 && MoveContact	; Mamahaha Medium Slash
trigger4 = stateno = 7220 && MoveContact	; Mamahaha Fierce Slash
trigger5 = stateno = 7230 && MoveContact	; Mamahaha Evade Attack


;===============
; Martial Moves
;===============

; Evade Attack
;-------------
[State -1, Mamahaha evade attack]
type = ChangeState
value = 7230
triggerall = var(59) <= 0 && var(0) = 10
triggerall = StateNo = 154 && power >= 1000
trigger1 = command = "y" && command = "holdfwd"

; Light Slash
;------------
[State -1, Mamahaha light slash]
type = ChangeState
value = 7200
triggerall = var(59) <= 0
triggerall = command = "x"
trigger1 = StateNo = 7000

; Medium Slash
;-------------
[State -1, Mamahaha medium slash]
type = ChangeState
value = 7210
triggerall = var(59) <= 0
triggerall = command = "y"
trigger1 = StateNo = 7000
trigger2 = StateNo = 7200 && MoveContact

; Fierce Slash
;-------------
[State -1, Mamahaha fierce slash]
type = ChangeState
value = 7220
triggerall = var(59) <= 0
triggerall = command = "z"
trigger1 = StateNo = 7000
trigger2 = StateNo = 7200 && MoveContact
trigger3 = StateNo = 7210 && MoveContact



;----------------------------------------------------------------------------------------------
; Attacking alone
;----------------------------------------------------------------------------------------------

;=================
; Supers / Hypers
;=================

; Super Combo - Level 3
;----------------------
[State -1, super combo 3]
type = ChangeState
value = 3002
triggerall = var(59) <= 0 && var(0) = 0
triggerall = power >= 3000
triggerall = command = "super_combo_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Super Combo - Level 2
;----------------------
[State -1, super combo 2]
type = ChangeState
value = 3001
triggerall = var(59) <= 0 && var(0) = 0
triggerall = power >= 2000
triggerall = command = "super_combo_y" || command = "super_combo_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Super Combo - Level 1
;----------------------
[State -1, super combo 1]
type = ChangeState
value = 3000
triggerall = var(59) <= 0 && var(0) = 0
triggerall = power >= 1000
triggerall = command = "super_combo_x" || command = "super_combo_y" || command = "super_combo_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Super Slash
;------------
[State -1, super slash]
type = ChangeState
value = 3600
triggerall = var(59) <= 0 && var(0) = 0 && var(22) = 1
triggerall = command = "rage_mode"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Rage Explosion Mode
;--------------------
[State -1, rage mode]
type = ChangeState
value = 3500
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "rage_mode"
triggerall = var(20) = 1 && Power >= 1000
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick


;==========
; Specials
;==========

; Short Leila Mutsube
;--------------------
[State -1, short leila mutsube]
type = ChangeState
value = 1100 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Medium Leila Mutsube
;---------------------
[State -1, medium leila mutsube]
type = ChangeState
value = 1110 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Long Leila Mutsube
;-------------------
[State -1, long leila mutsube]
type = ChangeState
value = 1120 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcf_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Short Annu Mutsube
;-------------------
[State -1, short annu mutsube]
type = ChangeState
value = 1000 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Medium Annu Mutsube
;--------------------
[State -1, medium annu mutsube]
type = ChangeState
value = 1010 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Long Annu Mutsube
;------------------
[State -1, long annu mutsube]
type = ChangeState
value = 1020 + var(20)
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcd_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Kamui Risse x1
;---------------
[State -1, one cape twirl]
type = ChangeState
value = 1200 + 1*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_x"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Kamui Risse x2
;---------------
[State -1, two cape twirls]
type = ChangeState
value = 1210 + 2*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_y"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Kamui Risse x3
;---------------
[State -1, three cape twirls]
type = ChangeState
value = 1220 + 3*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "qcb_z"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Additional Cape Twirl
;----------------------
[State -1, additional cape twirl]
type = ChangeState
value = 1250 + 2*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x" || command = "y" || command = "z"
trigger1 = StateNo = 1200
trigger1 = animelem = 8, >0 && animelem = 10, <0
trigger2 = StateNo = 1211
trigger2 = animelem = 19, >0 && animelem = 21, <0
trigger3 = StateNo = 1222
trigger3 = animelem = 30, >0 && animelem = 32, <0

; Lela O Chikiri
;---------------
[State -1, lela o chikiri]
type = ChangeState
value = 1400 + 10*(var(20))
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dp_a" || command = "dp_b" || command = "dp_c"
trigger1 = StateType != A && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 320 && movecontact		; stand fierce kick
trigger13 = StateNo = 325 && movecontact		; short fierce kick
trigger14 = StateNo = 400 && movehit		; crouch light slash
trigger15 = StateNo = 410 && movehit		; crouch medium slash
trigger16 = StateNo = 420 && movehit		; crouch fierce slash
trigger17 = StateNo = 500 && movecontact		; crouch light kick
trigger18 = StateNo = 510 && movecontact		; crouch medium kick
trigger19 = StateNo = 520 && movecontact		; crouch fierce kick
trigger20 = StateNo = 280 && movecontact		; evade attack
trigger21 = StateNo = 285 && movecontact		; dodge attack
trigger22 = StateNo = 250 && movehit		; running light slash
trigger23 = StateNo = 260 && movehit		; running medium slash
trigger24 = StateNo = 270 && movehit		; running fierce slash
trigger25 = StateNo = 350 && movecontact		; running kick

; Mamahaha Flight
;----------------
[State -1, Mamahaha]
type = ChangeState
value = 80
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateType != A && ctrl
triggerall = helper(7000), ParentDist x = [40, 70]	; Nako & Mamahaha are close
triggerall = helper(7000), pos y = [-127, -117]
triggerall = RoundState = 2
trigger1 = command = "qcb_a"
trigger2 = command = "qcb_b"
trigger3 = command = "qcb_c"

; Wolf Pounce
;------------
[State -1, Shikuruu]
type = ChangeState
value = 90
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateType != A && ctrl
triggerall = helper(8000), ParentDist x = [-100, 100]	; Nako & Shikuruu are close
;triggerall = helper(8000), BackEdgeBodyDist >= -20	; Shikuruu is inside the screen
;triggerall = helper(8000), FrontEdgeBodyDist >= 0	; Shikuruu is inside the screen
triggerall = RoundState = 2
trigger1 = command = "qcf_a"
trigger2 = command = "qcf_b"
trigger3 = command = "qcf_c"




;================
; Standard Moves
;================

; High Jump
;----------
[State -1, high jump]
type = ChangeState
value = 40
triggerall = command = "holdup"
trigger1 = stateno = 100

; Triangle Jump
;--------------
[State -1, triangle jump]
type = ChangeState
value = 45
triggerall = var(0) = 0 && pos y < -10
trigger1 = BackEdgeBodyDist = 0 && ctrl			; if the edge of the screen is behind the player
trigger1 = command = "holdup" && command = "holdfwd"
trigger2 = FrontEdgeBodyDist = 0 && ctrl			; if the edge of the creen is in front of the player
trigger2 = command = "holdup" && command = "holdback"

; Run
;----
[State -1, run]
type = ChangeState
value = 100
triggerall = command = "FF"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 1900

; Hop Back
;---------
[State -1, hop back]
type = ChangeState
value = 105
triggerall = command = "BB"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 1900

; Roll Back
;----------
[State -1]
type = ChangeState
value = 67
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holdback"
trigger1 = StateType = S && ctrl						; dodge
trigger2 = (StateNo = 150 || StateNo = 152) && power >= 1000	; evade
trigger3 = stateno = 1900

; Roll Forward
;-------------
[State -1]
type = ChangeState
value = 66
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge" && command = "holdfwd"
trigger1 = StateType = S && ctrl						; dodge
trigger2 = (StateNo = 150 || StateNo = 152) && power >= 1000	; evade
trigger3 = stateno = 1900

; Dodge
;------
[State -1]
type = ChangeState
value = 60
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "dodge"
trigger1 = StateType = S && ctrl
trigger2 = stateno = 1900

; Concentrate (Power Up)
;-----------------------
[State -1]
type = ChangeState
value = 160
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateType = S && ctrl && power < 3000
trigger1 = command = "holda" && command = "holdb" && command = "holdc"

; Suicide
;--------
[State -1, suicide]
type = ChangeState
value = 110
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "suicide"
trigger1 = StateType != A && ctrl

; Taunt
;------
[State -1]
type = ChangeState
value = 195
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "start"
trigger1 = StateType = S && ctrl



;==================
; Liyng Down Moves
;==================

; Life Recovery
;--------------
[State -1]
type = ChangeState
value = 70
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holddown"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Roll Forward Recovery
;----------------------
[State -1]
type = ChangeState
value = 76
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdfwd"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Roll Back Recovery
;-------------------
[State -1]
type = ChangeState
value = 78
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdback"
trigger1 = Life > 0 && StateNo = 5110 && time > 8

; Quick Stand up
;---------------
[State -1]
type = ChangeState
value = 5120
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "holdup"
trigger1 = Life > 0 && StateNo = 5110 && time > 10



;=================
; Running Attacks
;=================

; Running Light Slash
;--------------------
[State -1]
type = ChangeState
value = 250
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
trigger1 = StateNo = 100

; Running Medium Slash
;---------------------
[State -1]
type = ChangeState
value = 260
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateNo = 100

; Running Fierce Slash
;---------------------
[State -1]
type = ChangeState
value = 270
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateNo = 100

; Running Kick
;-------------
[State -1]
type = ChangeState
value = 350
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateNo = 100
trigger1 = command = "a"
trigger2 = command = "b"
trigger3 = command = "c"



;=================
; Pursuit Attacks
;=================

; Pursuit Slash
;--------------
[State -1]
type = ChangeState
value = 240
triggerall = var(59) <= 0 && var(0) = 0
triggerall = P2StateType = L && (P2BodyDist x = [0, 20])				; enemy must be lying down
triggerall = StateType != A && ctrl
trigger1 = command = "x" &&  command = "holdfwd" && command = "holddown"
trigger2 = command = "y" &&  command = "holdfwd" && command = "holddown"
trigger3 = command = "z" &&  command = "holdfwd" && command = "holddown"

; Pursuit Kick
;-------------
[State -1]
type = ChangeState
value = 340
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateType != A && ctrl && P2StateType = L				; enemy must be lying down
trigger1 = command = "a" &&  command = "holdfwd" && command = "holddown"
trigger2 = command = "b" &&  command = "holdfwd" && command = "holddown"
trigger3 = command = "c" &&  command = "holdfwd" && command = "holddown"



;========
; Throws
;========

; Sword Throw
;------------
[State -1]
type = ChangeState
value = 860
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && (command ="holdfwd" || command ="holdback")
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType != A && P2MoveType != H

; Hand Throw
;-----------
[State -1]
type = ChangeState
value = 820
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command ="holdback"
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType != A && P2MoveType != H

; Punching Throw
;---------------
[State -1]
type = ChangeState
value = 870
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command ="holdfwd"
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType != A && P2MoveType != H

; Kick Throw 1
;-------------
[State -1]
type = ChangeState
value = 830
triggerall = var(59) <= 0 && var(0) = 0
triggerall = (command = "b" || command = "c") && command ="holdfwd"
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType != A && P2MoveType != H

; Kick Throw 2
;-------------
[State -1]
type = ChangeState
value = 880
triggerall = var(59) <= 0 && var(0) = 0
triggerall = (command = "b" || command = "c") && command ="holdback"
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType != A && P2MoveType != H

; Air Throw
;----------
[State -1]
type = ChangeState
value = 840
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && (command ="holdfwd" || command ="holdback")
trigger1 = StateType = A && ctrl
trigger1 = P2bodydist x <= 10 && P2StateType = A && P2MoveType != H	; enemy must be close and in the air



;===================
; Crouching Attacks
;===================

; Crouch Light Slash
;-------------------
[State -1]
type = ChangeState
value = 400
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x" && command = "holddown"
trigger1 = StateType = C && ctrl

; Crouch Medium Slash
;--------------------
[State -1]
type = ChangeState
value = 410
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 300 && movecontact		; stand light kick
trigger5 = StateNo = 305 && movecontact		; short light kick
trigger6 = StateNo = 400 && movehit			; crouch light slash
trigger7 = StateNo = 500 && movecontact		; crouch light kick
trigger8 = StateNo = 250 && movehit			; running light slash
trigger9 = StateNo = 350 && movecontact		; running kick

; Crouch Fierce Slash
;--------------------
[State -1]
type = ChangeState
value = 420
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 300 && movecontact		; stand light kick
trigger7 = StateNo = 305 && movecontact		; short light kick
trigger8 = StateNo = 310 && movecontact		; stand medium kick
trigger9 = StateNo = 315 && movecontact		; short medium kick
trigger10 = StateNo = 400 && movehit		; crouch light slash
trigger11 = StateNo = 410 && movehit		; crouch medium slash
trigger12 = StateNo = 500 && movecontact		; crouch light kick
trigger13 = StateNo = 510 && movecontact		; crouch medium kick
trigger14 = StateNo = 250 && movehit		; running light slash
trigger15 = StateNo = 260 && movehit		; running medium slash
trigger16 = StateNo = 350 && movecontact		; running kick

; Crouch Light Kick
;------------------
[State -1]
type = ChangeState
value = 500
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 400 && movehit			; crouch light slash
trigger5 = StateNo = 250 && movecontact		; running light slash

; Crouch Medium Kick
;-------------------
[State -1]
type = ChangeState
value = 510
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "b" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 300 && movecontact		; stand light kick
trigger7 = StateNo = 305 && movecontact		; short light kick
trigger8 = StateNo = 400 && movehit			; crouch light slash
trigger9 = StateNo = 410 && movehit			; crouch medium slash
trigger10 = StateNo = 500 && movecontact		; crouch light kick
trigger11 = StateNo = 250 && movehit		; running light slash
trigger12 = StateNo = 260 && movehit		; running medium slash

; Crouch Fierce Kick
;-------------------
[State -1]
type = ChangeState
value = 520
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "c" && command = "holddown"
trigger1 = StateType = C && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 400 && movehit		; crouch light slash
trigger13 = StateNo = 410 && movehit		; crouch medium slash
trigger14 = StateNo = 420 && movehit		; crouch fierce slash
trigger15 = StateNo = 500 && movecontact		; crouch light kick
trigger16 = StateNo = 510 && movecontact		; crouch medium kick
trigger17 = StateNo = 250 && movehit		; running light slash
trigger18 = StateNo = 260 && movehit		; running medium slash
trigger19 = StateNo = 270 && movehit		; running fierce slash
trigger20 = StateNo = 350 && movecontact		; running kick



;==================
; Standing Attacks 
;==================

; Dodge Attack
;-------------
[State -1]
type = ChangeState
value = 285
triggerall = var(59) <= 0 && var(0) = 0
triggerall = StateNo = 60
trigger1 = command = "x"
trigger2 = command = "y"
trigger3 = command = "z"
trigger4 = command = "a"
trigger5 = command = "b"
trigger6 = command = "c"

; Evade Attack
;-------------
[State -1]
type = ChangeState
value = 280
triggerall = var(59) <= 0 && var(0) = 0
triggerall = (StateNo = 150 || StateNo = 152) && power >= 1000
trigger1 = command = "y" && command = "holdfwd"

; Overhead Slash
;---------------
[State -1]
type = ChangeState
value = 230
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y" && command = "holdfwd"
trigger1 = StateType = S && ctrl

; Overhead Kick
;--------------
[State -1]
type = ChangeState
value = 330
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "b" && command = "holdfwd"
trigger1 = StateType = S && ctrl

; Short Light Slash
;------------------
[State -1]
type = ChangeState
value = 205
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Medium Slash
;-------------------
[State -1]
type = ChangeState
value = 215
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 300 && movecontact		; stand light kick
trigger5 = StateNo = 305 && movecontact		; short light kick
trigger6 = StateNo = 400 && movehit			; crouch light slash
trigger7 = StateNo = 500 && movecontact		; crouch light kick
trigger8 = StateNo = 250 && movehit			; running light slash
trigger9 = StateNo = 350 && movecontact		; running kick

; Short Fierce Slash
;-------------------
[State -1]
type = ChangeState
value = 225
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Light Kick
;-----------------
[State -1]
type = ChangeState
value = 305
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Medium Kick
;------------------
[State -1]
type = ChangeState
value = 315
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "b"
triggerall = P2BodyDist x <= 30
trigger1 = StateType = S && ctrl

; Short Fierce Kick
;------------------
[State -1]
type = ChangeState
value = 325
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "c"
triggerall = P2BodyDist x <= 25
trigger1 = StateType = S && ctrl

; Stand Light Slash
;------------------
[State -1]
type = ChangeState
value = 200
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
trigger1 = StateType = S && ctrl

; Stand Medium Slash
;-------------------
[State -1]
type = ChangeState
value = 210
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 300 && movecontact		; stand light kick
trigger5 = StateNo = 305 && movecontact		; short light kick
trigger6 = StateNo = 400 && movehit			; crouch light slash
trigger7 = StateNo = 500 && movecontact		; crouch light kick
trigger8 = StateNo = 250 && movehit			; running light slash
trigger9 = StateNo = 350 && movecontact		; running kick

; Stand Fierce Slash
;-------------------
[State -1]
type = ChangeState
value = 220
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 300 && movecontact		; stand light kick
trigger7 = StateNo = 305 && movecontact		; short light kick
trigger8 = StateNo = 310 && movecontact		; stand medium kick
trigger9 = StateNo = 315 && movecontact		; short medium kick
trigger10 = StateNo = 400 && movehit		; crouch light slash
trigger11 = StateNo = 410 && movehit		; crouch medium slash
trigger12 = StateNo = 500 && movecontact		; crouch light kick
trigger13 = StateNo = 510 && movecontact		; crouch medium kick
trigger14 = StateNo = 250 && movehit		; running light slash
trigger15 = StateNo = 260 && movehit		; running medium slash
trigger16 = StateNo = 350 && movecontact		; running kick

; Stand Light Kick
;-----------------
[State -1]
type = ChangeState
value = 300
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a"
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 400 && movehit			; crouch light slash
trigger5 = StateNo = 250 && movehit			; running light slash

; Stand Medium Kick
;------------------
[State -1]
type = ChangeState
value = 310
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "b"
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 300 && movecontact		; stand light kick
trigger7 = StateNo = 305 && movecontact		; short light kick
trigger8 = StateNo = 400 && movehit			; crouch light slash
trigger9 = StateNo = 410 && movehit			; crouch medium slash
trigger10 = StateNo = 500 && movecontact		; crouch light kick
trigger11 = StateNo = 250 && movehit		; running light slash
trigger12 = StateNo = 260 && movehit		; running medium slash
trigger13 = StateNo = 350 && movecontact		; running kick

; Stand Fierce Kick
;------------------
[State -1]
type = ChangeState
value = 320
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "c"
trigger1 = StateType = S && ctrl
trigger2 = StateNo = 200 && movehit			; stand light slash
trigger3 = StateNo = 205 && movehit			; short light slash
trigger4 = StateNo = 210 && movehit			; stand medium slash
trigger5 = StateNo = 215 && movehit			; short medium slash
trigger6 = StateNo = 220 && movehit			; stand fierce slash
trigger7 = StateNo = 225 && movehit			; short fierce slash
trigger8 = StateNo = 300 && movecontact		; stand light kick
trigger9 = StateNo = 305 && movecontact		; short light kick
trigger10 = StateNo = 310 && movecontact		; stand medium kick
trigger11 = StateNo = 315 && movecontact		; short medium kick
trigger12 = StateNo = 400 && movehit		; crouch light slash
trigger13 = StateNo = 410 && movehit		; crouch medium slash
trigger14 = StateNo = 420 && movehit		; crouch fierce slash
trigger15 = StateNo = 500 && movecontact		; crouch light kick
trigger16 = StateNo = 510 && movecontact		; crouch medium kick
trigger17 = StateNo = 250 && movehit		; running light slash
trigger18 = StateNo = 260 && movehit		; running medium slash
trigger19 = StateNo = 350 && movecontact		; running kick



;=============
; Air Attacks
;=============

; Air Down Kick
;--------------
[State -1]
type = ChangeState
value = 720
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "c" && Command = "holddown"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash
trigger3 = StateNo = 610 && movecontact		; air medium slash
trigger4 = StateNo = 620 && movecontact		; air fierce slash
trigger5 = StateNo = 700 && movecontact		; air light kick
trigger6 = StateNo = 710 && movecontact		; air medium kick

; Air Light Slash
;----------------
[State -1]
type = ChangeState
value = 600
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "x"
trigger1 = StateType = A && ctrl

; Air Medium Slash
;-----------------
[State -1]
type = ChangeState
value = 610
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "y"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash
trigger3 = StateNo = 700 && movecontact		; air light kick

; Air Fierce Slash
;-----------------
[State -1]
type = ChangeState
value = 620
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "z"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash
trigger3 = StateNo = 610 && movecontact		; air medium slash
trigger4 = StateNo = 700 && movecontact		; air light kick
trigger5 = StateNo = 710 && movecontact		; air medium kick

; Air Light Kick
;---------------
[State -1]
type = ChangeState
value = 700
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "a"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash

; Air Medium Kick
;----------------
[State -1]
type = ChangeState
value = 710
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "b"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash
trigger3 = StateNo = 610 && movecontact		; air medium slash
trigger4 = StateNo = 700 && movecontact		; air light kick

; Air Fierce Kick
;----------------
[State -1]
type = ChangeState
value = 730
triggerall = var(59) <= 0 && var(0) = 0
triggerall = command = "c"
trigger1 = StateType = A && ctrl
trigger2 = StateNo = 600 && movecontact		; air light slash
trigger3 = StateNo = 610 && movecontact		; air medium slash
trigger4 = StateNo = 620 && movecontact		; air fierce slash
trigger5 = StateNo = 700 && movecontact		; air light kick
trigger6 = StateNo = 710 && movecontact		; air medium kick
